commit aaa_base for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package aaa_base for openSUSE:Factory
checked in at Tue May 31 12:44:27 CEST 2011.




--- aaa_base/aaa_base.changes   2011-05-27 15:10:16.0 +0200
+++ /mounts/work_src_done/STABLE/aaa_base/aaa_base.changes  2011-05-30 
21:26:35.0 +0200
@@ -1,0 +2,5 @@
+Mon May 30 19:25:16 UTC 2011 - idon...@novell.com
+
+- Set DEFAULT_WM to kde-plasma, bnc#687781 
+
+---

calling whatdependson for head-i586




Other differences:
--
++ aaa_base.spec ++
--- /var/tmp/diff_new_pack.dR32Lg/_old  2011-05-31 12:43:28.0 +0200
+++ /var/tmp/diff_new_pack.dR32Lg/_new  2011-05-31 12:43:28.0 +0200
@@ -21,7 +21,7 @@
 
 Name:   aaa_base
 Version:11.5
-Release:83
+Release:85
 License:GPLv2+
 Group:  System/Fhs
 Url:http://gitorious.org/opensuse/aaa_base

++ aaa_base.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/aaa_base/files/var/adm/fillup-templates/sysconfig.windowmanager 
new/aaa_base/files/var/adm/fillup-templates/sysconfig.windowmanager
--- old/aaa_base/files/var/adm/fillup-templates/sysconfig.windowmanager 
2011-05-27 15:08:44.0 +0200
+++ new/aaa_base/files/var/adm/fillup-templates/sysconfig.windowmanager 
2011-05-30 21:24:58.0 +0200
@@ -6,7 +6,7 @@
 #
 # Here you can set the default window manager (kde, fvwm, ...)
 # changes here require at least a re-login
-DEFAULT_WM=kde4
+DEFAULT_WM=kde-plasma
 
 ## Type:   yesno
 ## Default:yes






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit avahi for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package avahi for openSUSE:Factory
checked in at Tue May 31 12:46:12 CEST 2011.




avahi-mono.changes: same change
avahi-qt4.changes: same change
--- avahi/avahi.changes 2011-03-03 14:08:26.0 +0100
+++ /mounts/work_src_done/STABLE/avahi/avahi.changes2011-05-27 
10:35:32.0 +0200
@@ -1,0 +2,19 @@
+Wed May 18 20:37:41 CEST 2011 - dims...@opensuse.org
+
+- Update to version 0.6.30:
+  + Make IPv6 work again
+  + Minor other updates
+  + Updated translations
+- Changes from version 0.6.29:
+  + Updates regarding systemd integration
+  + Compatibility with newer gtk3 and gobject introspection
+  + Fix CVE-2011-1002, fixing the fix for CVE-2010-2244
+  + Minor other updates
+  + Updated translations
+- Drop patches fixed upstream:
+  + avahi-init-lsb.patch
+  + avahi-init-dnsconfd-fix-status.patch
+  + avahi-fix-howl.pc.patch
+  + avahi-null-packet-infinite-loop.patch
+
+---

calling whatdependson for head-i586


Old:

  avahi-0.6.28.tar.bz2
  avahi-fix-howl.pc.patch
  avahi-init-dnsconfd-fix-status.patch
  avahi-init-lsb.patch
  avahi-null-packet-infinite-loop.patch

New:

  avahi-0.6.30.tar.bz2



Other differences:
--
++ avahi-glib2.spec ++
--- /var/tmp/diff_new_pack.W9dfkz/_old  2011-05-31 12:44:51.0 +0200
+++ /var/tmp/diff_new_pack.W9dfkz/_new  2011-05-31 12:44:51.0 +0200
@@ -30,8 +30,8 @@
 %define build_mono 0
 %define build_qt3 0
 %define build_qt4 0
-Version:0.6.28
-Release:5
+Version:0.6.30
+Release:1
 %if !%build_glib2  !%build_mono  !%build_qt3  !%build_qt4
 # Create split spec files only when building per partes:
 #%(sh %{_sourcedir}/%{_name}_spec-prepare.sh %{_sourcedir} %{name})
@@ -65,18 +65,10 @@
 Patch0: avahi-gacdir.patch
 #PATCH-FIX-UPSTREAM avahi-desktop.patch bnc254654 sbra...@suse.de
 Patch1: avahi-desktop.patch
-#PATCH-FIX-UPSTREAM avahi-init-lsb.patch -- committed after 0.6.22 release 
upstream
-Patch2: avahi-init-lsb.patch
 #PATCH-FIX-UPSTREAM avahi-empty-share-dir.patch j...@novell.com -- mailed 
maintainer
 Patch3: avahi-empty-share-dir.patch
-# PATCH-FIX-UPSTREAM avahi-init-dnsconfd-fix-status.patch vu...@opensuse.org 
-- Report unused instead of dead for dnsconfd init script, sent upstream by mail
-Patch4: avahi-init-dnsconfd-fix-status.patch
-# PATCH-FIX-UPSTREAM avahi-fix-howl.pc.patch vu...@opensuse.org -- Fix howl.pc 
to be correctly generated, mailed upstream
-Patch5: avahi-fix-howl.pc.patch
 #PATCH-FIX-OPENSUSE avahi-unicastdomains.patch bnc433359 lnus...@suse.de -- 
disable pre-set unicast domains by default
 Patch10:avahi-unicastdomains.patch
-# PATCH-FIX-UPSTREAM avahi-null-packet-infinite-loop.patch bnc#671797 
vu...@opensuse.org -- Fix infinite loop for corrupted/null packets, 
http://www.avahi.org/ticket/325
-Patch11:avahi-null-packet-infinite-loop.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  dbus-1-python fdupes gcc-c++ gdbm-devel intltool 
libdaemon-devel libexpat-devel pkg-config translation-update-upstream
 # Even if we are not building python bindings, we need python to build service 
types database:
@@ -388,6 +380,7 @@
 
 %package -n libavahi-ui-gtk3-%{avahi_gtk3_soname}
 
+
 License:LGPLv2.1+
 Summary:D-BUS Service for Zeroconf and Bonjour
 Group:  System/Libraries
@@ -672,12 +665,8 @@
 translation-update-upstream
 %patch0
 %patch1 -p1
-%patch2
 %patch3
-%patch4 -p1
-%patch5 -p1
 %patch10 -p1
-%patch11 -p1
 %if !%build_core
 # Replace all .la references from local .la files to installed versions
 # with exception of libavahi-glib.la.

++ avahi-mono.spec ++
--- /var/tmp/diff_new_pack.W9dfkz/_old  2011-05-31 12:44:51.0 +0200
+++ /var/tmp/diff_new_pack.W9dfkz/_new  2011-05-31 12:44:51.0 +0200
@@ -30,8 +30,8 @@
 %define build_mono 1
 %define build_qt3 0
 %define build_qt4 0
-Version:0.6.28
-Release:5
+Version:0.6.30
+Release:1
 %if !%build_glib2  !%build_mono  !%build_qt3  !%build_qt4
 # Create split spec files only when building per partes:
 #%(sh %{_sourcedir}/%{_name}_spec-prepare.sh %{_sourcedir} %{name})
@@ -65,18 +65,10 @@
 Patch0: avahi-gacdir.patch
 #PATCH-FIX-UPSTREAM avahi-desktop.patch bnc254654 sbra...@suse.de
 Patch1: avahi-desktop.patch
-#PATCH-FIX-UPSTREAM avahi-init-lsb.patch -- committed after 0.6.22 release 
upstream
-Patch2: avahi-init-lsb.patch
 #PATCH-FIX-UPSTREAM avahi-empty-share-dir.patch j...@novell.com -- mailed 
maintainer
 Patch3: avahi-empty-share-dir.patch
-# PATCH-FIX-UPSTREAM avahi-init-dnsconfd-fix-status.patch vu...@opensuse.org 
-- Report unused instead of dead for dnsconfd init script, 

commit giflib for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package giflib for openSUSE:Factory
checked in at Tue May 31 12:46:53 CEST 2011.





calling whatdependson for head-i586




Other differences:
--
++ giflib.spec ++
--- /var/tmp/diff_new_pack.tJTRKw/_old  2011-05-31 12:46:23.0 +0200
+++ /var/tmp/diff_new_pack.tJTRKw/_new  2011-05-31 12:46:23.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package giflib (Version 4.1.6)
+# spec file for package giflib
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -31,7 +31,7 @@
 %endif
 #
 Version:4.1.6
-Release:19
+Release:23
 Summary:A Library for Working with GIF Images
 Provides:   libungif
 %ifarch ia64 x86_64 s390x ppc64
@@ -45,7 +45,7 @@
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
-This Library allows manipulatng GIF Image files. Since the LZW patents
+This Library allows manipulating GIF Image files. Since the LZW patents
 have expired, giflib can be used instead of libungif again.
 
 
@@ -53,7 +53,7 @@
 Authors:
 
 Toshio Kuratomi bad...@prtr-13.ucsc.edu
-Eric S. Raymond e...@snark.thyrsus.com
+Eric S. Raymond e...@snark.thyrsus.com
 
 %package progs
 License:MIT
@@ -71,7 +71,7 @@
 Authors:
 
 Toshio Kuratomi bad...@prtr-13.ucsc.edu
-Eric S. Raymond e...@snark.thyrsus.com
+Eric S. Raymond e...@snark.thyrsus.com
 
 %package devel
 License:MIT
@@ -85,7 +85,7 @@
 #
 
 %description devel
-This Library allows manipulatng GIF Image files. Since the LZW patents
+This Library allows manipulating GIF Image files. Since the LZW patents
 have expired, giflib can be used instead of libungif again.
 
 
@@ -93,7 +93,7 @@
 Authors:
 
 Toshio Kuratomi bad...@prtr-13.ucsc.edu
-Eric S. Raymond e...@snark.thyrsus.com
+Eric S. Raymond e...@snark.thyrsus.com
 
 %prep
 %setup -q






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit device-mapper for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package device-mapper for openSUSE:Factory
checked in at Tue May 31 12:51:55 CEST 2011.




--- device-mapper/device-mapper.changes 2011-02-15 10:00:39.0 +0100
+++ /mounts/work_src_done/STABLE/device-mapper/device-mapper.changes
2011-05-27 11:11:45.0 +0200
@@ -1,0 +2,7 @@
+Fri May 27 09:07:22 UTC 2011 - lnus...@suse.de
+
+- don't enable boot.device-mapper by default and don't load dm-mod
+  unconditionally in initrd. udev creates /dev/mapper/control so
+  dm-mod is automatically loaded when needed.
+
+---
--- device-mapper/lvm2.changes  2011-03-10 12:08:40.0 +0100
+++ /mounts/work_src_done/STABLE/device-mapper/lvm2.changes 2011-05-27 
11:43:42.0 +0200
@@ -1,0 +2,8 @@
+Fri May 27 09:09:35 UTC 2011 - lnus...@suse.de
+
+- don't unconditionally enable boot.lvm by default. yast takes care
+  of enabling the script when creating lvm volumes.
+- don't hard require boot.device-mapper in boot.dmraid. dm-mod is
+  autoloaded when accessing /dev/mapper/control anyways.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ device-mapper.spec ++
--- /var/tmp/diff_new_pack.SLOBE7/_old  2011-05-31 12:51:22.0 +0200
+++ /var/tmp/diff_new_pack.SLOBE7/_new  2011-05-31 12:51:22.0 +0200
@@ -27,7 +27,7 @@
 %endif
 #
 Version:1.02.63
-Release:2
+Release:3
 Summary:Device Mapper Tools
 Source: LVM2.2.02.84.tgz
 Source1:boot.device-mapper
@@ -106,7 +106,7 @@
 %post
 %{run_ldconfig}
 [ -x /sbin/mkinitrd_setup ]  mkinitrd_setup
-%{fillup_and_insserv -y boot.device-mapper}
+%{insserv_cleanup}
 
 %postun
 %{run_ldconfig}

++ lvm2-clvm.spec ++
--- /var/tmp/diff_new_pack.SLOBE7/_old  2011-05-31 12:51:22.0 +0200
+++ /var/tmp/diff_new_pack.SLOBE7/_new  2011-05-31 12:51:22.0 +0200
@@ -24,7 +24,7 @@
 License:GPLv2+ ; LGPLv2.1+
 Group:  System/Base
 Version:2.02.84
-Release:2
+Release:3
 Requires:   device-mapper = 1.02.25 lvm2 = %{version} openais
 Provides:   clvm
 PreReq: %fillup_prereq %insserv_prereq

++ lvm2.spec ++
--- /var/tmp/diff_new_pack.SLOBE7/_old  2011-05-31 12:51:22.0 +0200
+++ /var/tmp/diff_new_pack.SLOBE7/_new  2011-05-31 12:51:22.0 +0200
@@ -31,7 +31,7 @@
 %endif
 AutoReqProv:on
 Version:2.02.84
-Release:2
+Release:3
 Summary:LVM2 Tools
 Source: LVM2.%{version}.tgz
 Source1:lvm.conf
@@ -145,7 +145,7 @@
 rm -rf $RPM_BUILD_ROOT
 
 %post
-%{fillup_and_insserv -n lvm -y boot.lvm}
+%{fillup_and_insserv -n lvm boot.lvm}
 [ -x /sbin/mkinitrd_setup ]  mkinitrd_setup
 /sbin/ldconfig
 

++ boot.lvm ++
--- /var/tmp/diff_new_pack.SLOBE7/_old  2011-05-31 12:51:22.0 +0200
+++ /var/tmp/diff_new_pack.SLOBE7/_new  2011-05-31 12:51:22.0 +0200
@@ -6,8 +6,8 @@
 #
 ### BEGIN INIT INFO
 # Provides:  boot.lvm
-# Required-Start:boot.device-mapper boot.udev boot.rootfsck
-# Should-Start:  boot.multipath boot.md boot.dmraid
+# Required-Start:boot.udev boot.rootfsck
+# Should-Start:  boot.device-mapper boot.multipath boot.md boot.dmraid
 # Required-Stop: $null
 # Should-Stop:   $null
 # Default-Start: B

++ mkinitrd-devmapper-boot.sh ++
--- /var/tmp/diff_new_pack.SLOBE7/_old  2011-05-31 12:51:22.0 +0200
+++ /var/tmp/diff_new_pack.SLOBE7/_new  2011-05-31 12:51:22.0 +0200
@@ -1,7 +1,8 @@
 #!/bin/bash
 #%stage: boot
 #%depends: start
-#%modules: $dm_modules dm-mod dm-snapshot
+#%modules: $dm_modules
+#%udevmodules: dm-mod dm-snapshot
 #%programs: /sbin/dmsetup /sbin/blockdev
 # dm-crypt dm-zero dm-mirror
 #%if: -n $root_dm






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit texlive-bin for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package texlive-bin for openSUSE:Factory
checked in at Tue May 31 12:53:52 CEST 2011.




--- texlive-bin/texlive-bin.changes 2011-02-07 16:22:52.0 +0100
+++ /mounts/work_src_done/STABLE/texlive-bin/texlive-bin.changes
2011-05-29 23:46:26.0 +0200
@@ -1,0 +2,12 @@
+Sun May 29 21:43:53 UTC 2011 - meiss...@novell.com
+
+- memrchr also exists on Linux bigendian, no need to redefine.
+
+---
+Thu May 12 15:01:56 CEST 2011 - wer...@suse.de
+
+- Split off fontconfig for truetype fonts to avoid conflicts with
+  fonts of package freefont (bnc#680739)
+- Switch off AutoReqProv for texlive-xetex (bnc#691651)
+
+---

calling whatdependson for head-i586


New:

  fc-truetype-texlive.conf
  texlive-nomemrchr.patch



Other differences:
--
++ texlive-bin.spec ++
--- /var/tmp/diff_new_pack.s7a5Mw/_old  2011-05-31 12:52:21.0 +0200
+++ /var/tmp/diff_new_pack.s7a5Mw/_new  2011-05-31 12:52:21.0 +0200
@@ -28,7 +28,7 @@
 Requires(prereq): /bin/date /bin/ln
 Group:  Productivity/Publishing/TeX/Base
 Version:2010
-Release:7
+Release:9
 Source0:
ftp://tug.org/historic/systems/texlive/2010/texlive-20100722-source.tar.xz
 Source1:
ftp://tug.org/historic/systems/texlive/2010/texlive-20100722-texmf.tar.xz
 Source2:
ftp://tug.org/historic/systems/texlive/2010/texlive-20100826-extra.tar.xz
@@ -42,6 +42,7 @@
 Source14:   texlive.csh
 Source15:   fc-texlive.conf
 Source16:   fc-t1-texlive.conf
+Source17:   fc-truetype-texlive.conf
 Source20:   texlive-import
 Source21:   texlive-import.8
 Source22:   README.import
@@ -72,6 +73,7 @@
 Patch45:texmf-jadetex.dif
 Patch46:texmf-bbold11.dif
 Patch47:texmf-texinfo.dif
+Patch48:texlive-nomemrchr.patch
 AutoReqProv:on
 Prefix: /
 Prefix: /usr/bin
@@ -581,7 +583,7 @@
 Conflicts:  tetex
 Summary:XeTeX, an extended TeX/LaTeX version for unicode
 Group:  Productivity/Publishing/TeX/Base
-AutoReqProv:on
+AutoReqProv:off
 BuildArch:  noarch
 
 %description -n texlive-xetex
@@ -1116,6 +1118,7 @@
 %patch45 -p0
 %patch46 -p0
 %patch47 -p0
+%patch48 -p0
 %patch0  -p0
 
   # Move texmf tree out of the way
@@ -1297,6 +1300,7 @@
   install -m 0644 %{S:14} %{buildroot}%{_sysconfdir}/profile.d/
   install -m 0644 %{S:15} 
%{buildroot}%{_sysconfdir}/fonts/conf.avail/09-texlive.conf
   install -m 0644 %{S:16} 
%{buildroot}%{_sysconfdir}/fonts/conf.avail/09-texlive-type1.conf
+  install -m 0644 %{S:17} 
%{buildroot}%{_sysconfdir}/fonts/conf.avail/09-texlive-truetype.conf
   ln -sf ../conf.avail/09-texlive.conf \
  %{buildroot}%{_sysconfdir}/fonts/conf.d/
   install -m 0644 %{S:31} %{buildroot}%{_sysconfdir}/skel/.dvipsrc


++ fc-texlive.conf ++
--- /var/tmp/diff_new_pack.s7a5Mw/_old  2011-05-31 12:52:21.0 +0200
+++ /var/tmp/diff_new_pack.s7a5Mw/_new  2011-05-31 12:52:21.0 +0200
@@ -8,7 +8,5 @@
 
 fontconfig
   dir/usr/share/texmf/fonts/opentype/dir
-  dir/usr/share/texmf/fonts/truetype/dir
   dir/usr/local/share/texmf/fonts/opentype/dir
-  dir/usr/local/share/texmf/fonts/truetype/dir
 /fontconfig




++ texlive-nomemrchr.patch ++
--- utils/asymptote/prc/PRCdouble.h.xx  2011-05-29 20:40:56.0 +0200
+++ utils/asymptote/prc/PRCdouble.h 2011-05-29 20:41:10.0 +0200
@@ -130,9 +130,4 @@
 
 int stCOFDOECompare(const void*,const void*);
 
-#ifdef WORDS_BIGENDIAN
-void *memrchr(const void *,int,size_t);
-#endif
-
-
 #endif // __PRC_DOUBLE_H
--- utils/asymptote/prc/PRCdouble.cc.xx 2011-05-29 20:41:22.0 +0200
+++ utils/asymptote/prc/PRCdouble.cc2011-05-29 20:41:30.0 +0200
@@ -22,21 +22,6 @@
   EXPONENT(((const struct sCodageOfFrequentDoubleOrExponent 
*)pcofdoe2)-u2uod.Value));
 }
 
-#ifdef WORDS_BIGENDIAN
-void *memrchr(const void *buf,int c,size_t count)
-{
-  unsigned char
-  *pcBuffer=(unsigned char *)buf,
- *pcBufferEnd=pcBuffer-count;
-
- for(;pcBufferpcBufferEnd;pcBuffer--)
-   if(*pcBuffer==c)
- return(pcBuffer);
-
- return(NULL);
-}
-#endif
-
 sCodageOfFrequentDoubleOrExponent acofdoe[NUMBEROFELEMENTINACOFDOE] =
 {
 {VT_double,2,0x1,{DOUBLEWITHTWODWORDINTREE(0x,0x)}},





Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit glib-networking for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package glib-networking for openSUSE:Factory
checked in at Tue May 31 12:55:45 CEST 2011.




--- GNOME/glib-networking/glib-networking.changes   2011-05-04 
16:19:12.0 +0200
+++ /mounts/work_src_done/STABLE/glib-networking/glib-networking.changes
2011-05-23 23:13:45.0 +0200
@@ -1,0 +2,9 @@
+Mon May 23 23:12:28 CEST 2011 - dims...@opensuse.org
+
+- Update to version 2.28.7:
+  + Fixed a race condition in GProxyResolverGnome that caused
+problems when making simultaneous connections from multiple
+threads.
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  glib-networking-2.28.6.1.tar.bz2

New:

  glib-networking-2.28.7.tar.bz2



Other differences:
--
++ glib-networking.spec ++
--- /var/tmp/diff_new_pack.hIMBSY/_old  2011-05-31 12:54:57.0 +0200
+++ /var/tmp/diff_new_pack.hIMBSY/_new  2011-05-31 12:54:57.0 +0200
@@ -18,8 +18,8 @@
 
 
 Name:   glib-networking
-Version:2.28.6.1
-Release:2
+Version:2.28.7
+Release:1
 License:LGPLv2+
 Summary:Network-related GIO modules for glib
 Group:  System/Libraries

++ glib-networking-2.28.6.1.tar.bz2 - glib-networking-2.28.7.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/glib-networking-2.28.6.1/NEWS 
new/glib-networking-2.28.7/NEWS
--- old/glib-networking-2.28.6.1/NEWS   2011-04-26 20:14:57.0 +0200
+++ new/glib-networking-2.28.7/NEWS 2011-05-23 21:44:45.0 +0200
@@ -1,3 +1,12 @@
+2.28.7
+==
+  * Fixed a race condition in GProxyResolverGnome that caused problems
+when making simultaneous corrections from multiple threads. (David
+Zeuthen)
+
+  * New translations:
+   Esperanto
+
 2.28.6.1
 
   * Fixed a bug in the gnutls backend introduced in 2.28.6
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/glib-networking-2.28.6.1/configure 
new/glib-networking-2.28.7/configure
--- old/glib-networking-2.28.6.1/configure  2011-04-26 20:16:04.0 
+0200
+++ new/glib-networking-2.28.7/configure2011-05-23 21:46:05.0 
+0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.66 for glib-networking 2.28.6.1.
+# Generated by GNU Autoconf 2.66 for glib-networking 2.28.7.
 #
 # Report bugs to 
http://bugzilla.gnome.org/enter_bug.cgi?product=glibcomponent=network.
 #
@@ -563,8 +563,8 @@
 # Identity of this package.
 PACKAGE_NAME='glib-networking'
 PACKAGE_TARNAME='glib-networking'
-PACKAGE_VERSION='2.28.6.1'
-PACKAGE_STRING='glib-networking 2.28.6.1'
+PACKAGE_VERSION='2.28.7'
+PACKAGE_STRING='glib-networking 2.28.7'
 
PACKAGE_BUGREPORT='http://bugzilla.gnome.org/enter_bug.cgi?product=glibcomponent=network'
 PACKAGE_URL=''
 
@@ -1365,7 +1365,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat _ACEOF
-\`configure' configures glib-networking 2.28.6.1 to adapt to many kinds of 
systems.
+\`configure' configures glib-networking 2.28.7 to adapt to many kinds of 
systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1435,7 +1435,7 @@
 
 if test -n $ac_init_help; then
   case $ac_init_help in
- short | recursive ) echo Configuration of glib-networking 2.28.6.1:;;
+ short | recursive ) echo Configuration of glib-networking 2.28.7:;;
esac
   cat \_ACEOF
 
@@ -1568,7 +1568,7 @@
 test -n $ac_init_help  exit $ac_status
 if $ac_init_version; then
   cat \_ACEOF
-glib-networking configure 2.28.6.1
+glib-networking configure 2.28.7
 generated by GNU Autoconf 2.66
 
 Copyright (C) 2010 Free Software Foundation, Inc.
@@ -1937,7 +1937,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by glib-networking $as_me 2.28.6.1, which was
+It was created by glib-networking $as_me 2.28.7, which was
 generated by GNU Autoconf 2.66.  Invocation command line was
 
   $ $0 $@
@@ -2757,7 +2757,7 @@
 
 # Define the identity of the package.
  PACKAGE='glib-networking'
- VERSION='2.28.6.1'
+ VERSION='2.28.7'
 
 
 cat confdefs.h _ACEOF
@@ -14364,7 +14364,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log=
-This file was extended by glib-networking $as_me 2.28.6.1, which was
+This file was extended by glib-networking $as_me 2.28.7, which was
 generated by GNU Autoconf 2.66.  Invocation command line was
 
   CONFIG_FILES= $CONFIG_FILES
@@ -14430,7 +14430,7 @@
 cat $CONFIG_STATUS _ACEOF || ac_write_fail=1
 ac_cs_config=`$as_echo 

commit glibmm2 for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package glibmm2 for openSUSE:Factory
checked in at Tue May 31 13:00:32 CEST 2011.




--- GNOME/glibmm2/glibmm2.changes   2011-04-05 17:55:29.0 +0200
+++ /mounts/work_src_done/STABLE/glibmm2/glibmm2.changes2011-05-26 
22:27:13.0 +0200
@@ -1,0 +2,12 @@
+Wed May 18 21:01:10 CEST 2011 - dims...@opensuse.org
+
+- Update to version 2.28.1:
+  + gmmproc:
+- Extra Defs Tool: Only generate properties that the GType owns
+- bgo#649182: Put guards around generated includes in
+  wrap_init.cc to fix the wind32 build.
+- bgo#644037: GtkDefs::split_tokens(): Speed improvement.
+  + Build fixes.
+  + Updated documentation.
+
+---

calling whatdependson for head-i586


Old:

  glibmm-2.28.0.tar.bz2

New:

  glibmm-2.28.1.tar.bz2



Other differences:
--
++ glibmm2.spec ++
--- /var/tmp/diff_new_pack.hjnNdJ/_old  2011-05-31 13:00:03.0 +0200
+++ /var/tmp/diff_new_pack.hjnNdJ/_new  2011-05-31 13:00:03.0 +0200
@@ -21,7 +21,7 @@
 
 Name:   glibmm2
 %define _name glibmm
-Version:2.28.0
+Version:2.28.1
 Release:1
 Group:  System/Libraries
 License:LGPLv2.1+
@@ -44,6 +44,7 @@
 
 %package -n libglibmm%{so_ver}
 
+
 License:LGPLv2.1+
 Group:  System/Libraries
 Summary:C++ Interface for Glib
@@ -59,6 +60,7 @@
 
 %package -n libgiomm%{so_ver}
 
+
 License:LGPLv2.1+
 Group:  System/Libraries
 Summary:C++ Interface for Gio

++ glibmm-2.28.0.tar.bz2 - glibmm-2.28.1.tar.bz2 ++
 109993 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit iputils for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package iputils for openSUSE:Factory
checked in at Tue May 31 13:03:38 CEST 2011.




--- iputils/iputils.changes 2010-11-24 13:16:07.0 +0100
+++ /mounts/work_src_done/STABLE/iputils/iputils.changes2011-05-31 
10:10:07.0 +0200
@@ -1,0 +2,7 @@
+Tue May 31 10:06:29 CEST 2011 - m...@suse.de
+
+- fixed typo in ping output. Since 11.4 sequence tag is icmp_req
+  instead of icmp_seq beause of that for example cacti ping script
+  does not work anymore (bnc #696720)
+
+---

calling whatdependson for head-i586


New:

  iputils-pingtypo.diff



Other differences:
--
++ iputils.spec ++
--- /var/tmp/diff_new_pack.mjbtcF/_old  2011-05-31 13:02:30.0 +0200
+++ /var/tmp/diff_new_pack.mjbtcF/_new  2011-05-31 13:02:30.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package iputils (Version s20101006)
+# spec file for package iputils
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -28,7 +28,7 @@
 BuildRequires:  libcap-devel
 Summary:IPv4 and IPv6 Networking Utilities
 Version:s20101006
-Release:2
+Release:10
 License:BSD3c ; GPLv2+
 Group:  Productivity/Networking/Other
 Url:http://www.skbuff.net/iputils
@@ -39,6 +39,7 @@
 Patch2: iputils-traceroute6-stdint.diff
 Patch3: iputils-ifenslave.diff
 Patch6: iputils-s20101006-capabilities.diff
+Patch7: iputils-pingtypo.diff
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 PreReq: permissions
 
@@ -55,6 +56,7 @@
 #patch4
 #patch5
 %patch6 -p1
+%patch7
 mkdir linux
 touch linux/autoconf.h
 

++ iputils-pingtypo.diff ++
--- ping.c  2011-05-31 10:02:27.076182828 +0200
+++ ping.c  2011-05-31 10:02:34.513776200 +0200
@@ -699,7 +699,7 @@
 void pr_echo_reply(__u8 *_icp, int len)
 {
struct icmphdr *icp = (struct icmphdr *)_icp;
-   printf( icmp_req=%u, ntohs(icp-un.echo.sequence));
+   printf( icmp_seq=%u, ntohs(icp-un.echo.sequence));
 }
 
 int





Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-panel for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package gnome-panel for openSUSE:Factory
checked in at Tue May 31 13:04:27 CEST 2011.




--- GNOME/gnome-panel/gnome-panel.changes   2011-04-25 16:02:58.0 
+0200
+++ /mounts/work_src_done/STABLE/gnome-panel/gnome-panel.changes
2011-05-26 22:31:49.0 +0200
@@ -1,0 +2,20 @@
+Tue May 24 09:09:29 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.0.2:
+  + Panel:
+- Fix crash when starting launcher
+- Fix edit menu not working even when modifier is pressed, when
+  caps lock is used
+- Fix crash when running without gnome-session
+- Add missing config.h includes
+- Code cleanups
+  + libpanel-applet:
+- Fix edit menu not working even when modifier is pressed, when
+  caps lock is used
+  + Clock Applet:
+- Pass the correct month to Evolution command line
+- Fix usage of polkit service to set timezone
+- Correctly deal with leap seconds for updates
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  gnome-panel-3.0.0.1.tar.bz2

New:

  gnome-panel-3.0.2.tar.bz2



Other differences:
--
++ gnome-panel.spec ++
--- /var/tmp/diff_new_pack.QhIqlJ/_old  2011-05-31 13:03:58.0 +0200
+++ /var/tmp/diff_new_pack.QhIqlJ/_new  2011-05-31 13:03:58.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   gnome-panel
-Version:3.0.0.1
+Version:3.0.2
 Release:1
 # FIXME: gnome-main-menu not ported to new panel API, for this reason we do 
not Recommend gnome-main-menu.
 License:LGPLv2.1+

++ gnome-panel-3.0.0.1.tar.bz2 - gnome-panel-3.0.2.tar.bz2 ++
 27058 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libgphoto2 for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package libgphoto2 for openSUSE:Factory
checked in at Tue May 31 13:06:02 CEST 2011.




--- GNOME/libgphoto2/libgphoto2.changes 2011-04-19 15:11:55.0 +0200
+++ /mounts/work_src_done/STABLE/libgphoto2/libgphoto2.changes  2011-05-30 
17:07:29.0 +0200
@@ -1,0 +2,5 @@
+Mon May 30 17:06:35 CEST 2011 - meiss...@suse.de
+
+- disable hal support completely for 12.1 bnc#697024
+
+---

calling whatdependson for head-i586




Other differences:
--
++ libgphoto2.spec ++
--- /var/tmp/diff_new_pack.PrUzaQ/_old  2011-05-31 13:05:20.0 +0200
+++ /var/tmp/diff_new_pack.PrUzaQ/_new  2011-05-31 13:05:20.0 +0200
@@ -19,7 +19,7 @@
 
 
 Name:   libgphoto2
-BuildRequires:  doxygen fdupes gcc-c++ gd-devel hal libexif-devel 
libjpeg-devel libusb-devel lockdev-devel pkg-config udev
+BuildRequires:  doxygen fdupes gcc-c++ gd-devel libexif-devel libjpeg-devel 
libusb-devel lockdev-devel pkg-config udev
 Url:http://gphoto.org/
 # bug437293
 %ifarch ppc64
@@ -31,7 +31,7 @@
 Group:  Hardware/Camera
 Summary:A Digital Camera Library
 Version:2.4.11
-Release:1
+Release:4
 Source0:libgphoto2-%{version}.tar.bz2
 Source1:baselibs.conf
 Patch1: libgphoto2-4096files.patch
@@ -93,20 +93,6 @@
 cat libgphoto2-2.lang libgphoto2_port-0.lang  libgphoto2-all.lang
 pushd packaging/generic
export CAMLIBS=$RPM_BUILD_ROOT/%_libdir/libgphoto2/%version/
-   # Check the installed hal (in neededforbuild) if the directory
-   # is still at the place we expect to avoid surprises.
-   if [ ! -d /usr/share/hal/fdi/information/20thirdparty/ ] ; then
-   echo *** The hal FDI file location has changed. Fix the build.
-   exit 1
-   fi
-   install -m 0755 -d
$RPM_BUILD_ROOT/usr/share/hal/fdi/information/20thirdparty/
-   ./print-camera-list hal-fdi  
$RPM_BUILD_ROOT/usr/share/hal/fdi/information/20thirdparty/10-camera-libgphoto2.fdi
-   # ./print-camera-list hal-fdi-dev  
$RPM_BUILD_ROOT/usr/share/hal/fdi/information/20thirdparty/10-camera-libgphoto2-device.fdi
-   if [ ! -s 
$RPM_BUILD_ROOT/usr/share/hal/fdi/information/20thirdparty/10-camera-libgphoto2.fdi
 ]; then
-   echo *** Did not generate a fdi map. Check the build.
-   exit 1
-   fi
-%if 0%{?suse_version} = 1120
# new style UDEV rules (gudev) which will obsolete HAL fdi files
if [ ! -d /lib/udev/rules.d/ ] ; then
echo *** The udev rules file location has changed. Fix the 
build.
@@ -114,7 +100,6 @@
fi
install -m 0755 -d   
$RPM_BUILD_ROOT/lib/udev/rules.d/
./print-camera-list udev-rules version 136  
$RPM_BUILD_ROOT/lib/udev/rules.d/40-libgphoto2.rules
-%endif
 popd
 # udev helpers not used here.
 rm $RPM_BUILD_ROOT/usr/%_lib/udev/check-ptp-camera
@@ -143,10 +128,7 @@
 %{_libdir}/libgphoto2_port.so.*
 %{_mandir}/man3/libgphoto2.3*
 %{_mandir}/man3/libgphoto2_port.3*
-/usr/share/hal/fdi/information/20thirdparty/10-camera-libgphoto2.fdi
-%if 0%{?suse_version} = 1120
 /lib/udev/rules.d/40-libgphoto2.rules
-%endif
 # /usr/share/hal/fdi/information/20thirdparty/10-camera-libgphoto2-device.fdi
 
 %files lang -f libgphoto2-all.lang






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-Params-Util for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package perl-Params-Util for openSUSE:Factory
checked in at Tue May 31 13:06:31 CEST 2011.




--- perl-Params-Util/perl-Params-Util.changes   2011-04-01 07:37:38.0 
+0200
+++ /mounts/work_src_done/STABLE/perl-Params-Util/perl-Params-Util.changes  
2011-04-30 17:19:50.0 +0200
@@ -1,0 +2,6 @@
+Sat Apr 30 15:18:28 UTC 2011 - co...@opensuse.org
+
+- updated to 1.04
+- Fixed #67522 have_compiler returns
+
+---

calling whatdependson for head-i586


Old:

  Params-Util-1.03.tar.gz

New:

  Params-Util-1.04.tar.gz



Other differences:
--
++ perl-Params-Util.spec ++
--- /var/tmp/diff_new_pack.GY2Xkz/_old  2011-05-31 13:06:10.0 +0200
+++ /var/tmp/diff_new_pack.GY2Xkz/_new  2011-05-31 13:06:10.0 +0200
@@ -18,21 +18,18 @@
 
 
 Name:   perl-Params-Util
-Version:1.03
+Version:1.04
 Release:1
 License:GPL+ or Artistic
 %define cpan_name Params-Util
 Summary:Simple, compact and correct param-checking functions
 Url:http://search.cpan.org/dist/Params-Util/
 Group:  Development/Libraries/Perl
-#Source: 
http://www.cpan.org/authors/id/A/AD/ADAMK/Params-Util-%{version}.tar.gz
-Source: %{cpan_name}-%{version}.tar.gz
+Source: 
http://www.cpan.org/authors/id/A/AD/ADAMK/%{cpan_name}-%{version}.tar.gz
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
 BuildRequires:  perl-macros
-BuildRequires:  perl(File::Spec) = 0.80
-BuildRequires:  perl(Scalar::Util) = 1.18
-Requires:   perl(Scalar::Util) = 1.18
+BuildRequires:  perl(ExtUtils::CBuilder) = 0.27
 %{perl_requires}
 
 %description
@@ -82,7 +79,7 @@
 %{__rm} -rf %{buildroot}
 
 %files -f %{name}.files
-%defattr(644,root,root,755)
+%defattr(-,root,root,755)
 %doc Changes LICENSE README
 
 %changelog

++ Params-Util-1.03.tar.gz - Params-Util-1.04.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Params-Util-1.03/Changes new/Params-Util-1.04/Changes
--- old/Params-Util-1.03/Changes2010-11-22 02:58:31.0 +0100
+++ new/Params-Util-1.04/Changes2011-04-20 09:15:25.0 +0200
@@ -1,5 +1,8 @@
 Revision history for Perl extension Params-Util
 
+1.04 Wed 20 Apr 2011
+   - Fixed #67522 have_compiler returns
+
 1.03 Mon 22 Nov 2010
- No CPAN Testers failures, moving to production release
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Params-Util-1.03/META.yml 
new/Params-Util-1.04/META.yml
--- old/Params-Util-1.03/META.yml   2010-11-22 02:58:53.0 +0100
+++ new/Params-Util-1.04/META.yml   2011-04-20 09:15:53.0 +0200
@@ -1,6 +1,6 @@
 --- #YAML:1.0
 name:   Params-Util
-version:1.03
+version:1.04
 abstract:   Simple, compact and correct param-checking functions
 author:
 - Adam Kennedy ad...@cpan.org
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Params-Util-1.03/Makefile.PL 
new/Params-Util-1.04/Makefile.PL
--- old/Params-Util-1.03/Makefile.PL2010-11-22 02:58:31.0 +0100
+++ new/Params-Util-1.04/Makefile.PL2011-04-20 09:15:25.0 +0200
@@ -134,14 +134,14 @@
}
 
# Do a simple compile that consumes the headers we need
-   my $object = undef;
-   my @libs   = ();
+   my @libs= ();
+   my $object  = undef;
+   my $builder = ExtUtils::CBuilder-new( quiet = 1 );
+   unless ( $builder-have_compiler ) {
+   # Lack of a compiler at all
+   return 0;
+   }
eval {
-   my $builder = ExtUtils::CBuilder-new( quiet = 1 );
-   unless ( $builder-have_compiler ) {
-   # Simple lack of a compiler at all
-   return 0;
-   }
$object = $builder-compile(
source = 'sanexs.c',
);
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Params-Util-1.03/README new/Params-Util-1.04/README
--- old/Params-Util-1.03/README 2010-11-22 02:58:31.0 +0100
+++ new/Params-Util-1.04/README 2011-04-20 09:15:25.0 +0200
@@ -378,7 +378,7 @@
 Params::Validate
 
 COPYRIGHT
-Copyright 2005 - 2010 Adam Kennedy.
+Copyright 2005 - 2011 Adam Kennedy.
 
 This program is free software; you can redistribute it and/or modify it
 under the same terms as Perl itself.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Params-Util-1.03/lib/Params/Util.pm 
new/Params-Util-1.04/lib/Params/Util.pm
--- old/Params-Util-1.03/lib/Params/Util.pm 2010-11-22 

commit perl-List-MoreUtils for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package perl-List-MoreUtils for 
openSUSE:Factory
checked in at Tue May 31 13:06:57 CEST 2011.




--- perl-List-MoreUtils/perl-List-MoreUtils.changes 2011-04-01 
13:08:35.0 +0200
+++ 
/mounts/work_src_done/STABLE/perl-List-MoreUtils/perl-List-MoreUtils.changes
2011-05-23 00:30:43.0 +0200
@@ -1,0 +2,6 @@
+Sun May 22 22:28:00 UTC 2011 - pascal.ble...@opensuse.org
+
+- update to 0.32:
+  * ore accurate detection of XS support
+
+---

calling whatdependson for head-i586


Old:

  List-MoreUtils-0.30.tar.gz

New:

  List-MoreUtils-0.32.tar.gz



Other differences:
--
++ perl-List-MoreUtils.spec ++
--- /var/tmp/diff_new_pack.FGhKO6/_old  2011-05-31 13:06:39.0 +0200
+++ /var/tmp/diff_new_pack.FGhKO6/_new  2011-05-31 13:06:39.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   perl-List-MoreUtils
-Version:0.30
+Version:0.32
 Release:1
 License:GPL+ or Artistic
 %define cpan_name List-MoreUtils

++ List-MoreUtils-0.30.tar.gz - List-MoreUtils-0.32.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/List-MoreUtils-0.30/Changes 
new/List-MoreUtils-0.32/Changes
--- old/List-MoreUtils-0.30/Changes 2010-12-16 04:03:00.0 +0100
+++ new/List-MoreUtils-0.32/Changes 2011-05-20 02:51:37.0 +0200
@@ -1,4 +1,17 @@
-Revision history for Perl extension List-Any/List-MoreUtils
+Revision history for Perl extension List-MoreUtils
+
+0.32 Fri May 20 2011
+   - Production release, no other changes
+
+0.31_02 Mon 21 Mar 2011
+   - More accurate detection of XS support (ADAMK)
+
+0.31_01 Mon 21 Mar 2011
+   - Updating copyright year (ADAMK)
+   - Teak documentation of all() and none() (WYANT)
+   - Memory leak fixed for apply() and XS version restored (ARC)
+   - Memory leak fixed for indexes() and XS version restored (ARC)
+   - Memory leak fixed for part() and XS version restored (ARC)
 
 0.30 Thu 16 Dec 2010
- Change the way we localise PERL_DL_NONLAZY to false to remove
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/List-MoreUtils-0.30/MANIFEST 
new/List-MoreUtils-0.32/MANIFEST
--- old/List-MoreUtils-0.30/MANIFEST2010-12-16 04:03:31.0 +0100
+++ new/List-MoreUtils-0.32/MANIFEST2011-05-20 02:52:13.0 +0200
@@ -7,6 +7,7 @@
 MoreUtils.xs
 multicall.h
 README
+sanexs.c
 t/01_compile.t
 t/02_perl.t
 t/03_xs.t
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/List-MoreUtils-0.30/META.yml 
new/List-MoreUtils-0.32/META.yml
--- old/List-MoreUtils-0.30/META.yml2010-12-16 04:03:31.0 +0100
+++ new/List-MoreUtils-0.32/META.yml2011-05-20 02:52:13.0 +0200
@@ -1,16 +1,18 @@
 --- #YAML:1.0
 name:   List-MoreUtils
-version:0.30
+version:0.32
 abstract:   Provide the stuff missing in List::Util
 author:
 - Tassilo von Parseval tassilo.von.parse...@rwth-aachen.de
 license:perl
 distribution_type:  module
 configure_requires:
-ExtUtils::MakeMaker:  0
+ExtUtils::CBuilder:   0.27
+ExtUtils::MakeMaker:  6.52
 build_requires:
-ExtUtils::MakeMaker:  0
+Test::More:  0.42
 requires:
+perl:5.00503
 Test::More:  0.82
 no_index:
 directory:
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/List-MoreUtils-0.30/Makefile.PL 
new/List-MoreUtils-0.32/Makefile.PL
--- old/List-MoreUtils-0.30/Makefile.PL 2010-12-16 04:03:00.0 +0100
+++ new/List-MoreUtils-0.32/Makefile.PL 2011-05-20 02:51:37.0 +0200
@@ -12,19 +12,29 @@
/^-xs/ and $make_xs = 1;
 }
 unless ( defined $make_xs ) {
-   $make_xs = can_cc();
+   $make_xs = can_xs();
 }
 
 WriteMakefile(
-   NAME = 'List::MoreUtils',
-   ABSTRACT = 'Provide the stuff missing in List::Util',
-   VERSION_FROM = 'lib/List/MoreUtils.pm',
-   AUTHOR   = 'Tassilo von Parseval 
tassilo.von.parse...@rwth-aachen.de',
-   LICENSE  = 'perl',
-   PREREQ_PM= {
+   NAME   = 'List::MoreUtils',
+   ABSTRACT   = 'Provide the stuff missing in List::Util',
+   VERSION_FROM   = 'lib/List/MoreUtils.pm',
+   AUTHOR = 'Tassilo von Parseval 
tassilo.von.parse...@rwth-aachen.de',
+   LICENSE= 'perl',
+   MIN_PERL_VERSION   = '5.00503',
+   CONFIGURE_REQUIRES = {
+   'ExtUtils::MakeMaker' = '6.52',
+   'ExtUtils::CBuilder'  = '0.27',
+   },
+   BUILD_REQUIRES = {
+   'Test::More' = '0.42',
+   },
+   PREREQ_PM = {
'Test::More' = '0.82',
   

commit PackageKit for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package PackageKit for openSUSE:Factory
checked in at Tue May 31 13:12:43 CEST 2011.




--- PackageKit/PackageKit.changes   2011-04-28 12:29:13.0 +0200
+++ /mounts/work_src_done/STABLE/PackageKit/PackageKit.changes  2011-05-09 
17:42:50.0 +0200
@@ -1,0 +2,94 @@
+Mon May  9 15:21:17 UTC 2011 - dmacvi...@suse.de
+
+- Add patches:
+  + Add PackageKit backend function name in logging
+(pk_backend_log):
+0001-zypp-log-to-ZYpp-s-log-the-start-of-a-PK-backend-fun.patch
+  + Fix for lost package locks (bnc#690038):
+0002-zypp-fix-deletion-of-package-locks-bnc-690038.patch
+
+---
+Fri May  6 10:38:42 CEST 2011 - vu...@opensuse.org
+
+- Update to version 0.6.14:
+  + Lots of nice bugfixes in this release, along with slight
+changes to the SetProxy() and DownloadPackages() D-Bus API. If
+you're using either packagekit-glib or packagekit-qt then
+there's no change required as the libraries have symbol
+fallbacks.
+  + The packageKit-qt2 library has been committed. It is eventually
+aiming to replace packagekit-qt.
+  + New Features:
+- Add a 'store_in_cache' attribute to the DownloadPackages
+  method
+- Automatically cancel running background transactions if a
+  foreground transaction is committed
+- Cancel any background transactions when we get
+  SuggestDaemonQuit
+- Introduce other attributes in the SetProxy() method
+  + Libraries (glib):
+- Add GIR annotations to make PK GIR usable
+- Add header name to GIR and set export package
+  + Libraries (qt):
+- Add storeInCache parameter to downloadPackages to cover new
+  API
+- Fix typo in SearchGroups
+  + Libraries (qt2):
+- New library.
+  + Bugfixes:
+- Fix precedence when assigning strings to a *GStrv
+- Create transaction db properly if it's not exist
+- Do not abort in pk_catalog_init() if PackageKit is not
+  available. Fixes rh#688280
+- Do not allow backends to output duplicate older packages when
+  searching with newest
+- Fix a crash where the error code was pointing to freed
+  memory. Fixes rh#684464
+- Fix a typo in pk_transaction_db_get_proxy
+- Get more proxy info after the new proxy parameters was
+  introduced
+- Honour ACLOCAL_FLAGS in Makefile.am. Fixes fd#35237
+- browser-plugin: Remove deprecated symbols
+- pkcon: add missing {} around if
+- pk-debuginfo-install: fix typo of using PK_FILTER
+- Use the new threadsafe signal handling support in GLib
+- Various docs updates.
+  + Zypp Backend:
+- Check repo file before using it
+- Consider only_trusted option while installing packages
+- Fix memory leak in pk_backend_transaction_start
+- Patch::Content is returned by value. Fixes crash on
+  get-updates (bnc#685831)
+- Reload RpmDB before removing packages
+- Report download speed (bnc#663069)
+- Reset packages status in repo while removing packages
+- Set locale info at the begin of transaction
+- Support proxy_https,proxy_socks,no_proxy
+- Use namespace once to remove the namespace noise.
+- Use output parameters (references) for containers
+  + Non-zypp backends updates (including removal of pacman
+backend).
+- Drop PackageKit-fix-endless-recursion.patch: fixed upstream.
+- Drop PackageKit-fix-build.patch: fixed upstream.
+- Change Requires of Packagekit = %{version} to Recommends for
+  libpackagekit-glib2-14 and libpackagekit-qt14: a strict Requires
+  like this goes against the goal of the shared library packaging
+  policy. Also, the users of those libraries should gracefully
+  handle the case where the PackageKit daemon is not running or
+  doesn't understand the D-Bus requests.
+- Create libpackagekit-qt2-0 and libpackagekit-qt2-devel subpackage
+  for the new libpackagekit-qt2 library.
+- Remove explicit Requires for packages from various devel
+  subpackages as they will automatically be added the pkgconfig()
+  way:
+  + PackageKit-devel: glib2-devel, NetworkManager-devel,
+sqlite3-devel
+  + libpackagekit-glib2-devel: glib2-devel, NetworkManager-devel,
+sqlite3-devel (as well as PackageKit itself)
+  + libpackagekit-qt-devel: libqt4-devel (as well as PackageKit
+itself)
+- Mark branding-upstream subpackage as noarch.
+- Set BUILD_CNF to 1 as the file search works again. This means the
+  pk-command-not-found utility will be built again.
+
+---

calling whatdependson for head-i586


Old:

  PackageKit-0.6.13.tar.bz2
  PackageKit-fix-build.patch
  PackageKit-fix-endless-recursion.patch

New:

  0001-zypp-log-to-ZYpp-s-log-the-start-of-a-PK-backend-fun.patch
  0002-zypp-fix-deletion-of-package-locks-bnc-690038.patch
  PackageKit-0.6.14.tar.bz2


commit perl-Test-Fatal for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package perl-Test-Fatal for openSUSE:Factory
checked in at Tue May 31 13:14:28 CEST 2011.




--- perl-Test-Fatal/perl-Test-Fatal.changes 2010-12-01 14:55:31.0 
+0100
+++ /mounts/work_src_done/STABLE/perl-Test-Fatal/perl-Test-Fatal.changes
2011-04-28 07:42:07.0 +0200
@@ -1,0 +2,7 @@
+Thu Apr 28 05:37:16 UTC 2011 - pascal.ble...@opensuse.org
+
+- update to 0.005: no user-visible changes
+- changes from 0.004:
+  * success blocks now allow trailing blocks like finally, catch, etc.
+
+---

calling whatdependson for head-i586


Old:

  Test-Fatal-0.003.tar.gz

New:

  Test-Fatal-0.005.tar.gz



Other differences:
--
++ perl-Test-Fatal.spec ++
--- /var/tmp/diff_new_pack.1dnCUL/_old  2011-05-31 13:12:58.0 +0200
+++ /var/tmp/diff_new_pack.1dnCUL/_new  2011-05-31 13:12:58.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package perl-Test-Fatal (Version 0.003)
+# spec file for package perl-Test-Fatal
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -21,12 +21,12 @@
 Name:   perl-Test-Fatal
 %define cpan_name Test-Fatal
 Summary:Incredibly simple helpers for testing code with exceptions
-Version:0.003
-Release:2
+Version:0.005
+Release:1
 License:GPL+ or Artistic
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/Test-Fatal/
-Source: 
http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Test-Fatal-0.003.tar.gz
+Source: 
http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Test-Fatal-%{version}.tar.gz
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %{perl_requires}

++ Test-Fatal-0.003.tar.gz - Test-Fatal-0.005.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Test-Fatal-0.003/Changes new/Test-Fatal-0.005/Changes
--- old/Test-Fatal-0.003/Changes2010-10-29 04:11:02.0 +0200
+++ new/Test-Fatal-0.005/Changes2011-04-26 13:50:56.0 +0200
@@ -1,5 +1,12 @@
 Revision history for Test-Fatal
 
+0.005 2011-04-26 07:50:48 America/New_York
+  fix the logic that picks tests for 5.13.1+ (thanks, Zefram)
+
+0.004 2011-04-25 11:57:59 America/New_York
+  success blocks now allow trailing blocks like finally, catch, etc.
+(thanks, Joel Bernstein)
+
 0.003 2010-10-28 22:10:59 America/New_York
   more tests for false exceptions, especially on 5.13
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Test-Fatal-0.003/META.json 
new/Test-Fatal-0.005/META.json
--- old/Test-Fatal-0.003/META.json  2010-10-29 04:11:02.0 +0200
+++ new/Test-Fatal-0.005/META.json  2011-04-26 13:50:56.0 +0200
@@ -4,7 +4,7 @@
   Ricardo Signes r...@cpan.org
],
dynamic_config : 0,
-   generated_by : Dist::Zilla version 4.102342, CPAN::Meta::Converter 
version 2.102400,
+   generated_by : Dist::Zilla version 4.25, CPAN::Meta::Converter 
version 2.110930,
license : [
   perl_5
],
@@ -40,118 +40,123 @@
  url : git://git.codesimply.com/Test-Fatal.git
   }
},
-   version : 0.003,
+   version : 0.005,
x_Dist_Zilla : {
   plugins : [
  {
+class : Dist::Zilla::Plugin::CheckPrereqsIndexed,
+name : @RJBS/CheckPrereqsIndexed,
+version : 0.002
+ },
+ {
 class : Dist::Zilla::Plugin::GatherDir,
 name : @RJBS/@Basic/GatherDir,
-version : 4.102342
+version : 4.25
  },
  {
 class : Dist::Zilla::Plugin::PruneCruft,
 name : @RJBS/@Basic/PruneCruft,
-version : 4.102342
+version : 4.25
  },
  {
 class : Dist::Zilla::Plugin::ManifestSkip,
 name : @RJBS/@Basic/ManifestSkip,
-version : 4.102342
+version : 4.25
  },
  {
 class : Dist::Zilla::Plugin::MetaYAML,
 name : @RJBS/@Basic/MetaYAML,
-version : 4.102342
+version : 4.25
  },
  {
 class : Dist::Zilla::Plugin::License,
 name : @RJBS/@Basic/License,
-version : 4.102342
+version : 4.25
  },
  {
 class : Dist::Zilla::Plugin::Readme,
 name : @RJBS/@Basic/Readme,
-version : 4.102342
+version : 4.25
  

commit libwnck for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package libwnck for openSUSE:Factory
checked in at Tue May 31 13:16:57 CEST 2011.




--- GNOME/libwnck/libwnck.changes   2011-05-04 10:05:29.0 +0200
+++ /mounts/work_src_done/STABLE/libwnck/libwnck.changes2011-05-24 
09:07:45.0 +0200
@@ -1,0 +2,8 @@
+Tue May 24 09:02:49 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.0.2:
+  + Updated translations.
+- Change libwnck-doc Obsoletes from = to  to fix a rpmlint
+  warning.
+
+---

calling whatdependson for head-i586


Old:

  libwnck-3.0.0.tar.bz2

New:

  libwnck-3.0.2.tar.bz2



Other differences:
--
++ libwnck.spec ++
--- /var/tmp/diff_new_pack.pUlw6V/_old  2011-05-31 13:15:49.0 +0200
+++ /var/tmp/diff_new_pack.pUlw6V/_new  2011-05-31 13:15:49.0 +0200
@@ -18,8 +18,8 @@
 
 
 Name:   libwnck
-Version:3.0.0
-Release:2
+Version:3.0.2
+Release:1
 License:LGPLv2.1+
 # WARNING: After changing versions please call Re or rpmbuild to auto-update 
spec file:
 #%(sh %{_sourcedir}/%{name}_spec-update.sh %{_sourcedir} %{name} libwnck-1)
@@ -78,7 +78,7 @@
 %ifarch ppc64
 Obsoletes:  libwnck-devel-64bit
 %endif
-Obsoletes:  libwnck-doc = %{version}
+Obsoletes:  libwnck-doc  %{version}
 Provides:   libwnck-doc = %{version}
 
 %description devel

++ libwnck-3.0.0.tar.bz2 - libwnck-3.0.2.tar.bz2 ++
 2601 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit telepathy-glib for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package telepathy-glib for openSUSE:Factory
checked in at Tue May 31 13:17:47 CEST 2011.




--- telepathy-glib/telepathy-glib.changes   2011-05-03 01:02:01.0 
+0200
+++ /mounts/work_src_done/STABLE/telepathy-glib/telepathy-glib.changes  
2011-05-26 22:00:45.0 +0200
@@ -1,0 +2,25 @@
+Wed May 18 17:34:21 CEST 2011 - dims...@opensuse.org
+
+- Update to version 0.15.0:
+  + Update to spec 0.23.2:
+- Generated code for Channel.Interface.SMS.GetSMSLength()
+- Generated code for ChannelDispatcher.DelegateChannels() and
+  ChannelDispatcher.PresentChannel()
+  + tp_channel_dispatch_operation_claim_with_async() replacing
+tp_channel_dispatch_operation_claim_async() [fdo#36490]
+  + TpProxyFeature is now part of the API allowing users to define
+their own features [fdo#31583]
+  + Add tp_base_client_delegate_channels_{async,finish} and
+tp_channel_dispatcher_present_channel_{async,finish}: high
+level API to delegate and present channels [fdo#34610]
+  + TpChannelDispatcher is now exported in the GIR file and so can
+be used using gobject-introspection
+- Changes from version 0.14.6:
+  + tp_dbus_daemon_watch_name_owner leaked a DBusMessage
+  + tp_dbus_daemon_list[_activatable]_names leaked a DBusMessage
+  + tp_base_connection_change_status: delay side-effects until all
+preconditions are checked
+  + TpGroupMixin: correctly use contact-ids, not member-ids
+  + TpBaseContactList: fix leak of source object.
+
+---

calling whatdependson for head-i586


Old:

  telepathy-glib-0.14.5.tar.bz2

New:

  telepathy-glib-0.15.0.tar.bz2



Other differences:
--
++ telepathy-glib.spec ++
--- /var/tmp/diff_new_pack.oWD5Iy/_old  2011-05-31 13:17:05.0 +0200
+++ /var/tmp/diff_new_pack.oWD5Iy/_new  2011-05-31 13:17:05.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   telepathy-glib
-Version:0.14.5
+Version:0.15.0
 Release:1
 License:LGPLv2.1
 Summary:Libraries for adding telepathy support to applications that 
use glib

++ telepathy-glib-0.14.5.tar.bz2 - telepathy-glib-0.15.0.tar.bz2 ++
 32148 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-DateTime-TimeZone for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package perl-DateTime-TimeZone for 
openSUSE:Factory
checked in at Tue May 31 13:20:00 CEST 2011.




--- perl-DateTime-TimeZone/perl-DateTime-TimeZone.changes   2011-04-01 
08:02:22.0 +0200
+++ 
/mounts/work_src_done/STABLE/perl-DateTime-TimeZone/perl-DateTime-TimeZone.changes
  2011-04-25 22:47:43.0 +0200
@@ -1,0 +2,16 @@
+Mon Apr 25 20:35:56 UTC 2011 - pascal.ble...@opensuse.org
+
+- fix build on openSUSE 11.2
+
+- update to 1.34:
+  * based on version 2011g of the Olson database, includes changes for Egypt
+  * DateTime::TimeZone::Floating and DateTime::TimeZone::UTC are now
+singletons, since their internal state never changes
+
+- changes from 1.33:
+  * changes for the Falkland Islands
+
+- changes from 1.32:
+  * changes for Morocco and Chile
+
+---

calling whatdependson for head-i586


Old:

  DateTime-TimeZone-1.31.tar.gz

New:

  DateTime-TimeZone-1.34.tar.gz



Other differences:
--
++ perl-DateTime-TimeZone.spec ++
--- /var/tmp/diff_new_pack.7LyLDj/_old  2011-05-31 13:19:05.0 +0200
+++ /var/tmp/diff_new_pack.7LyLDj/_new  2011-05-31 13:19:05.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   perl-DateTime-TimeZone
-Version:1.31
+Version:1.34
 Release:1
 License:GPL+ or Artistic
 %define cpan_name DateTime-TimeZone
@@ -35,10 +35,12 @@
 BuildRequires:  perl(Class::Singleton) = 1.03
 BuildRequires:  perl(Cwd) = 3
 BuildRequires:  perl(Params::Validate) = 0.72
+BuildRequires:  perl(parent)
 Requires:   perl(Class::Load)
 Requires:   perl(Class::Singleton) = 1.03
 Requires:   perl(Cwd) = 3
 Requires:   perl(Params::Validate) = 0.72
+Requires:   perl(parent)
 %{perl_requires}
 
 %description

++ DateTime-TimeZone-1.31.tar.gz - DateTime-TimeZone-1.34.tar.gz ++
 15278 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gtksourceview for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package gtksourceview for openSUSE:Factory
checked in at Tue May 31 13:21:11 CEST 2011.




--- GNOME/gtksourceview/gtksourceview.changes   2011-04-27 13:27:09.0 
+0200
+++ /mounts/work_src_done/STABLE/gtksourceview/gtksourceview.changes
2011-05-27 10:28:41.0 +0200
@@ -1,0 +2,15 @@
+Fri May 27 10:23:22 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.0.3:
+  + Improvements to some of the lang files
+  + Misc bugfixes.
+
+---
+Wed May 25 15:11:10 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.0.2:
+  + Improvements to some of the lang files
+  + Misc bugfixes
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  gtksourceview-3.0.1.tar.bz2

New:

  gtksourceview-3.0.3.tar.bz2



Other differences:
--
++ gtksourceview.spec ++
--- /var/tmp/diff_new_pack.EpX4dm/_old  2011-05-31 13:20:08.0 +0200
+++ /var/tmp/diff_new_pack.EpX4dm/_new  2011-05-31 13:20:08.0 +0200
@@ -19,7 +19,7 @@
 %define enable_glade_catalog 0
 
 Name:   gtksourceview
-Version:3.0.1
+Version:3.0.3
 Release:1
 License:GPLv2+
 Summary:GTK+ Source Editing Widget

++ gtksourceview-3.0.1.tar.bz2 - gtksourceview-3.0.3.tar.bz2 ++
 13688 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit farsight2 for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package farsight2 for openSUSE:Factory
checked in at Tue May 31 13:22:03 CEST 2011.




--- GNOME/farsight2/farsight2.changes   2011-05-05 13:36:50.0 +0200
+++ /mounts/work_src_done/STABLE/farsight2/farsight2.changes2011-05-18 
17:55:45.0 +0200
@@ -1,0 +2,7 @@
+Wed May 18 17:53:18 CEST 2011 - dims...@opensuse.org
+
+- Update to version 0.0.28:
+  + Support for the negotiation of RTCP extra feedback messages.
+  + Support for the negotiation of RTP Generic Header Extensions.
+
+---

calling whatdependson for head-i586


Old:

  farsight2-0.0.27.tar.bz2

New:

  farsight2-0.0.28.tar.bz2



Other differences:
--
++ farsight2.spec ++
--- /var/tmp/diff_new_pack.me5AJs/_old  2011-05-31 13:21:21.0 +0200
+++ /var/tmp/diff_new_pack.me5AJs/_new  2011-05-31 13:21:21.0 +0200
@@ -33,7 +33,7 @@
 BuildRequires:  python-gobject2-devel
 BuildRequires:  python-gstreamer-0_10-devel
 BuildRequires:  python-xml
-Version:0.0.27
+Version:0.0.28
 Release:1
 License:LGPLv2.1
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ farsight2-0.0.27.tar.bz2 - farsight2-0.0.28.tar.bz2 ++
 5201 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit totem-pl-parser for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package totem-pl-parser for openSUSE:Factory
checked in at Tue May 31 13:30:49 CEST 2011.




--- GNOME/totem-pl-parser/totem-pl-parser.changes   2011-04-05 
11:51:07.0 +0200
+++ /mounts/work_src_done/STABLE/totem-pl-parser/totem-pl-parser.changes
2011-05-26 21:52:12.0 +0200
@@ -1,0 +2,10 @@
+Wed May 18 03:21:07 CEST 2011 - dims...@opensuse.org
+
+- Update to version 2.32.5:
+  + Fix parsing of iTunes podcasts
+  + Use libarchive to detect media discs in ISO files, instead of
+gvfs, which makes it more reliable
+  + Add support for quvi properties (duration and thumbnail URL).
+- Add pkgconfig(libarchive) BuildRequires.
+
+---

calling whatdependson for head-i586


Old:

  totem-pl-parser-2.32.4.tar.bz2

New:

  totem-pl-parser-2.32.5.tar.bz2



Other differences:
--
++ totem-pl-parser.spec ++
--- /var/tmp/diff_new_pack.EFo8Re/_old  2011-05-31 13:23:14.0 +0200
+++ /var/tmp/diff_new_pack.EFo8Re/_new  2011-05-31 13:23:14.0 +0200
@@ -19,7 +19,7 @@
 
 
 Name:   totem-pl-parser
-Version:2.32.4
+Version:2.32.5
 Release:1
 License:LGPLv2.0+
 Group:  Productivity/Multimedia/Video/Players
@@ -33,6 +33,7 @@
 BuildRequires:  libsoup-devel
 BuildRequires:  libxml2-devel
 BuildRequires:  translation-update-upstream
+BuildRequires:  pkgconfig(libarchive)
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Recommends: %{name}-lang
 

++ totem-pl-parser-2.32.4.tar.bz2 - totem-pl-parser-2.32.5.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/totem-pl-parser-2.32.4/ChangeLog 
new/totem-pl-parser-2.32.5/ChangeLog
--- old/totem-pl-parser-2.32.4/ChangeLog2011-03-21 15:51:22.0 
+0100
+++ new/totem-pl-parser-2.32.5/ChangeLog2011-05-10 15:34:15.0 
+0200
@@ -1,3 +1,72 @@
+commit 0fed7b9c663cbc0907f5ec79c1665a3eb3988e23
+Author: Bastien Nocera had...@hadess.net
+Date:   Tue May 10 14:33:48 2011 +0100
+
+2.32.5
+
+ NEWS |7 +++
+ configure.in |2 +-
+ 2 files changed, 8 insertions(+), 1 deletions(-)
+
+commit b4c2e6c8941f185125abb505c9e2ca8bdf0fbb63
+Author: Bastien Nocera had...@hadess.net
+Date:   Tue May 3 14:23:33 2011 +0100
+
+lib: Fix ITMS parsing from iTunes 10.x
+
+Instead of XML files/plists, the iTunes podcast code now
+uses plists for redirections, and HTML for the podcast itself.
+
+https://bugzilla.gnome.org/show_bug.cgi?id=649171
+
+ plparse/totem-pl-parser-podcast.c |  116 -
+ 1 files changed, 62 insertions(+), 54 deletions(-)
+
+commit cdee229e67a3b88557cc01545af05a860f559ba4
+Author: Bastien Nocera had...@hadess.net
+Date:   Tue May 3 13:07:52 2011 +0100
+
+lib: Add debug to the podcast functions
+
+ plparse/totem-pl-parser-podcast.c |   17 +++--
+ 1 files changed, 11 insertions(+), 6 deletions(-)
+
+commit e57948ce6ef79af728e40722c8478122270b845e
+Author: Bastien Nocera had...@hadess.net
+Date:   Sat Apr 2 20:42:08 2011 +0100
+
+Use libarchive to detect types of ISO files
+
+Instead of using GVFS to mount the ISOs through libarchive,
+as it was quite fiddly, and unreliable.
+
+ configure.in |   35 +
+ plparse/Makefile.am  |2 +
+ plparse/totem-disc.c |  130 +++---
+ totem-plparser.pc.in |2 +-
+ 4 files changed, 98 insertions(+), 71 deletions(-)
+
+commit aba65d92aa4a82de84a3135af2cbfb88124a319b
+Author: Bastien Nocera had...@hadess.net
+Date:   Fri Mar 25 01:31:39 2011 +
+
+Add support for new quvi properties
+
+Duration, and Thumbnail URL are now available.
+
+ configure.in|2 +-
+ plparse/totem-pl-parser-videosite.c |   16 +---
+ 2 files changed, 14 insertions(+), 4 deletions(-)
+
+commit 7a717c19076b504324e99db2707f24de1ce0c645
+Author: Abduxukur Abdurixit abduri...@gmail.com
+Date:   Sun Mar 27 21:52:18 2011 +0200
+
+Added UG translation
+
+ po/ug.po |2 +-
+ 1 files changed, 1 insertions(+), 1 deletions(-)
+
 commit 24ab9af8ede6d92c6cce9fc219708894ccae6b15
 Author: Bastien Nocera had...@hadess.net
 Date:   Mon Mar 21 14:51:13 2011 +
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/totem-pl-parser-2.32.4/Makefile.in 
new/totem-pl-parser-2.32.5/Makefile.in
--- old/totem-pl-parser-2.32.4/Makefile.in  2011-03-17 02:21:56.0 
+0100
+++ new/totem-pl-parser-2.32.5/Makefile.in  2011-05-10 15:34:03.0 
+0200
@@ -152,6 +152,9 @@
 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
 AM_LDFLAGS = @AM_LDFLAGS@
 AR = @AR@
+ARCHIVE = @ARCHIVE@
+ARCHIVE_CFLAGS = @ARCHIVE_CFLAGS@
+ARCHIVE_LIBS = 

commit tracker for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package tracker for openSUSE:Factory
checked in at Tue May 31 13:36:03 CEST 2011.




--- GNOME/tracker/tracker.changes   2011-05-04 10:08:12.0 +0200
+++ /mounts/work_src_done/STABLE/tracker/tracker.changes2011-05-28 
15:24:27.0 +0200
@@ -1,0 +2,85 @@
+Sat May 28 14:57:35 CEST 2011 - dims...@opensuse.org
+
+- Update to version 0.10.15:
+  + libtracker-sparql: Fix deadlock on initialization error
+  + libtracker-miner:
+- Fixed c++ builds where headers use private keyword
+- Include missing header tracker-albumart.h in main header
+- Do not perform removed files check if crawling was cancelled
+  + tracker-store: Reenable signals after failing to load Turtle
+file
+  + tracker-extract: Improve logging around which module is used
+for extraction per file
+  + evolution:
+- Fixed completely broken status reporting as a miner
+- Don't send Idle status twice
+- Added debug logging to know if the module was loaded or not
+  on the command line
+  + Bugs fixed: nokia#254855, nokia#259000, nokia#244556,
+nokia#252898, nokia#258488, nokia#258459.
+
+---
+Sat May 28 00:36:35 CEST 2011 - vu...@opensuse.org
+
+- Mention the new --add-feed option of tracker-miner-rss in
+  README.SUSE.rss.
+
+---
+Mon May 23 14:30:20 CEST 2011 - dims...@opensuse.org
+
+- Update to version 0.10.14:
+  + libtracker-data:
+- Handle EINTR instead of EGAIN when writing journal
+- Delete empty file if unable to write journal header
+- Do not trigger a journal replay with invalid ontology
+  journals
+- Propagate errors for ontology transactions
+  + libtracker-bus: Support multiple bus connection objects
+  + libtracker-direct: Support multiple bus connection objects
+  + libtracker-sparql: Protect singleton weak pointer with mutex
+  + libtracker-miner: Cleanup media-art that isn't valid anymore
+every 30 minutes or so
+  + tracker-store: Improved error handling for Data.Manager.init
+  + functional-tests: Add UID::user and GID::users to tracker-tests
+aegis file.
+
+---
+Mon May 16 15:45:05 CEST 2011 - dims...@opensuse.org
+
+- Update to version 0.10.13:
+  + libtracker-miner: Cancel TrackerMinerFS cancellables on
+finalize
+  + tracker-store: Use lazy loading for stats to improve start up
+speed
+  + Bugs fixed: nokia#254154, nokia#253807, nokia#248873.
+  + Updated translations.
+
+---
+Fri May  6 08:49:59 CEST 2011 - dims...@opensuse.org
+
+- Update to version 0.10.12:
+  + New Feature:
+- Now tracker-control has --backup and --restore options
+- Now tracker-miner-rss has an --add-feed option
+  + libtracker-extract: Fixed encoding guessing, make sure we
+init/shutdown locale module
+  + libtracker-miner: Don't load thumbnailer service properties
+over D-Bus
+  + tracker-store: Added checks to Backup method target file so it
+is a real URI
+  + tracker-miner-rss:
+- Fixed crash trying to cast TrackerSparqlConnection to
+  TrackerMinerRSS
+- Fixed recursive check with mfo:updatedTime GraphUpdated
+  signal
+- Fixed ASK SPARQL to check true/false not 0/1
+- Improved logging/debugging
+  + Bugs fixed: bgo#520670, bgo#633105, bgo#397205, nokia#249338.
+  + Updated translations.
+- Add tracker-search-bar.1 from git to Source list: it is missing
+  in the tarball. Makefile to distribute this properly is already
+  fixed in launchpad.
+- Add dia BuildRequires to fix the gtk-doc building
+- Re-enable --enable-gtk-doc configure parameter.
+
+---

calling whatdependson for head-i586


Old:

  tracker-0.10.11.tar.bz2

New:

  tracker-0.10.15.tar.bz2
  tracker-search-bar.1



Other differences:
--
++ tracker.spec ++
--- /var/tmp/diff_new_pack.gbU126/_old  2011-05-31 13:31:04.0 +0200
+++ /var/tmp/diff_new_pack.gbU126/_new  2011-05-31 13:31:04.0 +0200
@@ -19,9 +19,9 @@
 
 
 Name:   tracker
-Version:0.10.11
+Version:0.10.15
 Release:1
-# FIXME: 2010-03-24 building gtk-doc fails because of a bug in graphviz
+# FIXME: Remove tracker-search-bar.1 from Source list again. This should be 
fixed with next update.
 License:GPLv2+
 Summary:Powerful object database, tag/metadata database, search tool 
and indexer
 Url:http://projects.gnome.org/tracker/
@@ -29,12 +29,15 @@
 Source0:%{name}-%{version}.tar.bz2
 Source1:README.SUSE.flickr
 Source2:README.SUSE.rss
+Source3:tracker-search-bar.1
 # PATCH-FIX-OPENSUSE 

commit perl-Test-LeakTrace for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package perl-Test-LeakTrace for 
openSUSE:Factory
checked in at Tue May 31 13:36:46 CEST 2011.




--- perl-Test-LeakTrace/perl-Test-LeakTrace.changes 2011-03-15 
10:55:15.0 +0100
+++ 
/mounts/work_src_done/STABLE/perl-Test-LeakTrace/perl-Test-LeakTrace.changes
2011-05-01 13:01:41.0 +0200
@@ -1,0 +2,11 @@
+Sun May  1 10:39:25 UTC 2011 - co...@opensuse.org
+
+- updated to 0.13
+  - Fix tests for older perls
+  
+  - Use = 0, instead of == 0 for no_leaks_ok()
+  - Add count_sv() to count all the SVs in a perl interpreter
+  
+  - Resolve RT #58133: False-positive related to XS code
+
+---

calling whatdependson for head-i586


Old:

  Test-LeakTrace-0.10.tar.bz2

New:

  Test-LeakTrace-0.13.tar.gz



Other differences:
--
++ perl-Test-LeakTrace.spec ++
--- /var/tmp/diff_new_pack.YIAQAV/_old  2011-05-31 13:36:10.0 +0200
+++ /var/tmp/diff_new_pack.YIAQAV/_new  2011-05-31 13:36:10.0 +0200
@@ -15,47 +15,43 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
 
 
 Name:   perl-Test-LeakTrace
-%definereal_name %( echo %{name} | %{__sed} -e 's,perl-,,' )
+Version:0.13
+Release:1
+License:GPL+ or Artistic
+%define cpan_name Test-LeakTrace
 Summary:Traces memory leaks 
-Url:http://search.cpan.org/perldoc?Test::LeakTrace
+Url:http://search.cpan.org/dist/Test-LeakTrace/
 Group:  Development/Libraries/Perl
-License:GPL+ or Artistic
-Version:0.10
-Release:8
-Source: %{real_name}-%{version}.tar.bz2
-BuildRequires:  perl-macros
+Source: 
http://www.cpan.org/authors/id/G/GF/GFUJI/%{cpan_name}-%{version}.tar.gz
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+BuildRequires:  perl
+BuildRequires:  perl-macros
 %{perl_requires}
 
 %description
-Test::LeakTrace provides several functions that trace memory leaks. This module
-scans arenas, the memory allocation system, so it can detect any leaked SVs in
-given blocks.
-
-Leaked SVs are SVs which are not released after the end of the scope they have
-been created. These SVs include global variables and internal caches. For
-example, if you call a method in a tracing block, perl might prepare a cache
-for the method. Thus, to trace true leaks, no_leaks_ok() and leaks_cmp_ok()
-executes a block more than once.e
-
-Author:

-   Goro Fuji(gfx) gfuji(at)cpan.org.
-
+'Test::LeakTrace' provides several functions that trace memory leaks. This
+module scans arenas, the memory allocation system, so it can detect any
+leaked SVs in given blocks.
+
+*Leaked SVs* are SVs which are not released after the end of the scope they
+have been created. These SVs include global variables and internal caches.
+For example, if you call a method in a tracing block, perl might prepare a
+cache for the method. Thus, to trace true leaks, 'no_leaks_ok()' and
+'leaks_cmp_ok()' executes a block more than once.
 
 %prep
-%setup -q -n %{real_name}-%{version}
+%setup -q -n %{cpan_name}-%{version}
+find . -type f -print0 | xargs -0 chmod 644
 
 %build
-perl Makefile.PL 
-make %{?jobs:-j%jobs}
+%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE=%{optflags}
+%{__make} %{?_smp_mflags}
 
 %check
-make test
+%{__make} test
 
 %install
 %perl_make_install
@@ -63,10 +59,10 @@
 %perl_gen_filelist
 
 %clean
-rm -rf %{buildroot}
+%{__rm} -rf %{buildroot}
 
 %files -f %{name}.files 
-%defattr(0644, root, root, 0755)
-%doc Changes README MANIFEST
+%defattr(-,root,root,755)
+%doc Changes README
 
 %changelog






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-Eval-Closure for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package perl-Eval-Closure for 
openSUSE:Factory
checked in at Tue May 31 13:38:13 CEST 2011.




--- perl-Eval-Closure/perl-Eval-Closure.changes 2011-04-16 02:42:31.0 
+0200
+++ /mounts/work_src_done/STABLE/perl-Eval-Closure/perl-Eval-Closure.changes
2011-05-04 13:07:09.0 +0200
@@ -1,0 +2,8 @@
+Wed May  4 10:55:03 UTC 2011 - co...@opensuse.org
+
+- updated to 0.05
+  - make sure Perl::Tidy doesn't look at @ARGV (rafl)
+  - stop using Memoize, it apparently doesn't work properly under mod_perl
+in some situations (mateu)
+
+---

calling whatdependson for head-i586


Old:

  Eval-Closure-0.03.tar.gz

New:

  Eval-Closure-0.05.tar.gz



Other differences:
--
++ perl-Eval-Closure.spec ++
--- /var/tmp/diff_new_pack.cVwe2E/_old  2011-05-31 13:36:55.0 +0200
+++ /var/tmp/diff_new_pack.cVwe2E/_new  2011-05-31 13:36:55.0 +0200
@@ -18,70 +18,65 @@
 
 
 Name:   perl-Eval-Closure
-Version:0.03
+Version:0.05
 Release:1
-Summary:Safely and cleanly create closures via string eval
-Source: 
http://search.cpan.org/CPAN/authors/id/D/DO/DOY/Eval-Closure-%{version}.tar.gz
-Url:http://search.cpan.org/dist/Eval-Closure
+License:GPL+ or Artistic
+%define cpan_name Eval-Closure
+Summary:safely and cleanly create closures via string eval
+Url:http://search.cpan.org/dist/Eval-Closure/
 Group:  Development/Libraries/Perl
-License:Perl License
+Source: 
http://www.cpan.org/authors/id/D/DO/DOY/%{cpan_name}-%{version}.tar.gz
+BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-%{perl_requires}
+BuildRequires:  perl
 BuildRequires:  perl-macros
-BuildRequires:  make
-BuildRequires:  perl(Test::Requires)
-BuildRequires:  perl(Test::Output)
-BuildRequires:  perl(Test::More) = 0.88
+BuildRequires:  perl(Sub::Exporter)
 BuildRequires:  perl(Test::Fatal)
-BuildRequires:  perl(ExtUtils::MakeMaker) = 6.31
+BuildRequires:  perl(Test::More) = 0.88
+BuildRequires:  perl(Test::Requires)
 BuildRequires:  perl(Try::Tiny)
-BuildRequires:  perl(Scalar::Util)
-BuildRequires:  perl(Sub::Exporter)
-Requires:   perl(Try::Tiny)
-Requires:   perl(Scalar::Util)
 Requires:   perl(Sub::Exporter)
-%if 0%{?suse_version} = 1120
-BuildArch:  noarch
-%endif
+Requires:   perl(Try::Tiny)
+Recommends: perl(Perl::Tidy)
+%{perl_requires}
 
 %description
 String eval is often used for dynamic code generation. For instance,
-Moose uses it heavily, to generate inlined versions of accessors and
+'Moose' uses it heavily, to generate inlined versions of accessors and
 constructors, which speeds code up at runtime by a significant amount.
 String eval is not without its issues however - it's difficult to control
 the scope it's used in (which determines which variables are in scope
 inside the eval), and it can be quite slow, especially if doing a large
 number of evals.
+
 This module attempts to solve both of those problems. It provides an
-eval_closure function, which evals a string in a clean environment,
-other than a fixed list of specified variables. It also caches the result
-of the eval, so that doing repeated evals of the same source, even with a
+'eval_closure' function, which evals a string in a clean environment, other
+than a fixed list of specified variables. It also caches the result of the
+eval, so that doing repeated evals of the same source, even with a
 different environment, will be much faster (but note that the description
 is part of the string to be evaled, so it must also be the same (or
 non-existent) if caching is to work properly).
 
 %prep
-%setup -q -n Eval-Closure-%{version}
-%__sed -i '/^auto_install/d' Makefile.PL
+%setup -q -n %{cpan_name}-%{version}
 
 %build
-%__perl Makefile.PL PREFIX=%{_prefix}
-%__make %{?_smp_flags}
+%{__perl} Makefile.PL INSTALLDIRS=vendor
+%{__make} %{?_smp_mflags}
+
+%check
+%{__make} test
 
 %install
 %perl_make_install
 %perl_process_packlist
-
-%check
-%__make test
+%perl_gen_filelist
 
 %clean
-%{?buildroot:%__rm -rf %{buildroot}}
+%{__rm} -rf %{buildroot}
+
+%files -f %{name}.files
+%defattr(-,root,root,755)
+%doc Changes LICENSE README weaver.ini
 
-%files
-%defattr(-,root,root)
-%doc README Changes LICENSE
-%dir %{perl_vendorlib}/Eval
-%{perl_vendorlib}/Eval/Closure.pm
-%doc %{perl_man3dir}/Eval::Closure.%{perl_man3ext}%{ext_man}
 %changelog

++ Eval-Closure-0.03.tar.gz - Eval-Closure-0.05.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Eval-Closure-0.03/Changes 
new/Eval-Closure-0.05/Changes
--- old/Eval-Closure-0.03/Changes   2011-03-03 05:08:10.0 +0100
+++ new/Eval-Closure-0.05/Changes   

commit perl-File-Slurp for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package perl-File-Slurp for openSUSE:Factory
checked in at Tue May 31 13:40:13 CEST 2011.




--- perl-File-Slurp/perl-File-Slurp.changes 2011-03-31 13:51:28.0 
+0200
+++ /mounts/work_src_done/STABLE/perl-File-Slurp/perl-File-Slurp.changes
2011-05-17 12:22:40.0 +0200
@@ -1,0 +2,19 @@
+Tue May 17 10:16:46 UTC 2011 - pascal.ble...@opensuse.org
+
+- update to .18:
+  * added :std and :edit export tags
+  * cleaned up EXPORT vars
+  * documented importing edit_file and edit_file_lines
+  * requiring Perl 5.6.2 (first time older Perls were dropped); this is because
+of use of the re 'taint' pragma
+  * added major new features: edit_file and edit_file_lines
+  * speed up of tainted slurp with return of lines
+  * added chomp option to read_file
+  * added prefix option to read_dir
+  * fixed optimization of reading small files
+  * added support for read_file options to be a hash reference
+  * added support for read_dir options to be a hash reference
+  * added new feature prepend_file
+  * fixed bug with array_ref in list context. was introduced by .15/.14
+
+---

calling whatdependson for head-i586


Old:

  File-Slurp-.15.tar.gz

New:

  File-Slurp-.18.tar.gz



Other differences:
--
++ perl-File-Slurp.spec ++
--- /var/tmp/diff_new_pack.iTMK9X/_old  2011-05-31 13:38:23.0 +0200
+++ /var/tmp/diff_new_pack.iTMK9X/_new  2011-05-31 13:38:23.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   perl-File-Slurp
-Version:.15
+Version:.18
 Release:1
 License:GPL+ or Artistic
 %define cpan_name File-Slurp

++ File-Slurp-.15.tar.gz - File-Slurp-.18.tar.gz ++
 1711 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libopenvas for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package libopenvas for openSUSE:Factory
checked in at Tue May 31 13:41:30 CEST 2011.




--- libopenvas/libopenvas.changes   2011-05-07 12:49:46.0 +0200
+++ /mounts/work_src_done/STABLE/libopenvas/libopenvas.changes  2011-05-27 
14:54:58.0 +0200
@@ -1,0 +2,6 @@
+Fri May 27 12:51:13 UTC 2011 - idon...@novell.com
+
+- Add openvas-libraries-4.0-gcc46.patch: fix compilation with 
+  gcc 4.6 by fixing write-only variables
+
+---

calling whatdependson for head-i586


New:

  openvas-libraries-4.0-gcc46.patch



Other differences:
--
++ libopenvas.spec ++
--- /var/tmp/diff_new_pack.IpdLgb/_old  2011-05-31 13:41:13.0 +0200
+++ /var/tmp/diff_new_pack.IpdLgb/_new  2011-05-31 13:41:13.0 +0200
@@ -21,12 +21,13 @@
 
 Name:   libopenvas
 Version:4.0.4
-Release:1
+Release:2
 License:GPLv2
 Group:  Productivity/Networking/Security
 Url:http://www.openvas.org
 Source: openvas-libraries-%{version}.tar.gz
 Patch0: openvas-libraries-4.0-rc4-no_Werror.patch
+Patch1: openvas-libraries-4.0-gcc46.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %if 0%{?fedora_version} || 0%{?scientificlinux_version}
@@ -153,6 +154,7 @@
 %prep
 %setup -qn openvas-libraries-%{version}
 %patch0
+%patch1 -p1
 
 %build
 cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -DCMAKE_VERBOSE_MAKEFILE=ON 
-DSYSCONFDIR=%{_sysconfdir} -DLOCALSTATEDIR=%{_localstatedir} 
-DLIBDIR=%{_libdir} -DBUILD_WITH_LDAP=ON -DCMAKE_BUILD_TYPE=release

++ openvas-libraries-4.0-gcc46.patch ++
New version of gcc used for fedora 15 is reporting errors with -Werror also for 
variables set, but never used.
Where it was obvious I fixed the code. In other cases avoid this error by
(void) variable
diff -ru openvas-libraries-4.0.3.old/misc/network.c 
openvas-libraries-4.0.3.new/misc/network.c
--- openvas-libraries-4.0.3.old/misc/network.c  2011-03-03 09:44:22.0 
+0100
+++ openvas-libraries-4.0.3.new/misc/network.c  2011-03-22 23:58:10.0 
+0100
@@ -137,6 +137,9 @@
   // @todo: Check value if renice_result to see if it was successful.
   // Keep in mind that even -1 can mean success here; see man page of nice
   // for details.
+  
+  // renice set but not used - workaround
+  (void) renice_result;
 }
 }
 
diff -ru openvas-libraries-4.0.3.old/misc/plugutils.c 
openvas-libraries-4.0.3.new/misc/plugutils.c
--- openvas-libraries-4.0.3.old/misc/plugutils.c2011-03-03 
09:44:22.0 +0100
+++ openvas-libraries-4.0.3.new/misc/plugutils.c2011-03-23 
00:16:53.0 +0100
@@ -1550,7 +1550,7 @@
   socketpair (AF_UNIX, SOCK_STREAM, 0, sockpair);
   if ((pid = fork ()) == 0)
 {
-  int tictac = 0;
+  int tictac = 120;
   int old, soc;
   struct arglist *globals, *preferences = NULL;
 
@@ -1578,7 +1578,7 @@
 
   sig_term (_exit);
   sig_alarm (_exit);
-  alarm (120);
+  alarm (tictac);
 
 
   if (res-type == KB_TYPE_INT)
diff -ru openvas-libraries-4.0.3.old/nasl/charcnv.c 
openvas-libraries-4.0.3.new/nasl/charcnv.c
--- openvas-libraries-4.0.3.old/nasl/charcnv.c  2011-03-03 09:44:22.0 
+0100
+++ openvas-libraries-4.0.3.new/nasl/charcnv.c  2011-03-23 00:24:39.0 
+0100
@@ -330,19 +330,21 @@
 
   retval = smb_iconv_ntlmssp(descriptor, inbuf, i_len, outbuf, o_len);
   if(retval==(size_t)-1) {
+/* variable reason set but never used
 const char *reason=unknown error;
+*/
 switch(errno) {
   case EINVAL:
-reason=Incomplete multibyte sequence;
+/* reason=Incomplete multibyte sequence; */
 if (!conv_silent_ntlmssp)
   if (allow_bad_conv)
 goto use_as_is;
 return (size_t)-1;
   case E2BIG:
-reason=No more room;
+/* reason=No more room; */
   break;
   case EILSEQ:
-reason=Illegal multibyte sequence;
+/* reason=Illegal multibyte sequence; */
 if (allow_bad_conv)
   goto use_as_is;
 
diff -ru openvas-libraries-4.0.3.old/nasl/nasl_builtin_openvas_tcp_scanner.c 
openvas-libraries-4.0.3.new/nasl/nasl_builtin_openvas_tcp_scanner.c
--- openvas-libraries-4.0.3.old/nasl/nasl_builtin_openvas_tcp_scanner.c 
2011-03-03 09:44:22.0 +0100
+++ openvas-libraries-4.0.3.new/nasl/nasl_builtin_openvas_tcp_scanner.c 
2011-03-23 00:45:55.0 +0100
@@ -691,6 +691,8 @@
if (rtt_max[0]  0 || ping_rtt  0)
  {
int y;
+   /* avoid compile warning - y is used only in debug output */
+   (void) y; 
if (rtt_max[0]  0)
  y = x = rtt_max[0];
else
diff -ru 

commit liblouis for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package liblouis for openSUSE:Factory
checked in at Tue May 31 13:42:13 CEST 2011.




--- liblouis/liblouis.changes   2010-08-28 09:55:18.0 +0200
+++ /mounts/work_src_done/STABLE/liblouis/liblouis.changes  2011-05-27 
00:27:55.0 +0200
@@ -1,0 +2,22 @@
+Sun May 22 21:22:40 CEST 2011 - dims...@opensuse.org
+
+- Update to version 2.3.0:
+  + New features:
+- Multiple table search path (with LOUIS_TABLEPATH environment
+  variable)
+- New --quiet option for lou_checktable
+- New functions to make libraries relocatable
+- New Braille tables: Swedish, Sorani (Kurdish), Ethiopic,
+  Serbian, many Indian languages , Icelandic 6- and 8-dot,
+  Catalan, Dutch Braille (for Belgium and the Netherlands),
+  Flemish Braille Math Code (a.k.a. Woluwe code).
+  + Braille Table Improvements: Chinse, Spanish Braille, French 6
+and 8 dot, Italian 8 dot, Generic Arabic Grade 1, Spanish,
+Norwegian.
+  + Bug fixes:
+- Fixed a long standing bug with an infinite loop in the table
+  compiler
+  + Improved documentation
+- Add pkg-config BuildRequires to get proper pkgconfig() provides.
+
+---
python-louis.changes: same change

calling whatdependson for head-i586


Old:

  liblouis-2.1.1.tar.bz2

New:

  liblouis-2.3.0.tar.bz2



Other differences:
--
++ liblouis.spec ++
--- /var/tmp/diff_new_pack.JJAFQv/_old  2011-05-31 13:41:39.0 +0200
+++ /var/tmp/diff_new_pack.JJAFQv/_new  2011-05-31 13:41:39.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package liblouis (Version 2.1.1)
+# spec file for package liblouis
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -20,7 +20,7 @@
 
 Name:   liblouis
 %define _name   liblouis
-Version:2.1.1
+Version:2.3.0
 Release:1
 License:LGPLv3+
 Summary:Braille Translator and Back-Translator
@@ -28,6 +28,7 @@
 Group:  Productivity/Other
 Source0:%{_name}-%{version}.tar.bz2
 %if %build_core_not_python
+BuildRequires:  pkg-config
 PreReq: %install_info_prereq
 %else
 BuildRequires:  liblouis-devel

++ python-louis.spec ++
--- /var/tmp/diff_new_pack.JJAFQv/_old  2011-05-31 13:41:39.0 +0200
+++ /var/tmp/diff_new_pack.JJAFQv/_new  2011-05-31 13:41:39.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package python-louis (Version 2.1.1)
+# spec file for package python-louis
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -20,7 +20,7 @@
 
 Name:   python-louis
 %define _name   liblouis
-Version:2.1.1
+Version:2.3.0
 Release:1
 License:LGPLv3+
 Summary:Braille Translator and Back-Translator - Python Bindings
@@ -28,6 +28,7 @@
 Group:  Development/Languages/Python
 Source0:%{_name}-%{version}.tar.bz2
 %if %build_core_not_python
+BuildRequires:  pkg-config
 PreReq: %install_info_prereq
 %else
 BuildRequires:  liblouis-devel

++ liblouis-2.1.1.tar.bz2 - liblouis-2.3.0.tar.bz2 ++
 69190 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-session for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package gnome-session for openSUSE:Factory
checked in at Tue May 31 13:42:53 CEST 2011.




--- GNOME/gnome-session/gnome-session.changes   2011-04-27 14:48:11.0 
+0200
+++ /mounts/work_src_done/STABLE/gnome-session/gnome-session.changes
2011-05-24 09:10:21.0 +0200
@@ -1,0 +2,6 @@
+Tue May 24 09:08:30 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.0.2:
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  gnome-session-3.0.1.tar.bz2

New:

  gnome-session-3.0.2.tar.bz2



Other differences:
--
++ gnome-session.spec ++
--- /var/tmp/diff_new_pack.eG9Abq/_old  2011-05-31 13:42:22.0 +0200
+++ /var/tmp/diff_new_pack.eG9Abq/_new  2011-05-31 13:42:22.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   gnome-session
-Version:3.0.1
+Version:3.0.2
 Release:1
 License:GPLv2+
 Summary:Session Tools for the GNOME Desktop

++ gnome-session-3.0.1.tar.bz2 - gnome-session-3.0.2.tar.bz2 ++
 2170 lines of diff (skipped)







Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit epiphany for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package epiphany for openSUSE:Factory
checked in at Tue May 31 13:43:29 CEST 2011.




--- GNOME/epiphany/epiphany.changes 2011-04-28 11:27:29.0 +0200
+++ /mounts/work_src_done/STABLE/epiphany/epiphany.changes  2011-05-18 
19:14:38.0 +0200
@@ -1,0 +2,13 @@
+Wed May 18 19:04:45 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.0.3:
+  + Call g_type_init in the migrator explictly.
+
+---
+Wed May  4 13:11:44 CEST 2011 - vu...@opensuse.org
+
+- Update to version 3.0.2:
+  + Fix overly zealous tab grouping.
+  + Fix compiler warnings.
+
+---

calling whatdependson for head-i586


Old:

  epiphany-3.0.1.tar.bz2

New:

  epiphany-3.0.3.tar.bz2



Other differences:
--
++ epiphany.spec ++
--- /var/tmp/diff_new_pack.jlgC94/_old  2011-05-31 13:43:10.0 +0200
+++ /var/tmp/diff_new_pack.jlgC94/_new  2011-05-31 13:43:10.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   epiphany
-Version:3.0.1
+Version:3.0.3
 Release:1
 License:GPLv2+
 Summary:GNOME Web Browser Based on the WebKit Rendering Engine

++ epiphany-3.0.1.tar.bz2 - epiphany-3.0.3.tar.bz2 ++
 14936 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit python-nautilus for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package python-nautilus for openSUSE:Factory
checked in at Tue May 31 13:44:21 CEST 2011.




--- GNOME/python-nautilus/python-nautilus.changes   2011-01-07 
09:29:29.0 +0100
+++ /mounts/work_src_done/STABLE/python-nautilus/python-nautilus.changes
2011-05-28 01:36:55.0 +0200
@@ -1,0 +2,52 @@
+Sat May 28 01:27:26 CEST 2011 - vu...@opensuse.org
+
+- Update dependencies after move to gobject introspection:
+  + Remove python-gnome-devel, python-gtk-devel BuildRequires,
+python-gtk Requires from main package, and python-gtk-devel
+Requires from devel subpackage.
+  + Add pkgconfig(pygobject-2.0) BuildRequires and python-gobject
+Requires.
+- Change nautilus-devel BuildRequires to
+  pkgconfig(libnautilus-extension).
+- Drop unneeded python-gobject2-doc BuildRequires.
+- Fix license tag: the code is GPLv2+ (and not LGPLv2+).
+- Stop creating %{_libdir}/nautilus/extensions-2.0/python directory
+  as extensions there are not considered anymore.
+
+---
+Sun May 22 21:07:39 CEST 2011 - dims...@opensuse.org
+
+- Update to version 1.0:
+  + Use the gobject instrospection dynamic bindings, breaks
+compatibility for existing extensions.
+  + For Nautilus3, the get_toolbar_items methods have been removed.
+  + No longer look in the old ~/.nautilus/python-extensions or
+/usr/lib/nautilus/extensions2.0/python folders for extensions.
+Now look in ~/.local/share/nautilus-python/extensions or
+$XDG_DATA_DIR/nautilus-python/extensions.
+  + Updated the gtk-doc documentation and examples to work with new
+dynamic bindings.
+
+---
+Mon May  2 19:11:03 CEST 2011 - dims...@opensuse.org
+
+- Update to version 0.7.3:
+  + Use PyCapsule_Import for pygobject as well as pygtk
+  + bgo#644399: in the property page example plugin, get the md5sum
+of the file contents, not the file name
+  + Removed extraneous .cvsignore files
+  + Fixed the update-file-info-async example plugin.
+
+---
+Mon Mar 21 11:04:20 CET 2011 - dims...@opensuse.org
+
+- Update to version 0.7.2:
+  + Fix to get the PyCapsule patch to work even if there is no
+PyCapsule object set up for pygtk
+- Changes from version 0.7.1:
+  + bgo#619440: Fixed AM_CHECK_PYTHON_LIBS usage of test
+  + Cleaned up the docs Makefile.am to make it more consistent
+  + Fix some python3 syntax issues in the python.m4 script
+  + bgo#633171: Add python 2.7 support.
+
+---

calling whatdependson for head-i586


Old:

  nautilus-python-0.7.0.tar.bz2

New:

  nautilus-python-1.0.tar.bz2



Other differences:
--
++ python-nautilus.spec ++
--- /var/tmp/diff_new_pack.DWBqFq/_old  2011-05-31 13:43:39.0 +0200
+++ /var/tmp/diff_new_pack.DWBqFq/_new  2011-05-31 13:43:39.0 +0200
@@ -1,5 +1,5 @@
 #
-# spec file for package python-nautilus (Version 0.7.0)
+# spec file for package python-nautilus
 #
 # Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
@@ -15,25 +15,22 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
 
 
 Name:   python-nautilus
 %define _name   nautilus-python
-Version:0.7.0
-Release:2
-License:LGPL v2 or later
+Version:1.0
+Release:1
+License:GPLv2+
 Summary:Python bindings for Nautilus
 Group:  Development/Libraries/Python
 Url:http://git.gnome.org/cgit/nautilus-python/
 Source: %{_name}-%{version}.tar.bz2
 BuildRequires:  gtk-doc
-BuildRequires:  nautilus-devel
 BuildRequires:  python-devel
-BuildRequires:  python-gnome-devel
-BuildRequires:  python-gobject2-doc
-BuildRequires:  python-gtk-devel
-Requires:   python-gtk
+BuildRequires:  pkgconfig(libnautilus-extension)
+BuildRequires:  pkgconfig(pygobject-2.0)
+Requires:   python-gobject
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -42,11 +39,10 @@
 so that Nautilus functionality can be easily extended.
 
 %package devel
-License:LGPL v2 or later
+License:GPLv2+
 Summary:Python bindings for Nautilus - Development Files
 Group:  Development/Libraries/Python
 Requires:   %{name} = %{version}
-Requires:   python-gtk-devel
 
 %description devel
 Development files needed for writing Nautilus Python extensions
@@ -69,7 +65,6 @@
 test ! -d %{buildroot}%{_datadir}/nautilus-python/extensions
 mkdir -p %{buildroot}%{_datadir}/nautilus-python/extensions
 find %{buildroot} -type f -name *.la -delete -print
-mkdir -p %{buildroot}%{_libdir}/nautilus/extensions-2.0/python
 
 %clean
 rm -rf %{buildroot}
@@ -77,10 +72,7 @@
 

commit goffice for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package goffice for openSUSE:Factory
checked in at Tue May 31 14:06:10 CEST 2011.




--- GNOME/goffice/goffice.changes   2011-02-27 14:33:36.0 +0100
+++ /mounts/work_src_done/STABLE/goffice/goffice.changes2011-05-22 
19:08:13.0 +0200
@@ -1,0 +2,39 @@
+Sun May 22 17:05:37 UTC 2011 - dims...@opensuse.org
+
+- Update to version 0.8.15:
+  + bgo#647324: Fix format string parsing with localized colour
+names.
+  + bgo#646700: Fixed closed bezier spline evaluation.
+  + bgo#646832: Implement dropbar plots with linear or logarithmic
+index axis.
+  + bgo#647367: Fix legends for plots with marker only style.
+  + bgo#649485: Don't use badly rounded values when clipping
+markers.
+  + bgo#650515: Implement probability plots with data as y values.
+  + Plug memory leaks.
+  + Detect more cases of linear-regression gone bad.
+
+---
+Mon Apr 18 15:22:53 UTC 2011 - dims...@opensuse.org
+
+- Update to version 0.8.14:
+  + bgo#643767: Implement a GSettings backend for GOConf.
+  + bgo#644222: Fix gnumeric crash when monitoring settings changes
+  + Fix memory leaks.
+  + Allow GOConf to handle absolute keys.
+- Convert to source service: download tar.bz2 file and update .spec
+  file with correct version.
+
+---
+Sun Mar 20 19:19:33 CET 2011 - dims...@opensuse.org
+
+- Update to version 0.8.13:
+  + bgo#636158: Write text formats to ODF.
+  + Fixed memory leaks found by cppcheck analysis.
+  + bgo#638738: Fixed drop lines in line plots.
+  + bgo#639840: Invalidate canvas items after reordering to force a
+redraw?
+  + bgo#640438: Fix axis limits serialization.
+  + bgo#640571: Fix problem with engineering formats.
+
+---

calling whatdependson for head-i586


Old:

  goffice-0.8.12.tar.bz2

New:

  _service
  _service:download_url:goffice-0.8.15.tar.bz2
  _service:set_version:goffice.spec



Other differences:
--
++ _service:set_version:goffice.spec ++
#
# spec file for package goffice
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An Open Source License is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:   goffice
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libgsf-devel
BuildRequires:  pcre-devel
BuildRequires:  translation-update-upstream
Version: 0.8.15
Release: 0
Url:http://www.gnumeric.org/
Group:  System/GUI/GNOME
License:GPLv2 ; GPLv2+
Summary:GLib/GTK+ Set of Document-Centric Objects and Utilities
Source: %{name}-%{version}.tar.bz2
Recommends: %{name}-lang
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
These are common operations for document-centric applications that
   are conceptually simple, but complex to implement fully. -
   Plug-ins

- Load and save documents

- Undo and redo

GOffice is a GLib/GTK+ set of document-centric objects and utilities.

%package devel
License:GPLv2+
Group:  Development/Libraries/GNOME
Summary:Development files for goffice
Requires:   %{name} = %{version} cairo-devel gconf2-devel glib2-devel 
gtk2-devel libgsf-devel libxml2-devel pango-devel pcre-devel
Obsoletes:  goffice-doc  %{version}
Provides:   goffice-doc = %{version}

%description devel
GOffice is a GLib/GTK+ set of document-centric objects and utilities.

This package contains files needed to develop applications using
goffice.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure --disable-static --with-pic
make %{?jobs:-j%jobs}

%install
%makeinstall
find %{buildroot} -type f -name *.la -print -delete
%find_lang %{name}-%{version}
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS BUGS COPYING ChangeLog MAINTAINERS NEWS README
%{_datadir}/goffice
%{_datadir}/pixmaps/goffice
%{_libdir}/*.so.*
%{_libdir}/goffice

%files lang -f %{name}-%{version}.lang

%files devel
%defattr (-, root, root)
%{_includedir}/*
%{_libdir}/*.so

commit gnome-bluetooth for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package gnome-bluetooth for openSUSE:Factory
checked in at Tue May 31 14:10:25 CEST 2011.




--- GNOME/gnome-bluetooth/gnome-bluetooth.changes   2011-04-25 
11:44:22.0 +0200
+++ /mounts/work_src_done/STABLE/gnome-bluetooth/gnome-bluetooth.changes
2011-05-27 19:24:25.0 +0200
@@ -1,0 +2,14 @@
+Fri May 27 19:23:27 CEST 2011 - vu...@opensuse.org
+
+- Update to version 3.0.1:
+  + Applet:
+- Fix crasher when using browse
+- Fix startup not working in fallback mode
+  + Wizard:
+- Add support for more Wiimotes
+- Fix custom PIN entry not working as expected
+- Fix display of SSP passkeys
+  + Library:
+- Fix possible warnings in debug mode
+
+---

calling whatdependson for head-i586


Old:

  gnome-bluetooth-3.0.0.tar.bz2

New:

  gnome-bluetooth-3.0.1.tar.bz2



Other differences:
--
++ gnome-bluetooth.spec ++
--- /var/tmp/diff_new_pack.zIJYOb/_old  2011-05-31 14:06:27.0 +0200
+++ /var/tmp/diff_new_pack.zIJYOb/_new  2011-05-31 14:06:27.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   gnome-bluetooth
-Version:3.0.0
+Version:3.0.1
 Release:1
 License:GPLv2+
 Summary:GNOME Bluetooth graphical utilities

++ gnome-bluetooth-3.0.0.tar.bz2 - gnome-bluetooth-3.0.1.tar.bz2 ++
  lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit zeitgeist for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package zeitgeist for openSUSE:Factory
checked in at Tue May 31 14:24:16 CEST 2011.




--- GNOME/zeitgeist/zeitgeist.changes   2011-04-29 23:52:41.0 +0200
+++ /mounts/work_src_done/STABLE/zeitgeist/zeitgeist.changes2011-05-18 
19:14:48.0 +0200
@@ -1,0 +2,34 @@
+Wed May 18 19:07:47 CEST 2011 - dims...@opensuse.org
+
+- Update to version 0.8.0:
+  + Engine:
+- lp#772041: Fixed secondary sorting by timestamp for most
+  ResultTypes
+- Enabled filtering by availability in FindEvents.
+- lp#425258: Added an origin property to events, matching that
+  for subjects
+- Added a current_uri property to subjects, which unlike all
+  other properties is mutable.
+- Add new sorting types for origin and current_uri.
+- lp#602211: Added support for move events, which
+  automatically update the current_uri property where
+  appropriate
+- lp#598666: Fixed inconsistencies caused by the internal cache
+  not being updated when events were deleted
+- lp#489194: Added a Storage Monitor extension which tracks
+  network connectivity and removable devices
+- lp#739780: Fixed datahub launching to avoid zombie processes
+- lp#612344: Replaced the Blacklist extension giving it a more
+  capable API
+- lp#744818: Do not print a traceback when Zeitgeist fails to
+  start because another instance is already running
+- Simplified log output format when printing to stderr.
+  + Python API:
+- lp#771970: Fix bug in the connection recovery code
+- Added new ResultTypes:
+  {Most,Least}{Recent,Popular}{CurrentUri,EventOrigin}.
+- Created *SubjectOrigin alias for all
+  {Most,Least}{Recent,Popular}Origin ResultTypes.
+- Minor documentation improvements.
+
+---

calling whatdependson for head-i586


Old:

  _service:recompress:download_url:zeitgeist-0.7.1.tar.bz2

New:

  _service:recompress:download_url:zeitgeist-0.8.0.tar.bz2



Other differences:
--
++ _service:set_version:zeitgeist.spec ++
--- /var/tmp/diff_new_pack.4q9tTS/_old  2011-05-31 14:13:58.0 +0200
+++ /var/tmp/diff_new_pack.4q9tTS/_new  2011-05-31 14:13:58.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package zeitgeist
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 # Copyright (c) 2009 Dominique Leuenberger, Amsterdam, The Netherlands.
 #
 # All modifications and additions to the file contributed by third parties
@@ -19,7 +19,7 @@
 
 
 Name:   zeitgeist
-Version: 0.7.1
+Version: 0.8.0
 Release: 0
 License:LGPLv2.1+
 Summary:Zeitgeist Engine

++ zeitgeist.spec ++
--- /var/tmp/diff_new_pack.4q9tTS/_old  2011-05-31 14:13:58.0 +0200
+++ /var/tmp/diff_new_pack.4q9tTS/_new  2011-05-31 14:13:58.0 +0200
@@ -19,7 +19,7 @@
 
 
 Name:   zeitgeist
-Version:0.7
+Version:0.8.0
 Release:1
 License:LGPLv2.1+
 Summary:Zeitgeist Engine

++ _service ++
--- /var/tmp/diff_new_pack.4q9tTS/_old  2011-05-31 14:13:58.0 +0200
+++ /var/tmp/diff_new_pack.4q9tTS/_new  2011-05-31 14:13:58.0 +0200
@@ -2,7 +2,7 @@
   service name=download_url
 param name=protocolhttp/param
 param name=hostlaunchpad.net/param
-param 
name=path/zeitgeist/0.7/0.7.1/+download/zeitgeist-0.7.1.tar.gz/param
+param 
name=path/zeitgeist/0.8/0.8.0/+download/zeitgeist-0.8.0.tar.gz/param
   /service
   service name=recompress
 param name=file_service:download_url:*.tar.gz/param

++ _service:recompress:download_url:zeitgeist-0.7.1.tar.bz2 - 
_service:recompress:download_url:zeitgeist-0.8.0.tar.bz2 ++
 4636 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-Text-Diff for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package perl-Text-Diff for openSUSE:Factory
checked in at Tue May 31 14:25:42 CEST 2011.




--- perl-Text-Diff/perl-Text-Diff.changes   2010-12-01 07:57:39.0 
+0100
+++ /mounts/work_src_done/STABLE/perl-Text-Diff/perl-Text-Diff.changes  
2011-04-18 21:33:02.0 +0200
@@ -1,0 +2,7 @@
+Sun Apr 17 08:38:57 UTC 2011 - pascal.ble...@opensuse.org
+
+- update to 1.41:
+  * added DIFF_OUTPUT_UNICODE env variable to allow outputting unicode
+characters
+
+---

calling whatdependson for head-i586


Old:

  Text-Diff-1.37.tar.bz2

New:

  Text-Diff-1.41.tar.gz



Other differences:
--
++ perl-Text-Diff.spec ++
--- /var/tmp/diff_new_pack.AMcvd9/_old  2011-05-31 14:24:27.0 +0200
+++ /var/tmp/diff_new_pack.AMcvd9/_new  2011-05-31 14:24:27.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package perl-Text-Diff (Version 1.37)
+# spec file for package perl-Text-Diff
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,18 +15,17 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
 
 
 Name:   perl-Text-Diff
 %define cpan_name %( echo %{name} | %{__sed} -e 's,perl-,,' )
 Summary:Perform Diffs on Files and Record Sets
-Version:1.37
-Release:6
+Version:1.41
+Release:1
 License:GPL/Artistic
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/Text-Diff
-Source: %{cpan_name}-%{version}.tar.bz2
+Source: 
http://search.cpan.org/CPAN/authors/id/O/OV/OVID/Text-Diff-%{version}.tar.gz
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %{perl_requires}
 BuildRequires:  perl
@@ -49,11 +48,14 @@
 differences between Algorithm::Diff's logic and GNU diff's, but we have
 not examined them to make sure they are indeed identical.
 
-  Author:
+
+
+
+Authors:
+
Adam Kennedy ad...@cpan.org
Barrie Slaymaker barr...@slaysys.com
 
-
 %prep
 %setup -q -n %{cpan_name}-%{version}
 
@@ -70,7 +72,7 @@
 %perl_gen_filelist
 
 %clean
-%{__rm} -rf $RPM_BUILD_ROOT
+%{?buildroot:%__rm -rf %{buildroot}}
 
 %files -f %{name}.files
 # normally you only need to check for doc files






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-Text-CSV_XS for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package perl-Text-CSV_XS for openSUSE:Factory
checked in at Tue May 31 14:26:31 CEST 2011.




--- perl-Text-CSV_XS/perl-Text-CSV_XS.changes   2011-03-31 10:52:47.0 
+0200
+++ /mounts/work_src_done/STABLE/perl-Text-CSV_XS/perl-Text-CSV_XS.changes  
2011-05-16 10:55:15.0 +0200
@@ -1,0 +2,7 @@
+Mon May 16 08:47:46 UTC 2011 - co...@opensuse.org
+
+- updated to 0.82
+* Doc fix (RT#66905, Peter Newman)
+* Documentation overhaul (pod links)
+
+---

calling whatdependson for head-i586


Old:

  Text-CSV_XS-0.81.tgz

New:

  Text-CSV_XS-0.82.tgz



Other differences:
--
++ perl-Text-CSV_XS.spec ++
--- /var/tmp/diff_new_pack.spkOS9/_old  2011-05-31 14:25:53.0 +0200
+++ /var/tmp/diff_new_pack.spkOS9/_new  2011-05-31 14:25:53.0 +0200
@@ -18,23 +18,17 @@
 
 
 Name:   perl-Text-CSV_XS
-Version:0.81
+Version:0.82
 Release:1
 License:GPL+ or Artistic
 %define cpan_name Text-CSV_XS
 Summary:comma-separated values manipulation routines
 Url:http://search.cpan.org/dist/Text-CSV_XS/
 Group:  Development/Libraries/Perl
-#Source: 
http://www.cpan.org/authors/id/H/HM/HMBRAND/Text-CSV_XS-%{version}.tgz
-Source: %{cpan_name}-%{version}.tgz
+Source: 
http://www.cpan.org/authors/id/H/HM/HMBRAND/%{cpan_name}-%{version}.tgz
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
 BuildRequires:  perl-macros
-BuildRequires:  perl(Config)
-BuildRequires:  perl(DynaLoader)
-BuildRequires:  perl(IO::Handle)
-Requires:   perl(DynaLoader)
-Requires:   perl(IO::Handle)
 %{perl_requires}
 
 %description
@@ -46,71 +40,9 @@
 user-specified characters as delimiters, separators, and escapes so it is
 perhaps better called ASV (anything separated values) rather than just CSV.
 
-Embedded newlines
-*Important Note*: The default behavior is to only accept ASCII
-characters. This means that fields can not contain newlines. If your
-data contains newlines embedded in fields, or characters above 0x7e
-(tilde), or binary data, you *must* set 'binary = 1' in the call to
-'new'. To cover the widest range of parsing options, you will always
-want to set binary.
-
-But you still have the problem that you have to pass a correct line to
-the 'parse' method, which is more complicated from the usual point of
-usage:
-
- my $csv = Text::CSV_XS-new ({ binary = 1, eol = $/ });
- while () {  #  WRONG!
- $csv-parse ($_);
- my @fields = $csv-fields ();
-
-will break, as the while might read broken lines, as that does not care
-about the quoting. If you need to support embedded newlines, the way to
-go is either
-
- my $csv = Text::CSV_XS-new ({ binary = 1, eol = $/ });
- while (my $row = $csv-getline (*ARGV)) {
- my @fields = @$row;
-
-or, more safely in perl 5.6 and up
-
- my $csv = Text::CSV_XS-new ({ binary = 1, eol = $/ });
- open my $io, , $file or die $file: $!;
- while (my $row = $csv-getline ($io)) {
- my @fields = @$row;
-
-Unicode (UTF8)
-On parsing (both for 'getline' and 'parse'), if the source is marked
-being UTF8, then all fields that are marked binary will also be be
-marked UTF8.
-
-For complete control over encoding, please use Text::CSV::Encoded:
-
-use Text::CSV::Encoded;
-my $csv = Text::CSV::Encoded-new ({
-encoding_in  = iso-8859-1, # the encoding comes into   Perl
-encoding_out = cp1252, # the encoding comes out of Perl
-});
-
-$csv = Text::CSV::Encoded-new ({ encoding  = utf8 });
-# combine () and print () accept *literally* utf8 encoded data
-# parse () and getline () return *literally* utf8 encoded data
-
-$csv = Text::CSV::Encoded-new ({ encoding  = undef }); # default
-# combine () and print () accept UTF8 marked data
-# parse () and getline () return UTF8 marked data
-
-On combining ('print' and 'combine'), if any of the combining fields
-was marked UTF8, the resulting string will be marked UTF8. Note however
-that all fields 'before' the first field that was marked UTF8 and
-contained 8-bit characters that were not upgraded to UTF8, these will
-be bytes in the resulting string too, causing errors. If you pass data
-of different encoding, or you don't know if there is different
-encoding, force it to be upgraded before you pass them on:
-
-$csv-print ($fh, [ map { utf8::upgrade (my $x = $_); $x } @data ]);
-
 %prep
 %setup -q -n %{cpan_name}-%{version}
+find . -type f -print0 | xargs -0 chmod 644
 
 %build
 %{__perl} Makefile.PL INSTALLDIRS=vendor 

commit accountsservice for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package accountsservice for openSUSE:Factory
checked in at Tue May 31 14:45:31 CEST 2011.




--- GNOME/accountsservice/accountsservice.changes   2011-05-03 
00:23:58.0 +0200
+++ /mounts/work_src_done/STABLE/accountsservice/accountsservice.changes
2011-05-19 18:33:02.0 +0200
@@ -1,0 +2,8 @@
+Thu May 19 18:08:45 CEST 2011 - dims...@opensuse.org
+
+- Update to version 0.6.12:
+  + The usual pile of race fixes
+- Changes from version 0.6.11:
+  + Add API for adding users to the library.
+
+---

calling whatdependson for head-i586


Old:

  accountsservice-0.6.10.tar.bz2

New:

  accountsservice-0.6.12.tar.bz2



Other differences:
--
++ accountsservice.spec ++
--- /var/tmp/diff_new_pack.ms5kFp/_old  2011-05-31 14:45:00.0 +0200
+++ /var/tmp/diff_new_pack.ms5kFp/_new  2011-05-31 14:45:00.0 +0200
@@ -18,8 +18,8 @@
 
 
 Name:   accountsservice
-Version:0.6.10
-Release:2
+Version:0.6.12
+Release:1
 License:GPLv3+
 Summary:D-Bus Service to Manipulate User Account Information
 Url:http://www.fedoraproject.org/wiki/Features/UserAccountDialog

++ accountsservice-0.6.10.tar.bz2 - accountsservice-0.6.12.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/accountsservice-0.6.10/NEWS 
new/accountsservice-0.6.12/NEWS
--- old/accountsservice-0.6.10/NEWS 2011-04-29 16:49:52.0 +0200
+++ new/accountsservice-0.6.12/NEWS 2011-05-19 05:44:31.0 +0200
@@ -1,3 +1,13 @@
+Changes in 0.6.12
+=
+
+* The usual pile of race fixes
+
+Changes in 0.6.11
+=
+
+* Add API for creating users to the library
+
 Changes in 0.6.10
 
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/accountsservice-0.6.10/configure 
new/accountsservice-0.6.12/configure
--- old/accountsservice-0.6.10/configure2011-04-25 18:39:51.0 
+0200
+++ new/accountsservice-0.6.12/configure2011-05-19 05:45:35.0 
+0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.68 for AccountsService 0.6.10.
+# Generated by GNU Autoconf 2.68 for AccountsService 0.6.12.
 #
 #
 # Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -567,8 +567,8 @@
 # Identity of this package.
 PACKAGE_NAME='AccountsService'
 PACKAGE_TARNAME='accountsservice'
-PACKAGE_VERSION='0.6.10'
-PACKAGE_STRING='AccountsService 0.6.10'
+PACKAGE_VERSION='0.6.12'
+PACKAGE_STRING='AccountsService 0.6.12'
 PACKAGE_BUGREPORT=''
 PACKAGE_URL=''
 
@@ -1385,7 +1385,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat _ACEOF
-\`configure' configures AccountsService 0.6.10 to adapt to many kinds of 
systems.
+\`configure' configures AccountsService 0.6.12 to adapt to many kinds of 
systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1455,7 +1455,7 @@
 
 if test -n $ac_init_help; then
   case $ac_init_help in
- short | recursive ) echo Configuration of AccountsService 0.6.10:;;
+ short | recursive ) echo Configuration of AccountsService 0.6.12:;;
esac
   cat \_ACEOF
 
@@ -1585,7 +1585,7 @@
 test -n $ac_init_help  exit $ac_status
 if $ac_init_version; then
   cat \_ACEOF
-AccountsService configure 0.6.10
+AccountsService configure 0.6.12
 generated by GNU Autoconf 2.68
 
 Copyright (C) 2010 Free Software Foundation, Inc.
@@ -1950,7 +1950,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by AccountsService $as_me 0.6.10, which was
+It was created by AccountsService $as_me 0.6.12, which was
 generated by GNU Autoconf 2.68.  Invocation command line was
 
   $ $0 $@
@@ -2765,7 +2765,7 @@
 
 # Define the identity of the package.
  PACKAGE='accountsservice'
- VERSION='0.6.10'
+ VERSION='0.6.12'
 
 
 cat confdefs.h _ACEOF
@@ -14089,7 +14089,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log=
-This file was extended by AccountsService $as_me 0.6.10, which was
+This file was extended by AccountsService $as_me 0.6.12, which was
 generated by GNU Autoconf 2.68.  Invocation command line was
 
   CONFIG_FILES= $CONFIG_FILES
@@ -14155,7 +14155,7 @@
 cat $CONFIG_STATUS _ACEOF || ac_write_fail=1
 ac_cs_config=`$as_echo $ac_configure_args | sed 's/^ //; 
s/[\\\`\$]//g'`
 ac_cs_version=\\
-AccountsService config.status 0.6.10
+AccountsService config.status 0.6.12
 configured by $0, generated by GNU Autoconf 2.68,
   with options 

commit yelp for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package yelp for openSUSE:Factory
checked in at Tue May 31 14:46:01 CEST 2011.




--- GNOME/yelp/yelp.changes 2011-04-26 18:36:33.0 +0200
+++ /mounts/work_src_done/STABLE/yelp/yelp.changes  2011-05-27 
00:00:26.0 +0200
@@ -1,0 +2,8 @@
+Tue May 24 08:59:55 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.0.3:
+  + Fixed parsing error on info URIs
+  + Don't start duplicate XSLT transforms
+  + Fixed untranslated UI elements (bgo#648840)
+
+---

calling whatdependson for head-i586


Old:

  yelp-3.0.2.tar.bz2

New:

  yelp-3.0.3.tar.bz2



Other differences:
--
++ yelp.spec ++
--- /var/tmp/diff_new_pack.UqOHGF/_old  2011-05-31 14:45:39.0 +0200
+++ /var/tmp/diff_new_pack.UqOHGF/_new  2011-05-31 14:45:39.0 +0200
@@ -34,7 +34,7 @@
 BuildRequires:  update-desktop-files
 License:GPLv2+ ; LGPLv2.1+
 Group:  System/GUI/GNOME
-Version:3.0.2
+Version:3.0.3
 Release:1
 Summary:Help Browser for the GNOME Desktop
 Source: 
ftp://ftp.gnome.org/pub/GNOME/sources/yelp/2.12/%{name}-%{version}.tar.bz2

++ yelp-3.0.2.tar.bz2 - yelp-3.0.3.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yelp-3.0.2/NEWS new/yelp-3.0.3/NEWS
--- old/yelp-3.0.2/NEWS 2011-04-26 02:28:58.0 +0200
+++ new/yelp-3.0.3/NEWS 2011-05-24 02:31:14.0 +0200
@@ -1,3 +1,9 @@
+Changes in 3.0.3
+
+* Fixed parsing error on info URIs (Rupert Swarbrick)
+* Don't start duplicate XSLT transforms (Shaun McCance)
+* Fixed untranslated UI elements, bug #648840 (Matthias Clasen)
+
 Changes in 3.0.2
 
 * Adapt to JavaScript fixes in yelp-xsl
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yelp-3.0.2/configure new/yelp-3.0.3/configure
--- old/yelp-3.0.2/configure2011-04-26 02:30:50.0 +0200
+++ new/yelp-3.0.3/configure2011-05-24 02:33:15.0 +0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.66 for Yelp 3.0.2.
+# Generated by GNU Autoconf 2.66 for Yelp 3.0.3.
 #
 # Report bugs to http://bugzilla.gnome.org/enter_bug.cgi?product=yelp.
 #
@@ -563,8 +563,8 @@
 # Identity of this package.
 PACKAGE_NAME='Yelp'
 PACKAGE_TARNAME='yelp'
-PACKAGE_VERSION='3.0.2'
-PACKAGE_STRING='Yelp 3.0.2'
+PACKAGE_VERSION='3.0.3'
+PACKAGE_STRING='Yelp 3.0.3'
 PACKAGE_BUGREPORT='http://bugzilla.gnome.org/enter_bug.cgi?product=yelp'
 PACKAGE_URL=''
 
@@ -1403,7 +1403,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat _ACEOF
-\`configure' configures Yelp 3.0.2 to adapt to many kinds of systems.
+\`configure' configures Yelp 3.0.3 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1477,7 +1477,7 @@
 
 if test -n $ac_init_help; then
   case $ac_init_help in
- short | recursive ) echo Configuration of Yelp 3.0.2:;;
+ short | recursive ) echo Configuration of Yelp 3.0.3:;;
esac
   cat \_ACEOF
 
@@ -1613,7 +1613,7 @@
 test -n $ac_init_help  exit $ac_status
 if $ac_init_version; then
   cat \_ACEOF
-Yelp configure 3.0.2
+Yelp configure 3.0.3
 generated by GNU Autoconf 2.66
 
 Copyright (C) 2010 Free Software Foundation, Inc.
@@ -1891,7 +1891,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by Yelp $as_me 3.0.2, which was
+It was created by Yelp $as_me 3.0.3, which was
 generated by GNU Autoconf 2.66.  Invocation command line was
 
   $ $0 $@
@@ -2713,7 +2713,7 @@
 
 # Define the identity of the package.
  PACKAGE='yelp'
- VERSION='3.0.2'
+ VERSION='3.0.3'
 
 
 cat confdefs.h _ACEOF
@@ -16066,7 +16066,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log=
-This file was extended by Yelp $as_me 3.0.2, which was
+This file was extended by Yelp $as_me 3.0.3, which was
 generated by GNU Autoconf 2.66.  Invocation command line was
 
   CONFIG_FILES= $CONFIG_FILES
@@ -16132,7 +16132,7 @@
 cat $CONFIG_STATUS _ACEOF || ac_write_fail=1
 ac_cs_config=`$as_echo $ac_configure_args | sed 's/^ //; 
s/[\\\`\$]//g'`
 ac_cs_version=\\
-Yelp config.status 3.0.2
+Yelp config.status 3.0.3
 configured by $0, generated by GNU Autoconf 2.66,
   with options \\\$ac_cs_config\\
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yelp-3.0.2/configure.ac new/yelp-3.0.3/configure.ac
--- old/yelp-3.0.2/configure.ac 2011-04-26 02:29:04.0 +0200
+++ new/yelp-3.0.3/configure.ac 2011-05-24 

commit xfce4-session for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package xfce4-session for openSUSE:Factory
checked in at Tue May 31 14:46:33 CEST 2011.




--- xfce4-session/xfce4-session.changes 2011-04-01 21:39:08.0 +0200
+++ /mounts/work_src_done/STABLE/xfce4-session/xfce4-session.changes
2011-05-17 11:04:40.0 +0200
@@ -1,0 +2,6 @@
+Tue May 17 09:03:24 UTC 2011 - g...@opensuse.org
+
+- added xfce4-session-4.8.1-fix-gdm_lang-usage.patch which fixes
+  GDM_LANG usage to be compatible with GDM3 (bnc#694203, bxo#7400)
+
+---

calling whatdependson for head-i586


New:

  xfce4-session-4.8.1-fix-gdm_lang-usage.patch



Other differences:
--
++ xfce4-session.spec ++
--- /var/tmp/diff_new_pack.e1UjVU/_old  2011-05-31 14:46:12.0 +0200
+++ /var/tmp/diff_new_pack.e1UjVU/_new  2011-05-31 14:46:12.0 +0200
@@ -19,7 +19,7 @@
 
 Name:   xfce4-session
 Version:4.8.1
-Release:1
+Release:11
 License:GPLv2+
 Summary:Xfce Session manager
 Url:http://www.xfce.org/projects/xfce4-session/
@@ -27,6 +27,8 @@
 Source: %{name}-%{version}.tar.bz2
 # PATCH-FEATURE-OPENSUSE xfce4-session-simple-splash-remove-shadows.patch 
g...@opensuse.org -- Improves readability of the simple splash engine text by 
removing the text shadows
 Patch1: xfce4-session-simple-splash-remove-shadows.patch
+# PATCH-FIX-UPSTREAM xfce4-session-4.8.1-fix-gdm_lang-usage.patch bnc#694203 
bxo#7400 g...@opensuse.org -- Fixes GDM_LANG usage to be compatible with GDM3 
(backported from upstream git)
+Patch2: xfce4-session-4.8.1-fix-gdm_lang-usage.patch
 BuildRequires:  intltool
 BuildRequires:  perl-XML-Parser
 BuildRequires:  pkgconfig(dbus-glib-1)
@@ -87,6 +89,7 @@
 %prep
 %setup -q
 %patch1 -p1
+%patch2 -p1
 
 %build
 %configure \

++ xfce4-session-4.8.1-fix-gdm_lang-usage.patch ++
diff --git a/xfce4-session/main.c b/xfce4-session/main.c
index ff6e324..fcf69f8 100644
--- a/xfce4-session/main.c
+++ b/xfce4-session/main.c
@@ -103,7 +103,7 @@ setup_environment (void)
 
   /* this is for compatibility with the GNOME Display Manager */
   lang = g_getenv (GDM_LANG);
-  if (lang != NULL)
+  if (lang != NULL  strlen (lang)  0)
 {
   xfce_setenv (LANG, lang, TRUE);
   xfce_unsetenv (GDM_LANG);





Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit xfce4-notifyd for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package xfce4-notifyd for openSUSE:Factory
checked in at Tue May 31 14:47:07 CEST 2011.




--- xfce4-notifyd/xfce4-notifyd.changes 2011-02-18 01:00:56.0 +0100
+++ /mounts/work_src_done/STABLE/xfce4-notifyd/xfce4-notifyd.changes
2011-05-29 18:33:38.0 +0200
@@ -1,0 +2,7 @@
+Sun May 29 16:16:20 UTC 2011 - g...@opensuse.org
+
+- added xfce4-notifyd-fix-dbus-service-filename.patch in order to
+  make the filename of the DBus service file unique and prevent a
+  conflict with notification-daemon
+
+---

calling whatdependson for head-i586


New:

  xfce4-notifyd-fix-dbus-service-filename.patch



Other differences:
--
++ xfce4-notifyd.spec ++
--- /var/tmp/diff_new_pack.ucUfzH/_old  2011-05-31 14:46:40.0 +0200
+++ /var/tmp/diff_new_pack.ucUfzH/_new  2011-05-31 14:46:40.0 +0200
@@ -19,13 +19,15 @@
 
 Name:   xfce4-notifyd
 Version:0.2.1
-Release:6
+Release:7
 License:GPLv2+
 Summary:Simple notification daemon for Xfce
 Url:http://spuriousinterrupt.org/projects/xfce4-notifyd
 Group:  System/Daemons
 Source: %{name}-%{version}.tar.bz2
 Source1:%{name}.xml
+# PATCH-FIX-OPENSUSE xfce4-notifyd-fix-dbus-service-filename.patch 
g...@opensuse.org -- Make the filename of the DBus service file unique in order 
to prevent a conflict with notification-daemon
+Patch0: xfce4-notifyd-fix-dbus-service-filename.patch
 BuildRequires:  intltool
 BuildRequires:  pkgconfig(libsexy)
 BuildRequires:  pkgconfig(dbus-glib-1)
@@ -34,6 +36,8 @@
 BuildRequires:  pkgconfig(libxfce4util-1.0)
 BuildRequires:  pkgconfig(libxfce4ui-1)
 BuildRequires:  pkgconfig(libxfconf-0)
+BuildRequires:  pkgconfig(exo-1)
+BuildRequires:  xfce4-dev-tools
 BuildRequires:  update-desktop-files
 %if 0%{?suse_version}  1140
 Requires:   libnotify
@@ -65,8 +69,10 @@
 
 %prep
 %setup -q
+%patch0 -p1
 
 %build
+xdt-autogen
 %configure
 make %{?_smp_mflags} V=1
 
@@ -95,7 +101,7 @@
 %doc AUTHORS COPYING ChangeLog NEWS README TODO
 %{_bindir}/xfce4-notifyd-config
 %{_datadir}/applications/xfce4-notifyd-config.desktop
-%{_datadir}/dbus-1/services/org.freedesktop.Notifications.service
+%{_datadir}/dbus-1/services/org.xfce.Notifications.service
 %{_datadir}/icons/hicolor/48x48/apps/xfce4-notifyd.png
 %dir %{_datadir}/themes/*
 %dir %{_datadir}/themes/*/xfce-notify-4.0

++ xfce4-notifyd-fix-dbus-service-filename.patch ++
diff -urN xfce4-notifyd-0.2.1.orig/Makefile.am xfce4-notifyd-0.2.1/Makefile.am
--- xfce4-notifyd-0.2.1.orig/Makefile.am2010-12-05 08:34:33.0 
+0100
+++ xfce4-notifyd-0.2.1/Makefile.am 2011-05-29 18:11:50.0 +0200
@@ -66,7 +66,7 @@
 
 
 servicedir = $(datadir)/dbus-1/services
-service_in_files = xfce4-notifyd/org.freedesktop.Notifications.service.in
+service_in_files = xfce4-notifyd/org.xfce.Notifications.service.in
 service_DATA = $(service_in_files:.service.in=.service)
 
 dist_service = \
diff -urN 
xfce4-notifyd-0.2.1.orig/xfce4-notifyd/org.freedesktop.Notifications.service.in 
xfce4-notifyd-0.2.1/xfce4-notifyd/org.freedesktop.Notifications.service.in
--- 
xfce4-notifyd-0.2.1.orig/xfce4-notifyd/org.freedesktop.Notifications.service.in 
2010-12-05 08:34:33.0 +0100
+++ xfce4-notifyd-0.2.1/xfce4-notifyd/org.freedesktop.Notifications.service.in  
1970-01-01 01:00:00.0 +0100
@@ -1,3 +0,0 @@
-[D-BUS Service]
-Name=org.freedesktop.Notifications
-Exec=@notifydir@/xfce4-notifyd
diff -urN 
xfce4-notifyd-0.2.1.orig/xfce4-notifyd/org.xfce.Notifications.service.in 
xfce4-notifyd-0.2.1/xfce4-notifyd/org.xfce.Notifications.service.in
--- xfce4-notifyd-0.2.1.orig/xfce4-notifyd/org.xfce.Notifications.service.in
1970-01-01 01:00:00.0 +0100
+++ xfce4-notifyd-0.2.1/xfce4-notifyd/org.xfce.Notifications.service.in 
2011-05-29 18:11:50.0 +0200
@@ -0,0 +1,3 @@
+[D-BUS Service]
+Name=org.freedesktop.Notifications
+Exec=@notifydir@/xfce4-notifyd






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit sound-juicer for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package sound-juicer for openSUSE:Factory
checked in at Tue May 31 14:49:41 CEST 2011.




--- GNOME/sound-juicer/sound-juicer.changes 2011-02-14 20:41:17.0 
+0100
+++ /mounts/work_src_done/STABLE/sound-juicer/sound-juicer.changes  
2011-05-27 00:44:51.0 +0200
@@ -1,0 +2,18 @@
+Fri May 27 00:40:57 CEST 2011 - vu...@opensuse.org
+
+- Remove now unneeded BuildRequires: libcdio-devel,
+  libmusicbrainz-devel.
+- Update sound-juicer-g3.patch with more commits.
+
+---
+Thu May  5 14:50:43 UTC 2011 - dims...@opensuse.org
+
+- Add sound-juicer-g3.patch: fix build against GTK3/GNOME3, based
+  on git commits.
+- Add gnome-common BuildRequires and call to autogen.sh, needed for
+  the patch.
+- Change gnome-media-devel BuildRequires to
+  pkgconfig(libgnome-media-profiles-3.0).
+- Clean .spec file using spec-cleaner.
+
+---

calling whatdependson for head-i586


New:

  sound-juicer-g3.patch



Other differences:
--
++ sound-juicer.spec ++
--- /var/tmp/diff_new_pack.C9qyr3/_old  2011-05-31 14:48:50.0 +0200
+++ /var/tmp/diff_new_pack.C9qyr3/_new  2011-05-31 14:48:50.0 +0200
@@ -15,35 +15,36 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
 
 
 Name:   sound-juicer
+Version:2.32.0
+Release:8
+License:GPLv2+
+Summary:Clean and Lean GNOME CD Ripper
+Url:http://www.burtonini.com/blog/computers/sound-juicer/
+Group:  Productivity/Multimedia/CD/Grabbers
+Source0:
ftp://ftp.gnome.org/pub/gnome/sources/sound-juicer/2.32/%{name}-%{version}.tar.bz2
+# PATCH-FIX-UPSTREAM sound-juicer-g3.patch dims...@opensuse.org -- Fix build 
against GNOME3, patches collected from git. Contain all relevant fixes until 
d548a011 (May 23 2011)
+Patch0: sound-juicer-g3.patch
 BuildRequires:  brasero-devel
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
 BuildRequires:  gconf2-devel
+# Needed for Patch0
+BuildRequires:  gnome-common
 BuildRequires:  gnome-doc-utils-devel
-BuildRequires:  gnome-media-devel
 BuildRequires:  gstreamer010-plugins-base-devel
 BuildRequires:  gstreamer010-plugins-good
 BuildRequires:  intltool
 BuildRequires:  libcanberra-devel
-BuildRequires:  libcdio-devel
-BuildRequires:  libmusicbrainz-devel
 BuildRequires:  libmusicbrainz3-devel
 BuildRequires:  translation-update-upstream
 BuildRequires:  update-desktop-files
-License:GPLv2+
-Group:  Productivity/Multimedia/CD/Grabbers
-Version:2.32.0
-Release:7
-Source0:
ftp://ftp.gnome.org/pub/gnome/sources/sound-juicer/2.20/%{name}-%{version}.tar.bz2
-Url:http://www.burtonini.com/blog/computers/sound-juicer/
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-Summary:Clean and Lean GNOME CD Ripper
+BuildRequires:  pkgconfig(libgnome-media-profiles-3.0)
 Requires:   gstreamer010-plugins-good
 Recommends: %{name}-lang
+BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %gconf_schemas_prereq
 
 %description
@@ -52,13 +53,15 @@
 %lang_package
 %prep
 %setup -q
+%patch0 -p1
 translation-update-upstream
 
 %build
+NOCONFIGURE=1 ./autogen.sh
 %configure\
--disable-schemas-install\
--disable-scrollkeeper
-make %{?jobs:-j%jobs}
+make %{?_smp_mflags}
 
 %install
 %makeinstall
@@ -68,10 +71,10 @@
 %suse_update_desktop_file %{name} AudioVideo Player Audio
 %find_lang %{name} %{?no_lang_C}
 %find_gconf_schemas
-%fdupes $RPM_BUILD_ROOT
+%fdupes %{buildroot}
 
 %clean
-rm -rf $RPM_BUILD_ROOT
+rm -rf %{buildroot}
 
 %pre -f %{name}.schemas_pre
 

++ sound-juicer-g3.patch ++
commit a362297f7faa7b88a3cb412ebfd3b47dd0414183
Author: Matthias Clasen mcla...@redhat.com
Date:   Fri Oct 1 11:03:30 2010 -0400

Use new GDK key names

This fixes the build against GTK3 (and works with 2.22 as well).
This commit does not make the chances to configure.in to actually
build against GTK3, though.

https://bugzilla.gnome.org/show_bug.cgi?id=630868

diff --git a/src/sj-main.c b/src/sj-main.c
index 43f1a6f..351fb66 100644
--- a/src/sj-main.c
+++ b/src/sj-main.c
@@ -113,7 +113,7 @@ sj_stock_init (void)
 
   static const GtkStockItem sj_stock_items[] =
   {
-{ SJ_STOCK_EXTRACT, N_(E_xtract), GDK_CONTROL_MASK, GDK_Return, NULL }
+{ SJ_STOCK_EXTRACT, N_(E_xtract), GDK_CONTROL_MASK, GDK_KEY_Return, NULL 
}
   };
 
   if (initialized)
commit 83398a1e2d1f1045353884b44c681e035b561023
Author: Bastien Nocera had...@hadess.net
Date:   Mon Nov 15 17:43:37 2010 +

build: Remove ability to build against GTK+ 2.x

diff --git a/configure.in b/configure.in
index 8727f14..9e5f0c8 100644
--- a/configure.in
+++ b/configure.in
@@ -34,30 +34,7 @@ 

commit skelcd-openSUSE for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package skelcd-openSUSE for openSUSE:Factory
checked in at Tue May 31 14:52:28 CEST 2011.




--- skelcd-openSUSE/skelcd-openSUSE.changes 2011-05-26 11:25:16.0 
+0200
+++ /mounts/work_src_done/STABLE/skelcd-openSUSE/skelcd-openSUSE.changes
2011-05-31 06:48:22.0 +0200
@@ -1,0 +2,13 @@
+Tue May 31 04:47:52 UTC 2011 - br...@ioda-net.ch
+
+- Fix typos as suggested in bnc#696425 c7
+- Removed . at the end of url and mail  
+
+---
+Mon May 30 18:18:07 UTC 2011 - br...@ioda-net.ch
+
+- fix first paragraph to be less scary : fix bnc#696425
+- fix line width to be less or equal to 69 chars 
+  avoid paging ( coolo recommendation )
+
+---

calling whatdependson for head-i586




Other differences:
--
++ skelcd-openSUSE-non-OSS.spec ++
--- /var/tmp/diff_new_pack.nR4x6N/_old  2011-05-31 14:49:52.0 +0200
+++ /var/tmp/diff_new_pack.nR4x6N/_new  2011-05-31 14:49:52.0 +0200
@@ -27,7 +27,7 @@
 Group:  Metapackages
 Conflicts:  skelcd-SUSE_Linux skelcd-SUSE_Linux-AddOn skelcd-sles 
skelcd-sled skelcd-openSUSE-non-OSS skelcd-openSUSE-non-OSS-CD
 AutoReqProv:off
-Version:2011.5.26
+Version:2011.5.31
 Release:1
 Summary:Skeleton for openSUSE OSS Media Sets
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ skelcd-openSUSE.spec ++
--- /var/tmp/diff_new_pack.nR4x6N/_old  2011-05-31 14:49:52.0 +0200
+++ /var/tmp/diff_new_pack.nR4x6N/_new  2011-05-31 14:49:52.0 +0200
@@ -27,7 +27,7 @@
 Group:  Metapackages
 Conflicts:  skelcd-SUSE_Linux skelcd-SUSE_Linux-AddOn skelcd-sles 
skelcd-sled skelcd-openSUSE-non-OSS skelcd-openSUSE-non-OSS-CD
 AutoReqProv:off
-Version:2011.5.26
+Version:2011.5.31
 Release:1
 Summary:Skeleton for openSUSE OSS Media Sets
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ skelcd.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/skelcd/READMEs/README.BETA 
new/skelcd/READMEs/README.BETA
--- old/skelcd/READMEs/README.BETA  2008-10-17 15:23:07.0 +0200
+++ new/skelcd/READMEs/README.BETA  2011-05-31 06:45:38.0 +0200
@@ -1,38 +1,40 @@
 
openSUSE Beta Distribution version BETA_DIST_VERSION
  
-   Attention! You are accessing our BETA Distribution.  If you install
-   any package, note that we can NOT GIVE ANY SUPPORT for your system - 
-   no matter if you update from a previous system or do a complete 
-   new installation.
+   You are installing Factory, the future openSUSE version not the
+   stable present one. If you know this, thanks for your help
+   in testing openSUSE Factory. It's extremely important for us to
+   have this version widely tested and we are going to help you as
+   much as possible. But of course don't expect Factory to work as
+   bugfree as the stable version.
 
Use this BETA distribution at your own risk! We recommend it for
testing, porting and evaluation purposes but not for any critical
production systems.
 
-   If you are curious and would like to help us to find the bugs, you're
-   very welcome.  Please enter bug reports following the instructions
-   given at http://bugs.opensuse.org .
+   If you are curious and would like to help us to find the bugs,
+   you're very welcome. Please enter bug reports following the
+   instructions given at http://bugs.opensuse.org
If you want to talk about this distribution with others, you can
-   discuss on the mailing list opensuse-fact...@opensuse.org.
+   discuss on the mailing list opensuse-fact...@opensuse.org
 
-   Sources for development releases are not distributed via mirrors to
-   reduce the bandwidth and storage on these mirrors.
+   Sources for development releases are not distributed via mirrors
+   to reduce the bandwidth and storage on these mirrors.
 
You can always find the latest source at
http://download.opensuse.org/factory/
 
-   In case you need the exact source of this development release you can
-   find it on:
+   In case you need the exact source of this development release you
+   can find it on:
http://www.novell.com/products/opensuse/source_code.html
 
Alternatively, see
-   http://www.novell.com/products/opensuse/source_code.html or send e-mail
-   to source...@suse.de to request the source
-   for a specific release of openSUSE on DVD. Please note that we will
-   charge $15 or 15 Euros to cover our costs of distribution.
+   http://www.novell.com/products/opensuse/source_code.html or send
+   e-mail to source...@suse.de to request the source for a specific
+   release of openSUSE on DVD. Please note that we will charge $15 
+   or 15 

commit sax2 for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package sax2 for openSUSE:Factory
checked in at Tue May 31 15:21:21 CEST 2011.




--- sax2/sax2.changes   2010-05-17 16:22:56.0 +0200
+++ /mounts/work_src_done/STABLE/sax2/sax2.changes  2011-05-31 
09:56:57.0 +0200
@@ -1,0 +2,5 @@
+Tue May 31 07:56:17 UTC 2011 - sndir...@novell.com
+
+- removed hal(-devel) from (Build)Requires (bnc #697030) 
+
+---

calling whatdependson for head-i586


New:

  nohal.diff



Other differences:
--
++ sax2.spec ++
--- /var/tmp/diff_new_pack.DxsnVH/_old  2011-05-31 14:53:19.0 +0200
+++ /var/tmp/diff_new_pack.DxsnVH/_new  2011-05-31 14:53:19.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package sax2 (Version 8.1)
+# spec file for package sax2
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -34,7 +34,7 @@
 %define build_java 0
 %if %{suse_version}  1010
 BuildRequires:  antlr bison doxygen flex gettext-devel ghostscript-fonts-std
-BuildRequires:  graphviz hal-devel python-devel
+BuildRequires:  graphviz python-devel
 BuildRequires:  libqt4 libqt4-devel libqt4-qt3support libqt4-x11
 BuildRequires:  hwinfo-devel readline-devel swig update-desktop-files
 BuildRequires:  xorg-x11-server-sdk
@@ -49,7 +49,7 @@
 %endif
 %endif
 %if %{suse_version} = 1010
-BuildRequires:  doxygen ghostscript-fonts-std graphviz hal-devel python-devel
+BuildRequires:  doxygen ghostscript-fonts-std graphviz python-devel
 BuildRequires:  qt qt-devel qt-qt3support qt-x11
 BuildRequires:  gcc-c++ readline-devel swig sysfsutils update-desktop-files
 BuildRequires:  freetype2-devel libpng-devel
@@ -58,14 +58,14 @@
 %endif
 %endif
 Requires:   perl = %{perl_version}
-Requires:   readline ncurses hal dbus-1 sax2-libsax
+Requires:   readline ncurses dbus-1 sax2-libsax
 Requires:   sax2-ident sax2-tools
 Requires:   xorg-x11-server
 Requires:   xdg-utils
 PreReq: /bin/rm /bin/mkdir /usr/bin/chroot %fillup_prereq 
%insserv_prereq
 Summary:SuSE advanced X Window System-configuration
 Version:8.1
-Release:593
+Release:603
 Group:  System/X11/Utilities
 License:GPLv2+
 Source: sax2.tar.bz2
@@ -75,6 +75,7 @@
 Patch0: sax2-gcc43.diff
 %endif
 Patch1: sax2-tools-only.diff
+Patch2: nohal.diff
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -257,6 +258,7 @@
 %if ! %sax2all
 %patch1 -p0
 %endif
+%patch2 -p0
 
 %build
 %if %use_gcc43

++ nohal.diff ++
--- sysp/Makefile.old   2011-05-31 10:04:12.0 +0200
+++ sysp/Makefile   2011-05-31 10:04:38.0 +0200
@@ -1,5 +1,5 @@
 CC  = g++ -Wall -L/usr/X11R6/lib -L/usr/X11R6/lib64 -DXORG_LOADER
-LIB = ./lib/libsysp.a -lhd -lfl -lstdc++ -lX11 -lXrandr -lhal -lXxf86misc
+LIB = ./lib/libsysp.a -lhd -lfl -lstdc++ -lX11 -lXrandr -lXxf86misc
 
 OBJ = sysp.o mouse.o keyboard.o server.o cfg.o xstuff.o d3.o
 SYS = ./lib





Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-Regexp-Common for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package perl-Regexp-Common for 
openSUSE:Factory
checked in at Tue May 31 15:23:19 CEST 2011.




--- perl-Regexp-Common/perl-Regexp-Common.changes   2011-04-04 
11:41:13.0 +0200
+++ /mounts/work_src_done/STABLE/perl-Regexp-Common/perl-Regexp-Common.changes  
2011-04-18 11:46:47.0 +0200
@@ -1,0 +2,15 @@
+Mon Apr 18 09:44:53 UTC 2011 - co...@opensuse.org
+
+- updated to 2011041701
+  + Fix documentation (matches should be match). Reported by cog...@cpan.org
+in RT ticket 2833.
+  + Added patterns for JavaDoc comments. (RT 13174 by chris...@chrisdolan.net)
+  
+  Version 2011041602 Sat Apr 16 17:06:28 CEST 2011
+  + Fix typo in repository (a...@cpan.org)
+  
+  Version 2011041601 Sat Apr 16 16:07:29 CEST 2011
+  + Fix bugs 61712  6940: $RE {num} {decimal} and $RE {num} {real} no longer
+match a single dot.
+
+---

calling whatdependson for head-i586


Old:

  Regexp-Common-2010010201.tar.gz

New:

  Regexp-Common-2011041701.tar.gz



Other differences:
--
++ perl-Regexp-Common.spec ++
--- /var/tmp/diff_new_pack.pJsf7h/_old  2011-05-31 15:21:36.0 +0200
+++ /var/tmp/diff_new_pack.pJsf7h/_new  2011-05-31 15:21:36.0 +0200
@@ -18,19 +18,19 @@
 
 
 Name:   perl-Regexp-Common
-Version:2010010201
+Version:2011041701
 Release:1
 License:MIT
 %define cpan_name Regexp-Common
 Summary:Provide commonly requested regular expressions
 Url:http://search.cpan.org/dist/Regexp-Common/
 Group:  Development/Libraries/Perl
-#Source: 
http://www.cpan.org/authors/id/A/AB/ABIGAIL/Regexp-Common-%{version}.tar.gz
-Source: %{cpan_name}-%{version}.tar.gz
+Source: 
http://www.cpan.org/authors/id/A/AB/ABIGAIL/%{cpan_name}-%{version}.tar.gz
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
 BuildRequires:  perl-macros
+BuildRequires:  perl(ExtUtils::MakeMaker)
 BuildRequires:  perl(strict)
 BuildRequires:  perl(vars)
 Requires:   perl(strict)
@@ -64,7 +64,7 @@
 %{__rm} -rf %{buildroot}
 
 %files -f %{name}.files
-%defattr(644,root,root,755)
+%defattr(-,root,root,755)
 %doc Changes COPYRIGHT COPYRIGHT.AL COPYRIGHT.AL2 COPYRIGHT.BSD COPYRIGHT.MIT 
README TODO
 
 %changelog

++ Regexp-Common-2010010201.tar.gz - Regexp-Common-2011041701.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Regexp-Common-2010010201/Changes 
new/Regexp-Common-2011041701/Changes
--- old/Regexp-Common-2010010201/Changes2010-01-02 17:46:09.0 
+0100
+++ new/Regexp-Common-2011041701/Changes2011-04-17 14:23:07.0 
+0200
@@ -1,3 +1,15 @@
+Version 2011041701 Sun Apr 17 14:22:58 CEST 2011
++ Fix documentation (matches should be match). Reported by cog...@cpan.org
+  in RT ticket 2833.
++ Added patterns for JavaDoc comments. (RT 13174 by chris...@chrisdolan.net)
+
+Version 2011041602 Sat Apr 16 17:06:28 CEST 2011
++ Fix typo in repository (a...@cpan.org)
+
+Version 2011041601 Sat Apr 16 16:07:29 CEST 2011
++ Fix bugs 61712  6940: $RE {num} {decimal} and $RE {num} {real} no longer
+  match a single dot.
+
 Version 2010010201 Sat Jan  2 17:45:53 CET 2010
 + Playing the CPANTS game
 + Adjustments for 5.005.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Regexp-Common-2010010201/META.yml 
new/Regexp-Common-2011041701/META.yml
--- old/Regexp-Common-2010010201/META.yml   2010-01-02 17:48:10.0 
+0100
+++ new/Regexp-Common-2011041701/META.yml   2011-04-17 14:36:37.0 
+0200
@@ -1,6 +1,6 @@
 --- #YAML:1.0
 name:   Regexp-Common
-version:2010010201
+version:2011041701
 abstract:   Provide commonly requested regular expressions
 author:
 - Abigail regexp-com...@abigail.be
@@ -17,7 +17,7 @@
 strict:  0
 vars:0
 resources:
-repository:  git://github.com/Abigail/Regexp-Common.git
+repository:  git://github.com/Abigail/Regexp--Common.git
 no_index:
 directory:
 - t
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Regexp-Common-2010010201/Makefile.PL 
new/Regexp-Common-2011041701/Makefile.PL
--- old/Regexp-Common-2010010201/Makefile.PL2009-12-30 01:00:48.0 
+0100
+++ new/Regexp-Common-2011041701/Makefile.PL2011-04-16 17:05:35.0 
+0200
@@ -24,7 +24,7 @@
 'strict' = 0,
 },
 resources= {
-repository   = 'git://github.com/Abigail/Regexp-Common.git',
+repository   = 'git://github.com/Abigail/Regexp--Common.git',
 },
 keywords = ['regular expression', 'pattern'],
 },
diff -urN 

commit perl-PPIx-Utilities for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package perl-PPIx-Utilities for 
openSUSE:Factory
checked in at Tue May 31 15:24:34 CEST 2011.




--- perl-PPIx-Utilities/perl-PPIx-Utilities.changes 2010-12-01 
14:53:26.0 +0100
+++ 
/mounts/work_src_done/STABLE/perl-PPIx-Utilities/perl-PPIx-Utilities.changes
2011-05-01 12:54:33.0 +0200
@@ -1,0 +2,6 @@
+Sun May  1 10:39:06 UTC 2011 - co...@opensuse.org
+
+- updated to 1.001000
+Add support for Const::Fast to PPIx::Utilities::Statement.
+
+---

calling whatdependson for head-i586


Old:

  PPIx-Utilities-1.01.tar.bz2

New:

  PPIx-Utilities-1.001000.tar.gz



Other differences:
--
++ perl-PPIx-Utilities.spec ++
--- /var/tmp/diff_new_pack.ksbR5e/_old  2011-05-31 15:23:28.0 +0200
+++ /var/tmp/diff_new_pack.ksbR5e/_new  2011-05-31 15:23:28.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package perl-PPIx-Utilities (Version 1.01)
+# spec file for package perl-PPIx-Utilities
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,54 +15,37 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
 
 
 Name:   perl-PPIx-Utilities
-%define cpan_name PPIx-Utilities
-Summary:Extensions to PPI
-Version:1.01
+Version:1.001000
 Release:1
 License:GPL+ or Artistic
-Group:  Development/Libraries/Perl
+%define cpan_name PPIx-Utilities
+Summary:Extensions to LPPI|PPI.
 Url:http://search.cpan.org/dist/PPIx-Utilities/
-#Source: 
http://www.cpan.org/modules/by-module/PPIx/PPIx-Utilities-%{version}.tar.gz
-Source: %{cpan_name}-%{version}.tar.bz2
+Group:  Development/Libraries/Perl
+Source: 
http://www.cpan.org/authors/id/E/EL/ELLIOTJS/%{cpan_name}-%{version}.tar.gz
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-%{perl_requires}
 BuildRequires:  perl
-BuildRequires:  perl(Module::Build)
 BuildRequires:  perl-macros
-BuildRequires:  perl(base)
-BuildRequires:  perl(Data::Dumper)
 BuildRequires:  perl(Exception::Class)
-BuildRequires:  perl(Exporter)
+BuildRequires:  perl(Module::Build)
 BuildRequires:  perl(PPI) = 1.208
 BuildRequires:  perl(PPI::Document) = 1.208
 BuildRequires:  perl(PPI::Document::Fragment) = 1.208
 BuildRequires:  perl(PPI::Dumper) = 1.208
 BuildRequires:  perl(Readonly)
-BuildRequires:  perl(Readonly::XS)
-BuildRequires:  perl(Scalar::Util)
-BuildRequires:  perl(strict)
 BuildRequires:  perl(Task::Weaken)
 BuildRequires:  perl(Test::Deep)
-BuildRequires:  perl(warnings)
-#
-Requires:   perl(base)
 Requires:   perl(Exception::Class)
-Requires:   perl(Exporter)
 Requires:   perl(PPI) = 1.208
 Requires:   perl(PPI::Document::Fragment) = 1.208
 Requires:   perl(Readonly)
-Requires:   perl(Readonly::XS)
-Requires:   perl(Scalar::Util)
-Requires:   perl(strict)
 Requires:   perl(Task::Weaken)
-Requires:   perl(warnings)
-#
 Recommends: perl(Readonly::XS)
+%{perl_requires}
 
 %description
 This is a collection of functions for dealing with PPI objects, many of
@@ -71,29 +54,25 @@
 the module name with PPIx::Utilities, e.g. functionality related to
 PPI::Nodes is in PPIx::Utilities::Node.
 
-Authors:
-
-Elliot Shank p...@galumph.com
-
 %prep
 %setup -q -n %{cpan_name}-%{version}
 
 %build
 %{__perl} Build.PL installdirs=vendor
-./Build
+./Build build flags=%{?_smp_mflags}
 
 %check
 ./Build test
 
 %install
-./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
+./Build install destdir=%{buildroot} create_packlist=0
 %perl_gen_filelist
 
 %clean
-%{__rm} -rf $RPM_BUILD_ROOT
+%{__rm} -rf %{buildroot}
 
 %files -f %{name}.files
-%defattr(-,root,root,-)
+%defattr(-,root,root,755)
 %doc Changes LICENSE README xt
 
 %changelog






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit patterns for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package patterns for openSUSE:Factory
checked in at Tue May 31 15:25:51 CEST 2011.




--- patterns/patterns.changes   2011-02-02 08:39:52.0 +0100
+++ /mounts/work_src_done/STABLE/patterns/patterns.changes  2011-05-30 
15:44:23.0 +0200
@@ -1,0 +2,5 @@
+Mon May 30 13:43:36 UTC 2011 - lnus...@suse.de
+
+- add minimal_base-conflicts pattern
+
+---

calling whatdependson for head-i586


New:

  patterns-minimal_base-conflicts.diff



Other differences:
--
++ patterns.spec ++
--- /var/tmp/diff_new_pack.BddC0O/_old  2011-05-31 15:24:43.0 +0200
+++ /var/tmp/diff_new_pack.BddC0O/_new  2011-05-31 15:24:43.0 +0200
@@ -24,10 +24,11 @@
 AutoReqProv:on
 Summary:Patterns Translation Tool
 Version:1.2097
-Release:2
+Release:6
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Source: patterns-%{version}.tar.bz2
 Source1:create_pattern.sh
+Patch0: patterns-minimal_base-conflicts.diff
 
 %description
 This is an pattern development package that is used to create the
@@ -44,6 +45,7 @@
 
 %prep
 %setup -q
+%patch0 -p1
 
 %build
 CFLAGS=$RPM_OPT_FLAGS %configure

++ patterns-minimal_base-conflicts.diff ++
Index: patterns-1.2097/src/patterns_utf8.c
===
--- patterns-1.2097.orig/src/patterns_utf8.c
+++ patterns-1.2097/src/patterns_utf8.c
@@ -839,7 +839,11 @@ struct data_t yast2[] = {
 
   /* openSUSE */
   {minimal_base, N_(Base System),
-   N_(This is the base runtime system.  It contains only a minimal multiuser 
booting system. For running on real hardware, you need to add additional 
packages and pattern to make this pattern useful on its own.)}
+   N_(This is the base runtime system.  It contains only a minimal multiuser 
booting system. For running on real hardware, you need to add additional 
packages and pattern to make this pattern useful on its own.)},
+
+  /* openSUSE */
+  {minimal_base-conflicts, N_(Base System exclude list),
+   N_(This pattern blocks packages that should not be installed on a minimal 
system.)},
 
 };
 /* How many yast2 selections do we have ? */





Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit pan for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package pan for openSUSE:Factory
checked in at Tue May 31 15:33:06 CEST 2011.




--- GNOME/pan/pan.changes   2011-02-20 11:06:30.0 +0100
+++ /mounts/work_src_done/STABLE/pan/pan.changes2011-05-30 
20:31:28.0 +0200
@@ -1,0 +2,11 @@
+Mon May 30 19:52:12 CEST 2011 - sbra...@suse.cz
+
+- Merged changes from Daniel Rahn and openSUSE:Factory.
+
+---
+Mon May 30 09:48:24 UTC 2011 - daniel.r...@novell.com
+
+- Add pan-0.134-handle-nzb-multipart.patch: fix nzb handling of
+  multipart messages, bnc#685759.
+
+---
@@ -16 +27 @@
-  + Port to GMime 2.4  2.5. (bgo#541676)
+  + Port to GMime 2.4  2.5. (bgo#541676, bnc#683008)

calling whatdependson for head-i586


New:

  pan-0.134-handle-nzb-multipart.patch



Other differences:
--
++ pan.spec ++
--- /var/tmp/diff_new_pack.Cs3MHT/_old  2011-05-31 15:26:02.0 +0200
+++ /var/tmp/diff_new_pack.Cs3MHT/_new  2011-05-31 15:26:02.0 +0200
@@ -19,14 +19,16 @@
 
 Name:   pan
 Version:0.134
-Release:1
+Release:2
 License:GPLv2+
 Summary:A Powerful Newsreader for GNOME
 Url:http://pan.rebelbase.com/
 Group:  Productivity/Networking/News/Clients
-Source0:ftp://source.rebelbase.com/pub/pan/pan-%{version}.tar.bz2
+Source: 
http://pan.rebelbase.com/download/releases/0.134/source/%{name}-%{version}.tar.bz2
 # PATCH-FIX-UPSTREAM fix-desktop-file-11.0.diff -- validate desktop file
 Patch0: fix-desktop-file-11.0.diff
+# PATCH-FIX-UPSTREAM pan-0.134-handle-nzb-multipart.patch bnc#685759 
daniel.r...@novell.com -- fix nzb handling of multipart messages
+Patch1: pan-0.134-handle-nzb-multipart.patch
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
 BuildRequires:  intltool
@@ -47,6 +49,7 @@
 %setup -q
 translation-update-upstream
 %patch0
+%patch1
 sed -i -e s,sr@Latn,sr@latin, configure
 sed -i -e s,sr@Latn,sr@latin, po/LINGUAS
 sed -i -e s,sr@Latn,sr@latin, pan.desktop

++ pan-0.134-handle-nzb-multipart.patch ++
--- pan/gui/gui.cc  2011/05/30 06:52:13 1.1
+++ pan/gui/gui.cc  2011/05/30 06:54:54
@@ -567,12 +567,8 @@
 
 void foreach_part (GMimeObject *o)
 {
-  if (GMIME_IS_MULTIPART (o))
-  {
-g_mime_multipart_foreach (GMIME_MULTIPART (o), foreach_part_cb, this);
-  }
-  else if (GMIME_IS_PART(o))
-  {
+  if (GMIME_IS_PART(o))
+   {
 GMimePart * part (GMIME_PART (o));
 GMimeDataWrapper * wrapper (g_mime_part_get_content_object (part));
 GMimeStream * mem_stream (g_mime_stream_mem_new ());





Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit nemiver for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package nemiver for openSUSE:Factory
checked in at Tue May 31 15:34:37 CEST 2011.




--- GNOME/nemiver/nemiver.changes   2011-02-12 20:26:27.0 +0100
+++ /mounts/work_src_done/STABLE/nemiver/nemiver.changes2011-05-28 
00:43:42.0 +0200
@@ -1,0 +2,19 @@
+Wed May 11 10:46:31 CEST 2011 - dims...@opensuse.org
+
+- Update to version 0.8.2:
+  + Catch more exceptions at low level
+  + Reset command queue on restart GDB after a crash
+  + Don't list frame args twice
+  + Add a GSettings implementation for IConfMgr
+  + Build fixes
+  + Bugs fixed: bgo#640919, bgo#640921, bgo#643700, bgo#644114,
+bgo#644569, bgo#560235, bgo#598444.
+  + Updated translations.
+- Replace vte-devel BuildRequires with pkgconfig(vte).
+- Switch to gsettings configuration backend:
+  + Replace gconf2-devel BuildRequires with
+pkgconfig(gsettings-desktop-schemas)
+  + Pass --enable-gsettings to configure
+  + Replace gconf schema macros with gsettings equivalents.
+
+---

calling whatdependson for head-i586


Old:

  nemiver-0.8.1.tar.bz2

New:

  nemiver-0.8.2.tar.bz2



Other differences:
--
++ nemiver.spec ++
--- /var/tmp/diff_new_pack.yFSXlj/_old  2011-05-31 15:33:13.0 +0200
+++ /var/tmp/diff_new_pack.yFSXlj/_new  2011-05-31 15:33:13.0 +0200
@@ -18,8 +18,8 @@
 
 
 Name:   nemiver
-Version:0.8.1
-Release:2
+Version:0.8.2
+Release:1
 License:GPLv2+
 Summary:Nemiver graphical debugger
 Group:  Development/Tools/Debuggers
@@ -27,7 +27,6 @@
 Source0:%{name}-%{version}.tar.bz2
 BuildRequires:  boost-devel
 BuildRequires:  gcc-c++
-BuildRequires:  gconf2-devel
 BuildRequires:  gdb
 BuildRequires:  gnome-doc-utils-devel
 BuildRequires:  gtkmm2-devel
@@ -37,7 +36,8 @@
 BuildRequires:  sqlite-devel
 BuildRequires:  translation-update-upstream
 BuildRequires:  update-desktop-files
-BuildRequires:  vte-devel
+BuildRequires:  pkgconfig(gsettings-desktop-schemas)
+BuildRequires:  pkgconfig(vte)
 %if 0%{?suse_version} = 1100
 BuildRequires:  ghex-devel
 %endif
@@ -45,7 +45,7 @@
 Requires:   gdb
 Recommends: %{name}-lang
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-%gconf_schemas_prereq
+%glib2_gsettings_schema_requires
 
 %description
 Nemiver is a standalone graphical debugger that integrates well in the
@@ -73,12 +73,12 @@
 %build
 %configure --disable-static --with-pic\
--disable-scrollkeeper \
-   --enable-sourceviewmm2
+--enable-sourceviewmm2 \
+--enable-gsettings
 %__make %{?jobs:-j%jobs}
 
 %install
 %makeinstall
-%find_gconf_schemas
 %suse_update_desktop_file nemiver
 %find_lang %{name} %{?no_lang_C}
 # remove la files
@@ -91,17 +91,12 @@
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%pre -f %{name}.schemas_pre
-
-%posttrans -f %{name}.schemas_posttrans
-
-%preun -f %{name}.schemas_preun
-
 %if 0%{?suse_version}  1130
 
 %post
 %desktop_database_post
 %icon_theme_cache_post
+%glib2_gsettings_schema_post
 %endif
 
 %if 0%{?suse_version}  1130
@@ -109,9 +104,10 @@
 %postun
 %desktop_database_postun
 %icon_theme_cache_postun
+%glib2_gsettings_schema_postun
 %endif
 
-%files -f %{name}.schemas_list
+%files
 %defattr(-,root,root)
 %doc AUTHORS README NEWS TODO
 %dir %{_datadir}/gnome/
@@ -125,6 +121,7 @@
 %{_libdir}/nemiver/
 %{_datadir}/nemiver/
 %{_datadir}/applications/*
+%{_datadir}/glib-2.0/schemas/org.nemiver.gschema.xml
 %{_datadir}/icons/*/*/apps/nemiver.*
 %{_mandir}/man1/nemiver.1.gz
 

++ nemiver-0.8.1.tar.bz2 - nemiver-0.8.2.tar.bz2 ++
 30329 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit mutter for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package mutter for openSUSE:Factory
checked in at Tue May 31 15:35:59 CEST 2011.




--- mutter/mutter.changes   2011-04-27 15:53:10.0 +0200
+++ /mounts/work_src_done/STABLE/mutter/mutter.changes  2011-05-26 
12:43:26.0 +0200
@@ -1,0 +2,18 @@
+Thu May 26 12:36:24 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.0.2.1:
+  + bgo#648828: When saving the session, use the program name
+rather than harcoding mutter, fixing session saving for
+gnome-shell.
+- Changes from version 3.0.2:
+  + bgo#64: Fix a crash when running without XKB support
+  + bgo#649500, bgo#649504: Fix smallish memory leaks
+  + bgo#649299: Ignore mirrored monitors when listing monitors,
+fixing drag-and-drop problems in GNOME Shell
+  + Don't allow side-by-side tiling of non-maximizable windows
+like dialogs and utility windows
+  + bgo#648613: Fix interaction of _NET_WM_WINDOW_OPACITY with
+window effects, making it work again with GNOME Shell
+  + Updated translations.
+
+---
@@ -27 +45,3 @@
-  + bgo#645408: Fix bug where, when a monitor was hot-plugged, all
+  + bgo#645408: Fix 
+
+bug where, when a monitor was hot-plugged, all

calling whatdependson for head-i586


Old:

  mutter-3.0.1.tar.bz2

New:

  mutter-3.0.2.1.tar.bz2



Other differences:
--
++ mutter.spec ++
--- /var/tmp/diff_new_pack.g95nSE/_old  2011-05-31 15:34:44.0 +0200
+++ /var/tmp/diff_new_pack.g95nSE/_new  2011-05-31 15:34:44.0 +0200
@@ -36,7 +36,7 @@
 %endif
 License:GPLv2+
 Group:  System/GUI/GNOME
-Version:3.0.1
+Version:3.0.2.1
 Release:1
 Summary:Window and compositing manager based on Clutter
 Source: %{name}-%{version}.tar.bz2

++ mutter-3.0.1.tar.bz2 - mutter-3.0.2.1.tar.bz2 ++
 1718 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gobby for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package gobby for openSUSE:Factory
checked in at Tue May 31 15:37:24 CEST 2011.




--- GNOME/gobby/gobby.changes   2011-04-27 15:50:00.0 +0200
+++ /mounts/work_src_done/STABLE/gobby/gobby.changes2011-05-28 
00:01:15.0 +0200
@@ -1,0 +2,17 @@
+Sat May 28 00:01:09 CEST 2011 - vu...@opensuse.org
+
+- Move to pkgconfig()-style BuildRequires:
+  + Old ones: glibmm2-devel, gtkmm2-devel, libinfinity-devel,
+libunique-devel, libxml++-devel.
+  + New ones: glibmm-2.4, gtkmm-2.4, libgsasl, libinfinity-0.5,
+libxml++-2.6, unique-1.0.
+
+---
+Thu Apr 28 15:49:41 CEST 2011 - dims...@opensuse.org
+
+- Use favor_gtk2 to switch between gtk2 and gtk3 builds.
+- For gtk3 build, add pkgconfig(gtkmm-3.0) and
+  pkgconfig(gtksourceview-3.0) BuildRequires.
+- Pass -with-gtk3/--without-gtk3 based on favor_gtk2 to configure.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ gobby.spec ++
--- /var/tmp/diff_new_pack.Yv7vhy/_old  2011-05-31 15:36:58.0 +0200
+++ /var/tmp/diff_new_pack.Yv7vhy/_new  2011-05-31 15:36:58.0 +0200
@@ -22,21 +22,27 @@
 %define _versioned_name gobby-0.5
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
-BuildRequires:  glibmm2-devel
 BuildRequires:  gnome-doc-utils-devel
-BuildRequires:  gtkmm2-devel
-BuildRequires:  pkgconfig(gtksourceview-2.0)
 BuildRequires:  intltool
-BuildRequires:  libxml++-devel
-BuildRequires:  libinfinity-devel = 0.3.0
-BuildRequires:  libunique-devel
 BuildRequires:  update-desktop-files
+BuildRequires:  pkgconfig(glibmm-2.4)
+%if 0%{?favor_gtk2}
+BuildRequires:  pkgconfig(gtkmm-2.4)
+BuildRequires:  pkgconfig(gtksourceview-2.0)
+%else
+BuildRequires:  pkgconfig(gtkmm-3.0)
+BuildRequires:  pkgconfig(gtksourceview-3.0)
+%endif
+BuildRequires:  pkgconfig(libgsasl)
+BuildRequires:  pkgconfig(libinfinity-0.5)
+BuildRequires:  pkgconfig(libxml++-2.6)
+BuildRequires:  pkgconfig(unique-1.0)
 # For directory ownership:
 BuildRequires:  gnome-themes
 License:GPLv2 ; GPLv2+
 Group:  Productivity/Editors/Other
 Version:0.4.94
-Release:1
+Release:2
 Summary:Gobby collaborative editor (Infinote protocol)
 Source: %{name}-%{version}.tar.bz2
 Url:http://gobby.0x539.de/
@@ -66,7 +72,12 @@
 %build
 %configure \
 --disable-scrollkeeper \
---with-gnome
+--with-gnome \
+%if 0%{?favor_gtk2}
+--without-gtk3
+%else
+--with-gtk3
+%endif
 %{__make} %{?jobs:-j%jobs}
 
 %install






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnumeric for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package gnumeric for openSUSE:Factory
checked in at Tue May 31 15:38:31 CEST 2011.




--- GNOME/gnumeric/gnumeric.changes 2011-04-29 01:08:01.0 +0200
+++ /mounts/work_src_done/STABLE/gnumeric/gnumeric.changes  2011-05-22 
19:03:59.0 +0200
@@ -1,0 +2,14 @@
+Sun May 22 16:59:06 UTC 2011 - dims...@opensuse.org
+
+- Update to 1.10.15:
+  + Import and Export fixes for ODF
+  + Fix memory leaks and memory usage generally
+  + Initial support for Works files.
+  + Bugs fixed: bgo#645805, bgo#647247, bgo#646641, bgo#648354,
+bgo#649092, bgo#649139, bgo#649484, bgo#649592, bgo#649591,
+bgo#649406, bgo#649714, bgo#649711, bgo#649713, bgo#649906,
+bgo#649914, bgo#649851, bgo#650261, bgo#650125, bgo#650639,
+bgo#650640, bgo#650625, bgo#649901, bgo#644197, bgo#155003,
+bgo#650639, bgo#647492.
+
+---

calling whatdependson for head-i586


Old:

  _service:download_url:gnumeric-1.10.14.tar.bz2

New:

  _service:download_url:gnumeric-1.10.15.tar.bz2



Other differences:
--
++ _service:set_version:gnumeric.spec ++
--- /var/tmp/diff_new_pack.0aku2x/_old  2011-05-31 15:38:15.0 +0200
+++ /var/tmp/diff_new_pack.0aku2x/_new  2011-05-31 15:38:15.0 +0200
@@ -19,8 +19,8 @@
 
 
 Name:   gnumeric
-Version:1.10.14
-Release:1
+Version: 1.10.15
+Release: 0
 Summary:Spreadsheet Application
 License:GPLv2+
 Url:http://www.gnumeric.org/

++ gnumeric.spec ++
--- /var/tmp/diff_new_pack.0aku2x/_old  2011-05-31 15:38:15.0 +0200
+++ /var/tmp/diff_new_pack.0aku2x/_new  2011-05-31 15:38:15.0 +0200
@@ -20,7 +20,7 @@
 
 Name:   gnumeric
 Version:0
-Release:1
+Release:2
 Summary:Spreadsheet Application
 License:GPLv2+
 Url:http://www.gnumeric.org/

++ _service ++
--- /var/tmp/diff_new_pack.0aku2x/_old  2011-05-31 15:38:15.0 +0200
+++ /var/tmp/diff_new_pack.0aku2x/_new  2011-05-31 15:38:15.0 +0200
@@ -2,7 +2,7 @@
   service name=download_url
 param name=protocolhttp/param
 param name=hostftp.gnome.org/param
-param 
name=path/pub/gnome/sources/gnumeric/1.10/gnumeric-1.10.14.tar.bz2/param
+param 
name=path/pub/gnome/sources/gnumeric/1.10/gnumeric-1.10.15.tar.bz2/param
   /service
   service name=set_version
 param name=basename_service:download_url:gnumeric/param

++ _service:download_url:gnumeric-1.10.14.tar.bz2 - 
_service:download_url:gnumeric-1.10.15.tar.bz2 ++
GNOME/gnumeric/_service:download_url:gnumeric-1.10.14.tar.bz2 
/mounts/work_src_done/STABLE/gnumeric/_service:download_url:gnumeric-1.10.15.tar.bz2
 differ: char 11, line 1






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-user-docs for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package gnome-user-docs for openSUSE:Factory
checked in at Tue May 31 15:40:53 CEST 2011.




--- GNOME/gnome-user-docs/gnome-user-docs.changes   2011-04-26 
15:38:43.0 +0200
+++ /mounts/work_src_done/STABLE/gnome-user-docs/gnome-user-docs.changes
2011-05-24 09:14:37.0 +0200
@@ -1,0 +2,8 @@
+Tue May 24 09:13:44 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.0.4:
+  + Added print driver setup page
+  + Other minor corrections
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  gnome-user-docs-3.0.3.tar.bz2

New:

  gnome-user-docs-3.0.4.tar.bz2



Other differences:
--
++ gnome-user-docs.spec ++
--- /var/tmp/diff_new_pack.Ir2mHy/_old  2011-05-31 15:38:39.0 +0200
+++ /var/tmp/diff_new_pack.Ir2mHy/_new  2011-05-31 15:38:39.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   gnome-user-docs
-Version:3.0.3
+Version:3.0.4
 Release:1
 License:GFDL 1.1
 Summary:GNOME Desktop Documentation

++ gnome-user-docs-3.0.3.tar.bz2 - gnome-user-docs-3.0.4.tar.bz2 ++
 101238 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gimp for openSUSE:11.3

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package gimp for openSUSE:11.3
checked in at Tue May 31 15:44:06 CEST 2011.




--- old-versions/11.3/UPDATES/all/gimp/gimp.changes 2011-02-15 
10:17:19.0 +0100
+++ 11.3/gimp/gimp.changes  2011-05-27 23:17:18.0 +0200
@@ -1,0 +2,6 @@
+Fri May 27 20:21:20 UTC 2011 - sree...@novell.com
+
+- Modify gimp-CVE-2010-4543.patch to include fix for the second
+  part of bnc#692877. (CVE-2011-1782)
+
+---

calling whatdependson for 11.3-i586




Other differences:
--
++ gimp.spec ++
--- /var/tmp/diff_new_pack.EYGgsZ/_old  2011-05-31 15:42:01.0 +0200
+++ /var/tmp/diff_new_pack.EYGgsZ/_new  2011-05-31 15:42:01.0 +0200
@@ -48,7 +48,7 @@
 BuildRequires:  xorg-x11-libXfixes-devel
 Url:http://www.gimp.org/
 Version:2.6.8
-Release:7.RELEASE2
+Release:7.RELEASE5
 License:GPLv2+
 Group:  Productivity/Graphics/Bitmap Editors
 Suggests:   AdobeICCProfiles

++ gimp-CVE-2010-4543.patch ++
--- /var/tmp/diff_new_pack.EYGgsZ/_old  2011-05-31 15:42:02.0 +0200
+++ /var/tmp/diff_new_pack.EYGgsZ/_new  2011-05-31 15:42:02.0 +0200
@@ -14,7 +14,7 @@
  fread (buf, runcount, 1, f);
 +
 +  /* prevent buffer overflow for bogus data */
-+  runcount = MIN (runcount, endq - q);
++  runcount = MIN (runcount, (endq - q) / bytespp);
 +
if (bytespp == 1)
  {






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gimp for openSUSE:11.4

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package gimp for openSUSE:11.4
checked in at Tue May 31 15:44:39 CEST 2011.




--- old-versions/11.4/all/gimp/gimp.changes 2011-02-15 10:17:26.0 
+0100
+++ 11.4/gimp/gimp.changes  2011-05-27 23:16:24.0 +0200
@@ -1,0 +2,6 @@
+Fri May 27 20:58:33 UTC 2011 - sree...@novell.com
+
+- Modify gimp-CVE-2010-4543.patch to include fix for the second
+  part of bnc#692877. (CVE-2011-1782)
+
+---

Package does not exist at destination yet. Using Fallback 
old-versions/11.4/all/gimp
Destination is old-versions/11.4/UPDATES/all/gimp
calling whatdependson for 11.4-i586




Other differences:
--
++ gimp.spec ++
--- /var/tmp/diff_new_pack.GccyZ4/_old  2011-05-31 15:44:18.0 +0200
+++ /var/tmp/diff_new_pack.GccyZ4/_new  2011-05-31 15:44:18.0 +0200
@@ -49,7 +49,7 @@
 BuildRequires:  xorg-x11-libXfixes-devel
 Url:http://www.gimp.org/
 Version:2.6.11
-Release:6
+Release:13.RELEASE14
 License:GPLv2+
 Group:  Productivity/Graphics/Bitmap Editors
 Suggests:   AdobeICCProfiles

++ gimp-CVE-2010-4543.patch ++
--- /var/tmp/diff_new_pack.GccyZ4/_old  2011-05-31 15:44:19.0 +0200
+++ /var/tmp/diff_new_pack.GccyZ4/_new  2011-05-31 15:44:19.0 +0200
@@ -14,7 +14,7 @@
  fread (buf, runcount, 1, f);
 +
 +  /* prevent buffer overflow for bogus data */
-+  runcount = MIN (runcount, endq - q);
++  runcount = MIN (runcount, (endq - q) / bytespp);
 +
if (bytespp == 1)
  {






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-dvb-daemon for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package gnome-dvb-daemon for openSUSE:Factory
checked in at Tue May 31 15:45:15 CEST 2011.




--- GNOME/gnome-dvb-daemon/gnome-dvb-daemon.changes 2011-04-26 
18:02:32.0 +0200
+++ /mounts/work_src_done/STABLE/gnome-dvb-daemon/gnome-dvb-daemon.changes  
2011-05-28 16:42:50.0 +0200
@@ -1,0 +2,54 @@
+Sat May 28 15:26:09 CEST 2011 - dims...@opensuse.org
+
+- Update to version 0.2.1:
+  + Fixed binding gettext domain
+  + gnomedvb:
+- Set window position of preferences window
+- Launch gnome-dvb-setup when pressing on preferences button
+  + Manager: disconnect from destroyed signal before destroying
+Scanners in shutdown
+  + Adjusted DVB-T brute-force scan to new signature of
+AddScanningData method
+  + Updated translations.
+
+---
+Wed May 11 12:19:21 CEST 2011 - dims...@opensuse.org
+
+- Update to version 0.2.0:
+  + Fixed a couple of issues revealed by pylint
+  + Totem: Fixed spawning of gnome-dvb-setup
+  + Use void* instead of bool as return value in GThread function
+  + Use async methods instead of calling the methods with Idle.add
+  + Updated translations.
+- Drop gnome-dvb-daemon-buildfix.patch: fixed upstream.
+
+---
+Wed May  4 18:08:21 CEST 2011 - dims...@opensuse.org
+
+- Update to version 0.1.90:
+  + Ported GUI to PyGI and GTK+3
+  + Use appointment-soon icon instead of stock_timer
+  + Do not use Gtk.Alignment anymore
+  + Mark what's on buttons insensitive if no device has been setup
+  + Retrieve totem plugin dir from pkg-config variable
+  + Avoid NULL pointer dereference in get_adapters()
+  + Totem: Ported plugin to PyGI, GTK+3 and libpeas
+  + Totem: Display recordings when changing 'group by' type.
+  + Fixed --{enable,disable}-totem-plugin option
+  + Ported the daemon to use gdbus instead of libdbus.
+  + Removed support for Rygel's MediaServer1 interface.
+  + Don't use deprecated functions anymore.
+  + Use a single Scanner DBus interface for all adapter types
+  + Ported GUI to use GDBus.
+  + Totem: Ported plugin to GDBus
+  + Use new logging facility.
+- Replace totem BuildRequires with totem-devel (needed to find the
+  plugindir variable from the .pc file).
+- Replace python-gobject2 BuildRequires with
+  pkgconfig(pygobject-2.0).
+- Remove dbus-1-python, python-gtk, pkgconfig(dbus-1) and
+  pkgconfig(dbus-1-glib) BuildRequires.
+- Remove python-gtk Requires from python-gnome-dvb-daemon.
+- Rebase gnome-dvb-daemon-buildfix.patch.
+
+---

calling whatdependson for head-i586


Old:

  gnome-dvb-daemon-0.1.23.tar.bz2
  gnome-dvb-daemon-buildfix.patch

New:

  gnome-dvb-daemon-0.2.1.tar.bz2



Other differences:
--
++ gnome-dvb-daemon.spec ++
--- /var/tmp/diff_new_pack.w2GZ9Q/_old  2011-05-31 15:44:33.0 +0200
+++ /var/tmp/diff_new_pack.w2GZ9Q/_new  2011-05-31 15:44:33.0 +0200
@@ -18,37 +18,30 @@
 
 
 Name:   gnome-dvb-daemon
-Version:0.1.23
+Version:0.2.1
 Release:1
 License:GPLv3+
 Summary:Daemon to use DVB devices
 Url:http://live.gnome.org/DVBDaemon
 Group:  Productivity/Multimedia/Other
 Source0:%{name}-%{version}.tar.bz2
-# PATCH-FIX-UPSTREAM gnome-dvb-daemon-buildfix.patch lp#704036 
dims...@opensuse.org -- Create worker threads as void* not bool.
-Patch0: gnome-dvb-daemon-buildfix.patch
-BuildRequires:  dbus-1-python
 BuildRequires:  fdupes
 BuildRequires:  gstreamer-0_10-plugins-bad
 BuildRequires:  gstreamer-0_10-plugins-good
 BuildRequires:  gstreamer-0_10-utils
 BuildRequires:  intltool
-BuildRequires:  python-gobject2
 BuildRequires:  python-gstreamer-0_10
-BuildRequires:  python-gtk
 BuildRequires:  python-devel
-# Really just for directory ownership of the plugin
-BuildRequires:  totem
+BuildRequires:  totem-devel
 BuildRequires:  update-desktop-files
 BuildRequires:  vala-devel
-BuildRequires:  pkgconfig(dbus-1)
-BuildRequires:  pkgconfig(dbus-glib-1)
 BuildRequires:  pkgconfig(gee-1.0)
 BuildRequires:  pkgconfig(gobject-2.0)
 BuildRequires:  pkgconfig(gstreamer-0.10)
 BuildRequires:  pkgconfig(gstreamer-rtsp-0.10)
 BuildRequires:  pkgconfig(gst-rtsp-server-0.10)
 BuildRequires:  pkgconfig(gudev-1.0)
+BuildRequires:  pkgconfig(pygobject-2.0) = 2.28.4
 BuildRequires:  pkgconfig(sqlite3)
 Requires:   gstreamer-0_10-plugins-bad
 Requires:   gstreamer-0_10-plugins-good
@@ -67,7 +60,6 @@
 Requires:   dbus-1-python
 Requires:   python-gobject2
 Requires:   python-gstreamer-0_10
-Requires:   python-gtk
 # Note: we put the Recommends for the lang package here and not in the main
 # package because that's where the translatable strings live. We could change
 # 

commit gnome-devel-docs for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package gnome-devel-docs for openSUSE:Factory
checked in at Tue May 31 15:45:35 CEST 2011.




--- GNOME/gnome-devel-docs/gnome-devel-docs.changes 2011-04-26 
17:56:01.0 +0200
+++ /mounts/work_src_done/STABLE/gnome-devel-docs/gnome-devel-docs.changes  
2011-05-26 23:26:28.0 +0200
@@ -1,0 +2,7 @@
+Tue May 24 09:24:55 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.0.3:
+  + Typo fixes.
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  gnome-devel-docs-3.0.2.tar.bz2

New:

  gnome-devel-docs-3.0.3.tar.bz2



Other differences:
--
++ gnome-devel-docs.spec ++
--- /var/tmp/diff_new_pack.PDdoI9/_old  2011-05-31 15:45:22.0 +0200
+++ /var/tmp/diff_new_pack.PDdoI9/_new  2011-05-31 15:45:22.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   gnome-devel-docs
-Version:3.0.2
+Version:3.0.3
 Release:1
 License:GFDL 1.1
 Summary:GNOME Platform Documentation

++ gnome-devel-docs-3.0.2.tar.bz2 - gnome-devel-docs-3.0.3.tar.bz2 ++
GNOME/gnome-devel-docs/gnome-devel-docs-3.0.2.tar.bz2 
/mounts/work_src_done/STABLE/gnome-devel-docs/gnome-devel-docs-3.0.3.tar.bz2 
differ: char 11, line 1






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-control-center for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package gnome-control-center for 
openSUSE:Factory
checked in at Tue May 31 15:47:31 CEST 2011.




--- GNOME/gnome-control-center/gnome-control-center.changes 2011-04-28 
23:15:47.0 +0200
+++ 
/mounts/work_src_done/STABLE/gnome-control-center/gnome-control-center.changes  
2011-05-24 12:11:14.0 +0200
@@ -1,0 +2,28 @@
+Tue May 24 11:34:34 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.0.2:
+  + Common:
+- Buildsystem fixes
+  + Mouse:
+- Update from gnome-settings-daemon [bgo#695041]
+  + Network:
+- Properly select the active ap [#649934]
+  + Power:
+- Only show the 'When power is critically low' when there is a
+  laptop battery or UPS attached [#646053]
+  + Printers:
+- Remove the subscription renewal timeout when the panel
+  goes away
+- Make Add button insensitive until user select a printer
+- Improve search for PPDs for new devices
+- Check presence of new printer
+  + Shell:
+- Add raised style to All Settings button [bgo#645809]
+- Kill warning in g_print call
+  + User accounts:
+- Show username when no real name [bgo#648348]
+- Fix bug when name is changed to contain markup
+- Don't call gtk_main_quit if AccountService is unavailable
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  gnome-control-center-3.0.1.1.tar.bz2

New:

  gnome-control-center-3.0.2.tar.bz2



Other differences:
--
++ gnome-control-center.spec ++
--- /var/tmp/diff_new_pack.gkvJ5P/_old  2011-05-31 15:45:43.0 +0200
+++ /var/tmp/diff_new_pack.gkvJ5P/_new  2011-05-31 15:45:43.0 +0200
@@ -59,7 +59,7 @@
 Group:  System/GUI/GNOME
 Obsoletes:  fontilus themus acme
 Provides:   fontilus themus acme
-Version:3.0.1.1
+Version:3.0.2
 Release:1
 Summary:The GNOME Control Center
 Source: %{name}-%{version}.tar.bz2

++ gnome-control-center-3.0.1.1.tar.bz2 - 
gnome-control-center-3.0.2.tar.bz2 ++
 34245 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnac for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package gnac for openSUSE:Factory
checked in at Tue May 31 15:48:56 CEST 2011.




--- GNOME/gnac/gnac.changes 2011-02-14 18:21:54.0 +0100
+++ /mounts/work_src_done/STABLE/gnac/gnac.changes  2011-05-05 
12:50:43.0 +0200
@@ -1,0 +2,22 @@
+Thu May  5 12:33:19 CEST 2011 - dims...@opensuse.org
+
+- Update to version 0.2.3:
+  + Extract and convert audio from video
+  + Notification on conversion completed
+  + Migration to GSettings.
+- Remove FIXME for license mismatch: the headers are adjusted to be
+  GPLv3+ too.
+- Replace gconf schema handling macros with gsettings ones.
+- Remove pkgconfig(gconf-2.0) BuildRequires.
+
+---
+Thu Apr 28 12:54:51 CEST 2011 - vu...@opensuse.org
+
+- Move to pkgconfig()-style BuildRequires:
+  + Old ones: gconf2-devel, gstreamer-0_10-plugins-base-devel,
+gtk2-devel, libunique-devel, libxml2-devel.
+  + New ones: gconf-2.0, glib-2.0, gstreamer-0.10,
+gstreamer-pbutils-0.10, gstreamer-plugins-base-0.10,
+gstreamer-tag-0.10, gtk+-2.0, libxml-2.0, unique-1.0.
+
+---

calling whatdependson for head-i586


Old:

  gnac-0.2.2.tar.bz2

New:

  gnac-0.2.3.tar.bz2



Other differences:
--
++ gnac.spec ++
--- /var/tmp/diff_new_pack.GcKKRL/_old  2011-05-31 15:47:40.0 +0200
+++ /var/tmp/diff_new_pack.GcKKRL/_new  2011-05-31 15:47:40.0 +0200
@@ -18,35 +18,33 @@
 
 
 Name:   gnac
-Version:0.2.2
-Release:9
-# FIXME: license is being checked with upstream: COPYING is GPLv3 but headers 
are GPLv2+
-License:GPLv3
+Version:0.2.3
+Release:1
+License:GPLv3+
 Summary:Audio converter for GNOME
 Url:http://gnac.sourceforge.net/
 Group:  Productivity/Multimedia/Sound/Editors and Convertors
 Source: %{name}-%{version}.tar.bz2
 BuildRequires:  fdupes
-BuildRequires:  gconf2-devel
 BuildRequires:  gnome-doc-utils-devel
-BuildRequires:  gstreamer-0_10-plugins-base-devel
-BuildRequires:  gtk2-devel
 BuildRequires:  intltool
-BuildRequires:  libunique-devel
-BuildRequires:  libxml2-devel
 BuildRequires:  translation-update-upstream
 BuildRequires:  update-desktop-files
+BuildRequires:  pkgconfig(glib-2.0)
+BuildRequires:  pkgconfig(gstreamer-0.10)
+BuildRequires:  pkgconfig(gstreamer-pbutils-0.10)
+BuildRequires:  pkgconfig(gstreamer-plugins-base-0.10)
+BuildRequires:  pkgconfig(gstreamer-tag-0.10)
+BuildRequires:  pkgconfig(gtk+-2.0)
+BuildRequires:  pkgconfig(libxml-2.0)
+BuildRequires:  pkgconfig(unique-1.0)
 Requires:   gstreamer-0_10-plugins-base
 Requires:   gstreamer-0_10-plugins-good
 # Some supported formats are not in good
 Recommends: gstreamer-0_10-plugins-bad
 Recommends: %{name}-lang
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-%if 0%{?suse_version} = 1120
-%gconf_schemas_prereq
-%else
-%gconf_schemas_requires
-%endif
+%glib2_gsettings_schema_requires
 
 %description
 Gnac is an easy to use audio conversion program for the GNOME desktop.
@@ -64,7 +62,6 @@
 
 %install
 %makeinstall
-%find_gconf_schemas
 %find_lang %{name} %{?no_lang_C}
 %suse_update_desktop_file gnac
 %fdupes %{buildroot}%{_datadir}
@@ -72,16 +69,11 @@
 %clean
 rm -rf %{buildroot}
 
-%pre -f %{name}.schemas_pre
-
-%preun -f %{name}.schemas_preun
-
-%posttrans -f %{name}.schemas_posttrans
-
 %post
 %if 0%{?suse_version}  1130
 %desktop_database_post
 %icon_theme_cache_post
+%glib2_gsettings_schema_post
 %else
 gtk-update-icon-cache %{_datadir}/icons/hicolor || true
 %endif
@@ -90,11 +82,12 @@
 %if 0%{?suse_version}  1130
 %desktop_database_postun
 %icon_theme_cache_postun
+%glib2_gsettings_schema_postun
 %else
 gtk-update-icon-cache %{_datadir}/icons/hicolor || true
 %endif
 
-%files -f %{name}.schemas_list
+%files
 %defattr(-,root,root)
 %doc AUTHORS ChangeLog COPYING NEWS README THANKS
 %dir %{_datadir}/gnome/
@@ -104,6 +97,7 @@
 %{_mandir}/man1/gnac.1.*
 %{_bindir}/gnac
 %{_datadir}/applications/gnac.desktop
+%{_datadir}/glib-2.0/schemas/org.gnome.gnac.gschema.xml
 %{_datadir}/gnac/
 %{_datadir}/icons/hicolor/*/apps/*.png
 %{_datadir}/icons/hicolor/*/apps/*.svg

++ gnac-0.2.2.tar.bz2 - gnac-0.2.3.tar.bz2 ++
 33483 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit hplip for openSUSE:11.4

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package hplip for openSUSE:11.4
checked in at Tue May 31 15:54:29 CEST 2011.




--- old-versions/11.4/all/hplip/hplip.changes   2011-02-01 16:28:54.0 
+0100
+++ 11.4/hplip/hplip.changes2011-05-27 10:31:52.0 +0200
@@ -1,0 +2,23 @@
+Fri May 27 10:21:59 CEST 2011 - jsm...@suse.de
+
+- Upgraded to version 3.11.5:
+  Added LEDM ADF Scan support.
+  Added LEDM Wireless support.
+  Some more supported printers and all-in-one devices.
+  Together with our Ghostscript update packages (bnc#681071)
+  it fixes the inverted/wrong color problem in HPCUPS
+  (see Novell/openSUSE Bugzilla bnc#692905).
+  For details see
+  http://hplipopensource.com/hplip-web/release_notes.html
+- Upgraded to version 3.11.3a:
+  Fixed hp-plugin plugin download error (no SUSE bug), see
+  http://hplipopensource.com/hplip-web/release_notes.html
+- Upgraded to version 3.11.3:
+  New device class StingrayOJ for HP OfficeJet 100 Mobile L411.
+  New filter hpps (HP PS filter for PostScript printers) currently
+  only used via hp-officejet_pro_8000_enterprise_a811a-ps.ppd.gz
+  Some more supported printers and all-in-one devices.
+  For details see
+  http://hplipopensource.com/hplip-web/release_notes.html
+
+---

Package does not exist at destination yet. Using Fallback 
old-versions/11.4/all/hplip
Destination is old-versions/11.4/UPDATES/all/hplip
calling whatdependson for 11.4-i586


Old:

  hplip-3.11.1.tar.bz2

New:

  hplip-3.11.5.tar.bz2



Other differences:
--
++ hplip.spec ++
--- /var/tmp/diff_new_pack.eHL6Wj/_old  2011-05-31 15:52:24.0 +0200
+++ /var/tmp/diff_new_pack.eHL6Wj/_new  2011-05-31 15:52:24.0 +0200
@@ -29,13 +29,18 @@
 # HPLIP has reached 1.0 status. With this release a date encoded revision 
number is used:
 # x.y.m : x = major release number, y = year (eg: 6 = 2006), m = month (eg: 6a 
= second release in June)
 # Official releases have a 3 digit number and release candidates have a 4 
digit number: x.y.m.rc
-Version:3.11.1
-Release:1
+Version:3.11.5
+Release:1.RELEASE2
 Group:  Hardware/Printing
 License:BSD3c(or similar) ; GPLv2+ ; MIT License (or similar)
 Url:http://hplipopensource.com
 # Source0...Source9 is for sources from HP:
-# URL for Source0: http://prdownloads.sourceforge.net/hplip/hplip-3.11.1.tar.gz
+# URL for Source0: http://prdownloads.sourceforge.net/hplip/hplip-3.11.5.tar.gz
+# URL to verify Source0: 
http://prdownloads.sourceforge.net/hplip/hplip-3.11.5.tar.gz.asc
+# How to verify Source0 see: http://hplipopensource.com/node/327
+# For example: /usr/bin/gpg --keyserver pgp.mit.edu --recv-keys 0xA59047B9
+#  /usr/bin/gpg --verify hplip-3.11.5.tar.gz.asc 
hplip-3.11.5.tar.gz
+# must result: Good signature from HPLIP (HP Linux Imaging and Printing) 
hp...@hp.com
 Source0:%{name}-%{version}.tar.bz2
 # Patch0...Patch9 is for patches from HP:
 # Patch10...Patch99 is for Suse patches for the sources from HP:
@@ -139,42 +144,6 @@
 /usr/share/doc/packages/hplip/index.html
 
 
-
-Authors:
-
-David Suffield david.suffi...@hp.com
-Yie Shiyun shiyun@hp.com
-Donald J. Welch donald.we...@hp.com
-Cauligi Raghothama S. raghothama.caul...@hp.com
-Aaron Albright
-Charlie Moore
-Chris Wiesner
-Chuck Esterbrook
-Cory Meisch
-David Goodger
-David Paschal
-Don Castrapel
-Foster Nuffer
-Hamish B Lawson
-Henrique M. Holschuh
-Ian Bicking
-Jacqueline Pitter
-James Thiele
-John Hosszu
-John Oleinik
-Linus Araque
-Mark Crawford
-Mark Overton
-Michael Foord
-Mike Orr
-Pete Parks
-Philippe Normand
-Sam Rushing
-Smith Kennedy
-Steve DeRoos
-Tavis Rudd
-Till Kamppeter
-
 %package hpijs
 License:BSD3c(or similar) ; GPLv2+ ; MIT License (or similar)
 Summary:Only plain printing with HPLIP printer drivers
@@ -255,15 +224,6 @@
 For full documentation and license see the main-package hplip.
 
 
-
-Authors:
-
-David Suffield david.suffi...@hp.com
-Cory Meisch cory.mei...@hp.com
-Yie Shiyun shiyun@hp.com
-Donald J. Welch donald.we...@hp.com
-Cauligi Raghothama S. raghothama.caul...@hp.com
-
 %prep
 # Be quiet when unpacking:
 %setup -q
@@ -579,6 +539,7 @@
 /usr/lib/cups/filter/hpcac
 /usr/lib/cups/filter/hpcups
 /usr/lib/cups/filter/hplipjs
+/usr/lib/cups/filter/hpps
 /usr/lib/cups/filter/pstotiff
 %dir %{_datadir}/cups
 %dir %{_datadir}/cups/model


++ hplip-3.11.1.tar.bz2 - hplip-3.11.5.tar.bz2 ++
old-versions/11.4/all/hplip/hplip-3.11.1.tar.bz2 
11.4/hplip/hplip-3.11.5.tar.bz2 differ: byte 11, line 1






Remember to have fun...

-- 

commit glabels for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package glabels for openSUSE:Factory
checked in at Tue May 31 16:08:15 CEST 2011.




--- GNOME/glabels/glabels.changes   2011-02-14 17:53:05.0 +0100
+++ /mounts/work_src_done/STABLE/glabels/glabels.changes2011-05-28 
01:19:03.0 +0200
@@ -1,0 +2,71 @@
+Sat May 28 01:05:01 CEST 2011 - vu...@opensuse.org
+
+- Change license tag to GPLv3+ after license change upstream.
+- Add barcode-devel BuildRequires to build GNU Barcode backend.
+- Remove pkgconfig BuildRequires: we know it comes with
+  pkgconfig(glib-2.0).
+
+---
+Sun May 22 13:53:29 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.0.0:
+  + Reorganization of alignment menus
+  + Allow glabels-batch to be run outside of windowing system
+  + CSV parser now more closely follows RFC 4180
+  + Added templates
+  + Updated translations
+- Changes from version 2.3.1:
+  + Migrated to GNOME 3 platform
+  + Updated manual and ported to Mallard
+  + Added text merge backend that uses semicolon delimeters
+  + Improve appearance of shadows of boxes and ellipses
+  + Added shadow property of image objects
+  + Added native support for SVG images
+  + Added full-featured barcode backend for libzint
+  + Refactoring of barcode subsystem
+  + New logo and theme friendly icons
+  + Added support for elliptical templates
+  + Added many new templates
+  + Updated translations
+- Changes from version 2.3.0:
+  + Removed use of deprecations in platform
+  + Major refactoring of code
+  + Added Undo/Redo capability
+  + GnuBarcode backend is now optional and is no longer distributed
+with glabels
+  + IEC16022 (datamatrix) barcode backend is now optional and is no
+longer distributed with glabels
+  + Added optional IEC18004 (QRCode) barcode backend
+  + Added optional Zint barcode backend (currently ony supports
+GS1-128).
+  + Now uses XDG Base Directory Specification to locate user
+templates
+  + New wizard based New Label dialog
+  + Can now manage user created templates from within glabels
+  + New Insert Field button
+  + Allow pasting of images and text from other apps as new objects
+  + Fixed focus problems which prevented proper copy and paste
+operation within the text editor
+  + CSV merge backend can now harvest 1st line of CSV file for
+field names
+  + New font selection widget
+  + New color selection widget
+  + Support parallel installation with older versions of glabels
+  + Updated license to GPL3+
+  + Updated translations.
+- Drop glabels-build-fix.patch: no longer needed after refactoring.
+- Replace old-style -devel BuildRequires with pkgconfig() ones, and
+  move to GNOME 3 libraries:
+  + old ones: evolution-data-server-devel, glib2-devel,
+gnome-doc-utils-devel, gtk2-devel, libxml2-devel.
+  - new ones: glib-2.0, gnome-doc-utils, gtk+-3.0, libebook-1.2,
+librsvg-2.0, libxml-2.0.
+- Drop no longer needed BuildRequires:
+  + libglade2-devel, libgnomeui-devel
+- Remove now unknown configure options:
+  + disable-update-mimedb
+  + disable-update-desktopdb
+- Add glib_settings_post/poat and icon_theme_cache_post/post to the
+  respective post/postun scriptlets.
+
+---

calling whatdependson for head-i586


Old:

  glabels-2.2.8.tar.bz2
  glabels-build-fix.patch

New:

  glabels-3.0.0.tar.bz2



Other differences:
--
++ glabels.spec ++
--- /var/tmp/diff_new_pack.UycSCO/_old  2011-05-31 15:49:04.0 +0200
+++ /var/tmp/diff_new_pack.UycSCO/_new  2011-05-31 15:49:04.0 +0200
@@ -15,32 +15,30 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
 
 
 Name:   glabels
+Version:3.0.0
+Release:1
+License:GPLv3+
+Summary:Label Editing and Printing Tool
 Url:http://glabels.sourceforge.net/
-License:GPLv2+
 Group:  Productivity/Office/Other
-Version:2.2.8
-Release:9
-Summary:Label Editing and Printing Tool
-Source: 
http://ftp.gnome.org/pub/GNOME/sources/glabels/2.2/glabels-%{version}.tar.bz2
-# PATCH-FIX-UPSTREAM glabels-build-fix.patch vu...@opensuse.org -- Fix missing 
include, already fixed in git
-Patch0: glabels-build-fix.patch
-BuildRequires:  evolution-data-server-devel
+Source: 
http://ftp.gnome.org/pub/GNOME/sources/glabels/3.0/glabels-%{version}.tar.bz2
+BuildRequires:  barcode-devel
 BuildRequires:  fdupes
-BuildRequires:  glib2-devel
-BuildRequires:  gnome-doc-utils-devel
-BuildRequires:  gtk2-devel
-BuildRequires:  libglade2-devel
-BuildRequires:  libgnomeui-devel
-BuildRequires:  libxml2-devel
+BuildRequires:  intltool
 BuildRequires:  translation-update-upstream
 BuildRequires:  update-desktop-files
-BuildRequires:  

commit genius for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package genius for openSUSE:Factory
checked in at Tue May 31 16:09:08 CEST 2011.




--- GNOME/genius/genius.changes 2011-02-14 17:48:04.0 +0100
+++ /mounts/work_src_done/STABLE/genius/genius.changes  2011-04-28 
12:58:19.0 +0200
@@ -1,0 +2,7 @@
+Thu Apr 28 12:57:23 CEST 2011 - vu...@opensuse.org
+
+- Move to pkgconfig()-style BuildRequires:
+  + Old ones: gtk2-devel, gtksourceview-devel, vte-devel.
+  + New ones: glib-2.0, gtk+-2.0, gtksourceview-2.0, vte.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ genius.spec ++
--- /var/tmp/diff_new_pack.YEkqKU/_old  2011-05-31 16:08:23.0 +0200
+++ /var/tmp/diff_new_pack.YEkqKU/_new  2011-05-31 16:08:23.0 +0200
@@ -20,7 +20,7 @@
 
 Name:   genius
 Version:1.0.12
-Release:12
+Release:13
 License:GPLv3+
 Summary:General purpose calculator and mathematics tool
 Group:  Productivity/Scientific/Math
@@ -28,8 +28,6 @@
 Source: %{name}-%{version}.tar.bz2
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  fdupes
-BuildRequires:  gtk2-devel
-BuildRequires:  gtksourceview-devel
 BuildRequires:  intltool
 BuildRequires:  mpfr-devel
 BuildRequires:  ncurses-devel
@@ -37,7 +35,10 @@
 BuildRequires:  scrollkeeper
 BuildRequires:  translation-update-upstream
 BuildRequires:  update-desktop-files
-BuildRequires:  vte-devel
+BuildRequires:  pkgconfig(glib-2.0)
+BuildRequires:  pkgconfig(gtk+-2.0)
+BuildRequires:  pkgconfig(gtksourceview-2.0)
+BuildRequires:  pkgconfig(vte)
 Recommends: %{name}-lang
 
 %description






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gedit-plugins for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package gedit-plugins for openSUSE:Factory
checked in at Tue May 31 16:09:57 CEST 2011.




--- GNOME/gedit-plugins/gedit-plugins.changes   2011-04-27 15:11:11.0 
+0200
+++ /mounts/work_src_done/STABLE/gedit-plugins/gedit-plugins.changes
2011-05-27 10:34:48.0 +0200
@@ -1,0 +2,6 @@
+Fri May 27 10:25:24 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.0.3:
+  + Misc bugfixes.
+
+---

calling whatdependson for head-i586


Old:

  gedit-plugins-3.0.2.tar.bz2

New:

  gedit-plugins-3.0.3.tar.bz2



Other differences:
--
++ gedit-plugins.spec ++
--- /var/tmp/diff_new_pack.3jcG31/_old  2011-05-31 16:09:16.0 +0200
+++ /var/tmp/diff_new_pack.3jcG31/_new  2011-05-31 16:09:16.0 +0200
@@ -20,7 +20,7 @@
 
 Name:   gedit-plugins
 Summary:A collection of plugins for gedit
-Version:3.0.2
+Version:3.0.3
 Release:1
 Source: %{name}-%{version}.tar.bz2
 License:GPLv2+

++ gedit-plugins-3.0.2.tar.bz2 - gedit-plugins-3.0.3.tar.bz2 ++
 15104 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit evince for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package evince for openSUSE:Factory
checked in at Tue May 31 16:17:13 CEST 2011.




--- GNOME/evince/evince.changes 2011-05-05 12:26:08.0 +0200
+++ /mounts/work_src_done/STABLE/evince/evince.changes  2011-05-23 
23:08:31.0 +0200
@@ -1,0 +2,17 @@
+Mon May 23 23:04:02 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.0.2:
+  + Fix goto window in presentation mode
+  + bgo#648056: Don't allow to hide the toolbar when it's being
+edited
+  + bgo#647138: Send page dest as integer to other evince instances
+when '-i' command line switch is used
+  + bgo#647378: Don't jump to find result when the findbar is shown
+with search text
+  + bgo#644806: Fix error processing some malformed TIFF files
+  + bgo#648365: Clear caches after destroying child widgets
+  + Fix ev_win32_get_locale_dir()
+  + Updated documentation
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  evince-3.0.0.tar.bz2

New:

  evince-3.0.2.tar.bz2



Other differences:
--
++ evince.spec ++
--- /var/tmp/diff_new_pack.7HQchQ/_old  2011-05-31 16:14:31.0 +0200
+++ /var/tmp/diff_new_pack.7HQchQ/_new  2011-05-31 16:14:31.0 +0200
@@ -19,7 +19,7 @@
 
 
 Name:   evince
-Version:3.0.0
+Version:3.0.2
 Release:1
 %define _major_version 3.0
 License:GPLv2+

++ evince-3.0.0.tar.bz2 - evince-3.0.2.tar.bz2 ++
 29255 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit deja-dup for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package deja-dup for openSUSE:Factory
checked in at Tue May 31 16:19:01 CEST 2011.




--- GNOME/deja-dup/deja-dup.changes 2011-04-29 00:57:24.0 +0200
+++ /mounts/work_src_done/STABLE/deja-dup/deja-dup.changes  2011-05-16 
18:29:47.0 +0200
@@ -1,0 +2,5 @@
+Mon May 16 16:28:53 UTC 2011 - dims...@opensuse.org
+
+- Add glib2 gsettings schema handling macros to post and postun.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ deja-dup.spec ++
--- /var/tmp/diff_new_pack.lJPUKA/_old  2011-05-31 16:18:18.0 +0200
+++ /var/tmp/diff_new_pack.lJPUKA/_new  2011-05-31 16:18:18.0 +0200
@@ -19,7 +19,7 @@
 
 Name:   deja-dup
 Version:18.1.1
-Release:1
+Release:3
 # FIXME: check if python-cloudfiles is packaged, and if yes, uncomment 
Recommends
 License:GPLv3+
 Summary:Simple backup tool and frontend for duplicity
@@ -48,6 +48,7 @@
 Recommends: %{name}-lang
 # Needed for Rackspace Cloud Files support, but not packaged :/
 #Recommends: python-cloudfiles
+%glib2_gsettings_schema_requires
 
 %description
 Déjà  Dup is a simple backup tool. It hides the complexity of doing
@@ -122,6 +123,7 @@
 %if 0%{?suse_version}  1130
 
 %post
+%glib2_gsettings_schema_post
 %desktop_database_post
 %icon_theme_cache_post
 %endif
@@ -129,6 +131,7 @@
 %if 0%{?suse_version}  1130
 
 %postun
+%glib2_gsettings_schema_postun
 %desktop_database_postun
 %icon_theme_cache_postun
 %endif






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit zeitgeist-datahub for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package zeitgeist-datahub for 
openSUSE:Factory
checked in at Tue May 31 16:20:23 CEST 2011.




--- zeitgeist-datahub/zeitgeist-datahub.changes 2011-04-26 23:24:42.0 
+0200
+++ /mounts/work_src_done/STABLE/zeitgeist-datahub/zeitgeist-datahub.changes
2011-05-18 19:18:27.0 +0200
@@ -1,0 +2,8 @@
+Wed May 18 19:07:58 CEST 2011 - dims...@opensuse.org
+
+- Update to version 0.7.0:
+  + Ported to use GDBus
+  + Added module which listens for desktop file launches
+- Drop pkgconfig(dbus-glib-1) BuildRequires.
+
+---

calling whatdependson for head-i586


Old:

  zeitgeist-datahub-0.6.0.tar.gz

New:

  zeitgeist-datahub-0.7.0.tar.gz



Other differences:
--
++ zeitgeist-datahub.spec ++
--- /var/tmp/diff_new_pack.kSO6nu/_old  2011-05-31 16:19:46.0 +0200
+++ /var/tmp/diff_new_pack.kSO6nu/_new  2011-05-31 16:19:46.0 +0200
@@ -19,7 +19,7 @@
 
 
 Name:   zeitgeist-datahub
-Version:0.6.0
+Version:0.7.0
 Release:1
 License:GPLv3+
 Summary:Passive logging daemon for Zeitgeist
@@ -29,7 +29,6 @@
 BuildRequires:  intltool
 BuildRequires:  update-desktop-files
 BuildRequires:  vala
-BuildRequires:  pkgconfig(dbus-glib-1)
 BuildRequires:  pkgconfig(gtk+-2.0)
 BuildRequires:  pkgconfig(zeitgeist-1.0)
 Requires:   zeitgeist

++ zeitgeist-datahub-0.6.0.tar.gz - zeitgeist-datahub-0.7.0.tar.gz ++
 3881 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit webyast-status-ws for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package webyast-status-ws for 
openSUSE:Factory
checked in at Tue May 31 16:25:32 CEST 2011.




--- webyast-status-ws/webyast-status-ws.changes 2011-05-16 12:50:54.0 
+0200
+++ /mounts/work_src_done/STABLE/webyast-status-ws/webyast-status-ws.changes
2011-05-27 15:42:00.0 +0200
@@ -1,0 +2,6 @@
+Fri May 27 13:38:54 UTC 2011 - sch...@novell.com
+
+- taking care about s390 network (bnc#696496)
+- 0.2.10 
+
+---

calling whatdependson for head-i586




Other differences:
--
++ webyast-status-ws.spec ++
--- /var/tmp/diff_new_pack.OWr4AS/_old  2011-05-31 16:24:30.0 +0200
+++ /var/tmp/diff_new_pack.OWr4AS/_new  2011-05-31 16:24:30.0 +0200
@@ -27,7 +27,7 @@
 Group:  Productivity/Networking/Web/Utilities
 Url:http://en.opensuse.org/Portal:WebYaST
 AutoReqProv:on
-Version:0.2.9
+Version:0.2.10
 Release:1
 Summary:WebYaST - system status service
 Source: www.tar.bz2
@@ -53,6 +53,7 @@
 
 %package testsuite
 
+
 Group:  Productivity/Networking/Web/Utilities
 Requires:   %{name} = %{version}
 Requires:   webyast-base-ws-testsuite



++ www.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/www/app/models/graph.rb new/www/app/models/graph.rb
--- old/www/app/models/graph.rb 2011-05-10 13:53:10.0 +0200
+++ new/www/app/models/graph.rb 2011-05-27 15:35:47.0 +0200
@@ -146,7 +146,8 @@
y_decimal_places=0,
single_graphs=[]}
 metrics.each do |metric|
-  if metric.type == if_packets  metric.type_instance.start_with?(eth)
+  if metric.type == if_packets  
+ (metric.type_instance.start_with?(eth) || 
metric.type_instance.start_with?(ctc))
 metric_id = metric.id[metric.host.length+1..metric.id.length-1] #cut 
off host-id
 network[single_graphs]  {lines=[{label=received, 
limits={max=0, min=0}, 
   metric_column=rx, 
metric_id=metric_id}, 






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit texworks for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package texworks for openSUSE:Factory
checked in at Tue May 31 16:32:18 CEST 2011.




--- texworks/texworks.changes   2011-04-19 21:23:24.0 +0200
+++ /mounts/work_src_done/STABLE/texworks/texworks.changes  2011-05-27 
10:53:10.0 +0200
@@ -1,0 +2,29 @@
+Fri May 27 08:47:21 UTC 2011 - badshah...@gmail.com
+
+- Update to version 0.4.1
+  + Option to always close the output panel after typesetting
+  + Invoke Goto page and Goto line from the status bar widgets
+  + Implement pdf zoom menu from the status bar widget
+  + Allow to reload a file with selectable encoding
+  + Implement Help  Settings and Resources... for easy access,
+in particular to customizable resources
+  + Speed up program start-up
+  + Add \begin{document} to the auto-completion
+  + Work around the almost invisible highlighting when searching
+with the Find all occurences option
+  + Improve highlighting of auto-completed text
+  + Let typeset combobox adjust size dynamically
+  + Remove the + from the zoom tool icon in the PDF preview
+  + Reduce size of packages
+  + Fix handling of non-existent files in automatic resource
+updates
+  + Fix handling of TEXEDIT environment variable; add support for
+the MIKTEX_EDITOR environment variable
+  + Fix several compile time and runtime warnings
+  + Fix invisible icons in application switcher with compiz
+  + Rename default ConTeXt tools
+  + Add more extensions for associating files with TeXworks
+  + Add support for Python 3.2
+  + Clean up unused code  files
+
+---

calling whatdependson for head-i586


Old:

  texworks-0.4.0.tar.bz2

New:

  texworks-0.4.1.tar.bz2



Other differences:
--
++ texworks.spec ++
--- /var/tmp/diff_new_pack.jX1mmn/_old  2011-05-31 16:31:56.0 +0200
+++ /var/tmp/diff_new_pack.jX1mmn/_new  2011-05-31 16:31:56.0 +0200
@@ -19,8 +19,8 @@
 
 
 Name:   texworks
-Version:0.4.0
-Release:2
+Version:0.4.1
+Release:1
 License:GPLv2+
 Summary:TeXshop-like TeX Editor
 Url:http://www.tug.org/texworks/
@@ -51,7 +51,7 @@
 usage on the Mac platform.
 
 %package plugin-python
-License:GPLv2+
+
 Summary:Plugins to add python scripting to texworks
 Group:  Development/Libraries/Python
 Requires:   python
@@ -69,7 +69,7 @@
 This package adds python scripting abitilies to TeXworks.
 
 %package plugin-lua
-License:GPLv2+
+
 Summary:Plugins to add python scripting to texworks
 Group:  Development/Libraries/Other
 Requires:   lua

++ texworks-0.4.0.tar.bz2 - texworks-0.4.1.tar.bz2 ++
 39450 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit telepathy-mission-control for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package telepathy-mission-control for 
openSUSE:Factory
checked in at Tue May 31 16:35:38 CEST 2011.




--- GNOME/telepathy-mission-control/telepathy-mission-control.changes   
2011-04-22 14:05:01.0 +0200
+++ 
/mounts/work_src_done/STABLE/telepathy-mission-control/telepathy-mission-control.changes
2011-05-27 00:03:29.0 +0200
@@ -1,0 +2,43 @@
+Thu May 19 18:53:11 CEST 2011 - dims...@opensuse.org
+
+- Update to version 5.9.0:
+  + Enhancements:
+- DelegateChannels and PresentChannel from spec version 0.23.2
+  have been implemented.
+  + Fixes:
+- fdo#36483: All tests now pass, even with newer tp-glib.
+- Implementation of the draft ChannelDispatcher.Messages
+  interface did not correctly handle all internal requests
+  which should have been dispatched to an existing channel.
+
+---
+Wed May 18 17:35:56 CEST 2011 - dims...@opensuse.org
+
+- Update to version 5.7.11:
+  + Enhancements:
+- fdo#36845: dispatch operation policy plugins can implement
+  handler_is_suitable_async(), to say whether a Handler is
+  acceptable for a particular dispatch operation
+- All members of McpDBusAclIface may be NULL
+- The McpDispatchOperationPolicyIface struct is directly
+  visible to plugins
+- The implementation vtable of MCP plugin classes is no longer
+  concealed, and maybe assigned to directly by implementations
+  instead of using the _implement methods
+- More/better documentation for the MCP plugin classes
+  + Fixes:
+- If enabled, the Aegis plugin is now statically linked into
+  the MC executable rather than being a loadable module
+- Account plugins are no longer added to the cached list
+  repeatedly
+- Changes from version 5.7.10:
+  + Enhancements:
+- Use the new arg0namespace matching to watch only interesting
+  DBus name-owner-changed signals if DBus is new enough to
+  allow this
+  + Fixes:
+- Setting changes originating in storage backends (e.g.
+  libaccounts) were not necessarily propagated to CMs if they
+  were not parameters.
+
+---

calling whatdependson for head-i586


Old:

  telepathy-mission-control-5.7.9.tar.bz2

New:

  telepathy-mission-control-5.9.0.tar.bz2



Other differences:
--
++ telepathy-mission-control.spec ++
--- /var/tmp/diff_new_pack.OkyCSk/_old  2011-05-31 16:33:49.0 +0200
+++ /var/tmp/diff_new_pack.OkyCSk/_new  2011-05-31 16:33:49.0 +0200
@@ -19,7 +19,7 @@
 Url:http://mission-control.sourceforge.net/
 
 Name:   telepathy-mission-control
-Version:5.7.9
+Version:5.9.0
 Release:1
 License:LGPLv2.1
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ telepathy-mission-control-5.7.9.tar.bz2 - 
telepathy-mission-control-5.9.0.tar.bz2 ++
 45659 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit python-distribute for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package python-distribute for 
openSUSE:Factory
checked in at Tue May 31 16:40:15 CEST 2011.




--- python-distribute/python-distribute.changes 2010-08-31 01:48:33.0 
+0200
+++ /mounts/work_src_done/STABLE/python-distribute/python-distribute.changes
2011-05-30 23:08:41.0 +0200
@@ -1,0 +2,36 @@
+Mon May 30 21:07:25 UTC 2011 - alexan...@exatati.com.br
+
+- Update to 0.6.17:
+  * Support 'DISTRIBUTE_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT' environment
+variable to allow to disable installation of easy_install-${version} 
script.
+  * Support Python =3.1.4 and =3.2.1.
+  * Issue 204: Don't try to import the parent of a namespace package in
+declare_namespace
+  * Issue 196: Tolerate responses with multiple Content-Length headers
+  * Issue 205: Sandboxing doesn't preserve working_set. Leads to setup_requires
+problems.
+
+---
+Sat Apr 30 17:18:30 UTC 2011 - alexan...@exatati.com.br
+
+- Update to 0.6.16:
+  * Builds sdist gztar even on Windows (avoiding Issue 193).
+  * Issue 192: Fixed metadata omitted on Windows when package_dir
+specified with forward-slash.
+  * Issue 195: Cython build support.
+  * Issue 200: Issues with recognizing 64-bit packages on Windows.
+  Aditional changes from 0.6.15:
+* Fixed typo in bdist_egg
+* Several issues under Python 3 has been solved.
+* Issue 146: Fixed missing DLL files after easy_install of windows
+  exe package.
+
+---
+Tue Apr 26 20:33:38 UTC 2011 - sasc...@gmx.de
+
+- Spec file cleanup:
+  - Removed authors from description
+  - Obsoletes/Provides setuptools version fixed
+  - %py_requires available only on SUSE distros
+
+---

calling whatdependson for head-i586


Old:

  distribute-0.6.14.tar.bz2

New:

  distribute-0.6.17.tar.bz2



Other differences:
--
++ python-distribute.spec ++
--- /var/tmp/diff_new_pack.ieOq2e/_old  2011-05-31 16:39:31.0 +0200
+++ /var/tmp/diff_new_pack.ieOq2e/_new  2011-05-31 16:39:31.0 +0200
@@ -16,27 +16,29 @@
 #
 
 
+%{!?python_sitelib: %global python_sitelib %(%{__python} -c from 
distutils.sysconfig import get_python_lib; print get_python_lib())}
+%{!?python_sitearch: %global python_sitearch %(%{__python} -c from 
distutils.sysconfig import get_python_lib; print get_python_lib(True))}
+
 %define modname distribute
 
 Name:   python-%{modname}
-Version:0.6.14
+Version:0.6.17
 Release:1
-License:PSF or ZPL
-Summary:Easily Download, Build, Install, Upgrade, and Uninstall Python 
Packages
 Url:http://packages.python.org/distribute/
+Summary:Easily Download, Build, Install, Upgrade, and Uninstall Python 
Packages
+License:PSF or ZPL
 Group:  Development/Libraries/Python
 Source: %{modname}-%{version}.tar.bz2
-BuildRequires:  python-devel
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-Obsoletes:  python-setuptools
-Provides:   python-setuptools
-%{py_requires}
-%if %{?suse_version: %{suse_version}  1110} %{!?suse_version:1}
+BuildRequires:  python-devel
+%if 0%{?suse_version}
+%py_requires
+%if 0%{?suse_version}  1110
 BuildArch:  noarch
-%else
-%{!?python_sitelib: %global python_sitelib %(%{__python} -c from 
distutils.sysconfig import get_python_lib; print get_python_lib())}
-%{!?python_sitearch: %global python_sitearch %(%{__python} -c from 
distutils.sysconfig import get_python_lib; print get_python_lib(True))}
 %endif
+%endif
+Obsoletes:  python-setuptools  %{version}
+Provides:   python-setuptools = %{version}
 
 %description
 Distribute is a fork of the Setuptools project.
@@ -44,10 +46,6 @@
 Distribute is intended to replace Setuptools as the standard method for working
 with Python module distributions.
 
-Author:
-
-The fellowship of the packaging distutils-...@python.org
-
 %prep
 %setup -q -n %{modname}-%{version}
 rm -f distribute.egg-info/*.orig

++ distribute-0.6.14.tar.bz2 - distribute-0.6.17.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/distribute-0.6.14/CHANGES.txt 
new/distribute-0.6.17/CHANGES.txt
--- old/distribute-0.6.14/CHANGES.txt   2010-07-15 02:03:02.0 +0200
+++ new/distribute-0.6.17/CHANGES.txt   2011-05-30 17:55:22.0 +0200
@@ -3,6 +3,37 @@
 ===
 
 --
+0.6.17
+--
+
+* Support 'DISTRIBUTE_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT' environment
+  variable to allow to disable installation of easy_install-${version} script.
+* Support Python =3.1.4 and =3.2.1.
+* Issue 204: Don't try to import the parent of a namespace package in
+  declare_namespace
+* Issue 196: Tolerate 

commit pitivi for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package pitivi for openSUSE:Factory
checked in at Tue May 31 16:41:22 CEST 2011.




--- GNOME/pitivi/pitivi.changes 2011-02-14 20:34:30.0 +0100
+++ /mounts/work_src_done/STABLE/pitivi/pitivi.changes  2011-05-27 
17:58:09.0 +0200
@@ -1,0 +2,24 @@
+Fri May 27 17:27:25 CEST 2011 - dims...@opensuse.org
+
+- Update to version 0.13.9.90:
+  + Audio and video effects
+  + Completely redesigned project settings dialog, with the ability
+to create presets
+  + Completely redesigned rendering dialog
+  + Welcome dialog that helps you start a project or load recent
+projects in two clicks
+  + Ability to preview video, audio and image files before
+importing
+  + Add a best fit zoom button
+  + Ability to jump to an exact position in the timeline
+  + Ability to specify custom aspect ratios and framerates
+  + Show a progress bar when loading projects
+  + 300% faster project timeline loading
+  + Search bar in the Media Library
+  + Ability to detach all the tabs and the previewer
+  + New manpage
+  + Commandline render mode
+  + Use the standard infobar widget all around
+  + Lots of bug fixing.
+
+---

calling whatdependson for head-i586


Old:

  pitivi-0.13.5.tar.bz2

New:

  pitivi-0.13.9.90.tar.bz2



Other differences:
--
++ pitivi.spec ++
--- /var/tmp/diff_new_pack.mUMmrB/_old  2011-05-31 16:41:06.0 +0200
+++ /var/tmp/diff_new_pack.mUMmrB/_new  2011-05-31 16:41:06.0 +0200
@@ -18,8 +18,8 @@
 
 
 Name:   pitivi
-Version:0.13.5
-Release:9
+Version:0.13.9.90
+Release:1
 License:LGPLv2.1+
 Summary:Intuitive and featureful movie editor
 Url:http://www.pitivi.org/
@@ -99,6 +99,7 @@
 %{_datadir}/icons/hicolor/*/apps/pitivi.svg
 %{_datadir}/mime/packages/pitivi.xml
 %{_datadir}/pitivi/
+%{_mandir}/man1/pitivi.1%{?ext_man}
 
 %files lang -f %{name}.lang
 

++ pitivi-0.13.5.tar.bz2 - pitivi-0.13.9.90.tar.bz2 ++
 82764 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-HTTP-Body for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package perl-HTTP-Body for openSUSE:Factory
checked in at Tue May 31 16:54:57 CEST 2011.




--- perl-HTTP-Body/perl-HTTP-Body.changes   2010-12-01 14:46:47.0 
+0100
+++ /mounts/work_src_done/STABLE/perl-HTTP-Body/perl-HTTP-Body.changes  
2011-05-11 19:41:52.0 +0200
@@ -1,0 +2,7 @@
+Wed May 11 17:36:51 UTC 2011 - db...@novell.com
+
+- Fixed the t/08 test
+- Added param_order capability
+- Patch for test failure
+
+---

calling whatdependson for head-i586


Old:

  HTTP-Body-1.09.tar.bz2

New:

  HTTP-Body-1.12.tar.bz2



Other differences:
--
++ perl-HTTP-Body.spec ++
--- /var/tmp/diff_new_pack.R78O5x/_old  2011-05-31 16:53:54.0 +0200
+++ /var/tmp/diff_new_pack.R78O5x/_new  2011-05-31 16:53:54.0 +0200
@@ -21,7 +21,7 @@
 Name:   perl-HTTP-Body
 %define cpan_name HTTP-Body
 Summary:HTTP Body Parser
-Version:1.09
+Version:1.12
 Release:1
 License:GPL+ or Artistic
 Group:  Development/Libraries/Perl
@@ -38,6 +38,8 @@
 BuildRequires:  perl(HTTP::Headers)
 BuildRequires:  perl(IO::File) = 1.14
 BuildRequires:  perl(Test::Deep)
+BuildRequires:  perl(Test::Pod)
+BuildRequires:  perl(Test::Pod::Coverage)
 Requires:   perl(Carp)
 Requires:   perl(File::Temp) = 0.14
 Requires:   perl(HTTP::Headers)

++ HTTP-Body-1.09.tar.bz2 - HTTP-Body-1.12.tar.bz2 ++
 2523 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-Gravatar-URL for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package perl-Gravatar-URL for 
openSUSE:Factory
checked in at Tue May 31 16:55:31 CEST 2011.




--- perl-Gravatar-URL/perl-Gravatar-URL.changes 2011-04-08 21:47:49.0 
+0200
+++ /mounts/work_src_done/STABLE/perl-Gravatar-URL/perl-Gravatar-URL.changes
2011-05-30 17:24:45.0 +0200
@@ -1,0 +2,5 @@
+Mon May 30 15:24:22 UTC 2011 - co...@novell.com
+
+- regenerate with newest cpanspec
+
+---

calling whatdependson for head-i586




Other differences:
--
++ perl-Gravatar-URL.spec ++
--- /var/tmp/diff_new_pack.NWQt9l/_old  2011-05-31 16:55:03.0 +0200
+++ /var/tmp/diff_new_pack.NWQt9l/_new  2011-05-31 16:55:03.0 +0200
@@ -19,30 +19,23 @@
 
 Name:   perl-Gravatar-URL
 Version:1.04
-Release:1
+Release:3
 License:GPL+ or Artistic
 %define cpan_name Gravatar-URL
 Summary:Make URLs for Gravatars from an email address
 Url:http://search.cpan.org/dist/Gravatar-URL/
 Group:  Development/Libraries/Perl
-#Source: 
http://www.cpan.org/authors/id/F/FM/FMARIER/Gravatar-URL-%{version}.tar.gz
-Source: %{cpan_name}-%{version}.tar.gz
+Source: 
http://www.cpan.org/authors/id/F/FM/FMARIER/%{cpan_name}-%{version}.tar.gz
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
-BuildRequires:  perl(Module::Build)
 BuildRequires:  perl-macros
-BuildRequires:  perl(Carp)
-BuildRequires:  perl(Digest::MD5)
 BuildRequires:  perl(Digest::SHA)
 BuildRequires:  perl(Module::Build)
 BuildRequires:  perl(Net::DNS::Resolver)
 BuildRequires:  perl(parent)
-BuildRequires:  perl(Test::More) = 0.4
 BuildRequires:  perl(Test::Warn) = 0.11
 BuildRequires:  perl(URI::Escape)
-Requires:   perl(Carp)
-Requires:   perl(Digest::MD5)
 Requires:   perl(Digest::SHA)
 Requires:   perl(Net::DNS::Resolver)
 Requires:   perl(parent)
@@ -62,6 +55,7 @@
 
 %prep
 %setup -q -n %{cpan_name}-%{version}
+find . -type f -print0 | xargs -0 chmod 644
 
 %build
 %{__perl} Build.PL installdirs=vendor
@@ -79,6 +73,6 @@
 
 %files -f %{name}.files
 %defattr(-,root,root,755)
-%doc %attr(644,-,-) Changes
+%doc Changes
 
 %changelog






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-Config-Auto for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package perl-Config-Auto for openSUSE:Factory
checked in at Tue May 31 17:01:30 CEST 2011.




--- perl-Config-Auto/perl-Config-Auto.changes   2011-04-04 10:31:03.0 
+0200
+++ /mounts/work_src_done/STABLE/perl-Config-Auto/perl-Config-Auto.changes  
2011-05-30 17:18:59.0 +0200
@@ -1,0 +2,5 @@
+Mon May 30 15:18:31 UTC 2011 - co...@novell.com
+
+- rengerate with cpanspec 1.78.04
+
+---

calling whatdependson for head-i586




Other differences:
--
++ perl-Config-Auto.spec ++
--- /var/tmp/diff_new_pack.wG2PpG/_old  2011-05-31 17:00:28.0 +0200
+++ /var/tmp/diff_new_pack.wG2PpG/_new  2011-05-31 17:00:28.0 +0200
@@ -19,32 +19,22 @@
 
 Name:   perl-Config-Auto
 Version:0.34
-Release:1
+Release:3
 License:GPL+ or Artistic
 %define cpan_name Config-Auto
 Summary:Magical config file parser
 Url:http://search.cpan.org/dist/Config-Auto/
 Group:  Development/Libraries/Perl
-#Source: 
http://www.cpan.org/authors/id/B/BI/BINGOS/Config-Auto-%{version}.tar.gz
-Source: %{cpan_name}-%{version}.tar.gz
+Source: 
http://www.cpan.org/authors/id/B/BI/BINGOS/%{cpan_name}-%{version}.tar.gz
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
 BuildRequires:  perl-macros
 BuildRequires:  perl(Config::IniFiles)
-BuildRequires:  perl(ExtUtils::MakeMaker)
-BuildRequires:  perl(File::Spec::Functions)
-BuildRequires:  perl(File::Temp)
 BuildRequires:  perl(IO::String)
-BuildRequires:  perl(Test::More)
-BuildRequires:  perl(Text::ParseWords)
 BuildRequires:  perl(YAML) = 0.67
 Requires:   perl(Config::IniFiles)
-Requires:   perl(File::Spec::Functions)
-Requires:   perl(File::Temp)
 Requires:   perl(IO::String)
-Requires:   perl(Test::More)
-Requires:   perl(Text::ParseWords)
 Requires:   perl(YAML) = 0.67
 %{perl_requires}
 
@@ -78,6 +68,6 @@
 
 %files -f %{name}.files
 %defattr(-,root,root,755)
-%doc %attr(644,-,-) Changes README
+%doc Changes README
 
 %changelog






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-Class-Method-Modifiers for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package perl-Class-Method-Modifiers for 
openSUSE:Factory
checked in at Tue May 31 17:08:46 CEST 2011.




--- perl-Class-Method-Modifiers/perl-Class-Method-Modifiers.changes 
2010-11-30 20:24:21.0 +0100
+++ 
/mounts/work_src_done/STABLE/perl-Class-Method-Modifiers/perl-Class-Method-Modifiers.changes
2011-05-11 16:58:26.0 +0200
@@ -1,0 +2,8 @@
+Wed May 11 14:54:44 UTC 2011 - db...@novell.com
+
+- 1.07Wed Feb 23 2011
+  Move from Test::Exception to Test::Fatal (Justin Hunter)
+- 1.06Fri Nov 26 2010
+  Add support for: modifier [name1, name2] = sub {}
+
+---

calling whatdependson for head-i586


Old:

  Class-Method-Modifiers-1.05.tar.bz2

New:

  Class-Method-Modifiers-1.07.tar.bz2



Other differences:
--
++ perl-Class-Method-Modifiers.spec ++
--- /var/tmp/diff_new_pack.GWraig/_old  2011-05-31 17:06:54.0 +0200
+++ /var/tmp/diff_new_pack.GWraig/_new  2011-05-31 17:06:54.0 +0200
@@ -21,7 +21,7 @@
 Name:   perl-Class-Method-Modifiers
 %define cpan_name Class-Method-Modifiers
 Summary:Provides Moose-like method modifiers
-Version:1.05
+Version:1.07
 Release:1
 License:GPL+ or Artistic
 Group:  Development/Libraries/Perl
@@ -33,7 +33,7 @@
 %{perl_requires}
 BuildRequires:  perl
 BuildRequires:  perl-macros
-BuildRequires:  perl(Test::Exception)
+BuildRequires:  perl(Test::Fatal)
 
 %description
 Method modifiers are a powerful feature from the CLOS (Common Lisp Object

++ Class-Method-Modifiers-1.05.tar.bz2 - 
Class-Method-Modifiers-1.07.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Class-Method-Modifiers-1.05/Changes 
new/Class-Method-Modifiers-1.07/Changes
--- old/Class-Method-Modifiers-1.05/Changes 2009-10-21 20:01:59.0 
+0200
+++ new/Class-Method-Modifiers-1.07/Changes 2011-02-24 05:54:25.0 
+0100
@@ -1,5 +1,11 @@
 Revision history for Class-Method-Modifiers
 
+1.07Wed Feb 23 2011
+Move from Test::Exception to Test::Fatal (Justin Hunter)
+
+1.06Fri Nov 26 2010
+Add support for: modifier [name1, name2] = sub {}
+
 1.05Wed Oct 21 14:01:11 2009
 Add install_modifier as a public API (Goro Fuji)
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Class-Method-Modifiers-1.05/MANIFEST 
new/Class-Method-Modifiers-1.07/MANIFEST
--- old/Class-Method-Modifiers-1.05/MANIFEST2009-10-21 20:04:35.0 
+0200
+++ new/Class-Method-Modifiers-1.07/MANIFEST2011-02-24 05:55:38.0 
+0100
@@ -36,4 +36,3 @@
 t/081-sub-and-modifier.t
 t/090-diamond.t
 t/100-class-mop-method-modifiers.t
-t/101-bank-account.t
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Class-Method-Modifiers-1.05/META.yml 
new/Class-Method-Modifiers-1.07/META.yml
--- old/Class-Method-Modifiers-1.05/META.yml2009-10-21 20:04:26.0 
+0200
+++ new/Class-Method-Modifiers-1.07/META.yml2011-02-24 05:55:20.0 
+0100
@@ -4,11 +4,11 @@
   - 'Shawn M Moore, Csar...@gmail.com'
 build_requires:
   ExtUtils::MakeMaker: 6.42
-  Test::Exception: 0
+  Test::Fatal: 0
 configure_requires:
   ExtUtils::MakeMaker: 6.42
 distribution_type: module
-generated_by: 'Module::Install version 0.91'
+generated_by: 'Module::Install version 1.00'
 license: perl
 meta-spec:
   url: http://module-build.sourceforge.net/META-spec-v1.4.html
@@ -22,4 +22,4 @@
   homepage: http://github.com/sartak/Class-Method-Modifiers/tree
   license: http://dev.perl.org/licenses/
   repository: git://github.com/sartak/Class-Method-Modifiers.git
-version: 1.05
+version: 1.07
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Class-Method-Modifiers-1.05/Makefile.PL 
new/Class-Method-Modifiers-1.07/Makefile.PL
--- old/Class-Method-Modifiers-1.05/Makefile.PL 2009-06-14 20:38:39.0 
+0200
+++ new/Class-Method-Modifiers-1.07/Makefile.PL 2011-02-24 05:50:59.0 
+0100
@@ -6,7 +6,7 @@
 all_from   'lib/Class/Method/Modifiers.pm';
 githubmeta;
 
-build_requires 'Test::Exception';
+build_requires 'Test::Fatal';
 
 WriteAll;
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/Class-Method-Modifiers-1.05/inc/Module/Install/Base.pm 
new/Class-Method-Modifiers-1.07/inc/Module/Install/Base.pm
--- old/Class-Method-Modifiers-1.05/inc/Module/Install/Base.pm  2009-10-21 
20:04:24.0 +0200
+++ new/Class-Method-Modifiers-1.07/inc/Module/Install/Base.pm  2011-02-24 
05:55:20.0 +0100
@@ -4,7 +4,7 @@
 use strict 'vars';
 use vars qw{$VERSION};
 BEGIN {
-   $VERSION = '0.91';
+   $VERSION = '1.00';
 }
 
 # Suspend handler for 

commit perl-B-Utils for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package perl-B-Utils for openSUSE:Factory
checked in at Tue May 31 17:10:18 CEST 2011.




--- perl-B-Utils/perl-B-Utils.changes   2011-04-04 19:16:06.0 +0200
+++ /mounts/work_src_done/STABLE/perl-B-Utils/perl-B-Utils.changes  
2011-05-30 17:20:34.0 +0200
@@ -1,0 +2,7 @@
+Mon May 30 15:19:57 UTC 2011 - co...@novell.com
+
+- updated to 0.15
+  - Try harder to add ExtUtils::Depends to META.yml's 
+ configure_requires
+
+---

calling whatdependson for head-i586


Old:

  B-Utils-0.14.tar.gz

New:

  B-Utils-0.15.tar.gz



Other differences:
--
++ perl-B-Utils.spec ++
--- /var/tmp/diff_new_pack.ZMqVPl/_old  2011-05-31 17:09:31.0 +0200
+++ /var/tmp/diff_new_pack.ZMqVPl/_new  2011-05-31 17:09:31.0 +0200
@@ -18,38 +18,25 @@
 
 
 Name:   perl-B-Utils
-Version:0.14
+Version:0.15
 Release:1
 License:GPL+ or Artistic
 %define cpan_name B-Utils
 Summary:Helper functions for op tree manipulation
 Url:http://search.cpan.org/dist/B-Utils/
 Group:  Development/Libraries/Perl
-#Source: 
http://www.cpan.org/authors/id/J/JJ/JJORE/B-Utils-%{version}.tar.gz
-Source: %{cpan_name}-%{version}.tar.gz
+Source: 
http://www.cpan.org/authors/id/J/JJ/JJORE/%{cpan_name}-%{version}.tar.gz
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
 BuildRequires:  perl-macros
-BuildRequires:  perl(B)
-BuildRequires:  perl(Carp)
-BuildRequires:  perl(DynaLoader)
-BuildRequires:  perl(Exporter)
-BuildRequires:  perl(List::Util)
-BuildRequires:  perl(Scalar::Util)
-BuildRequires:  perl(ExtUtils::Depends)
-BuildRequires:  perl(vars)
-Requires:   perl(B)
-Requires:   perl(Carp)
-Requires:   perl(DynaLoader)
-Requires:   perl(Exporter)
-Requires:   perl(List::Util)
-Requires:   perl(Scalar::Util)
-Requires:   perl(ExtUtils::Depends)
-Requires:   perl(vars)
+BuildRequires:  perl(ExtUtils::CBuilder)
+BuildRequires:  perl(ExtUtils::Depends) = 0.301
+BuildRequires:  perl(Task::Weaken)
+Requires:   perl(Task::Weaken)
 %{perl_requires}
 
 %description
-sorry, no description found
+Helper functions for op tree manipulation
 
 %prep
 %setup -q -n %{cpan_name}-%{version}
@@ -70,7 +57,7 @@
 %{__rm} -rf %{buildroot}
 
 %files -f %{name}.files
-%defattr(644,root,root,755)
+%defattr(-,root,root,755)
 %doc build Changes LICENSE README weaver.ini xt
 
 %changelog

++ B-Utils-0.14.tar.gz - B-Utils-0.15.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/B-Utils-0.14/Changes new/B-Utils-0.15/Changes
--- old/B-Utils-0.14/Changes2011-03-19 07:26:39.0 +0100
+++ new/B-Utils-0.15/Changes2011-04-19 04:26:15.0 +0200
@@ -1,5 +1,8 @@
 Revision history for Perl extension B::Utils.
 
+0.15 Mon Apr 18 2011
+   - Try harder to add ExtUtils::Depends to META.yml's configure_requires
+
 0.14 Sat Mar 18 2011
- Predeclare carp and croak with proper signature
- Add ExtUtils::Depends to META.yml's configure_requires
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/B-Utils-0.14/META.yml new/B-Utils-0.15/META.yml
--- old/B-Utils-0.14/META.yml   2011-03-19 07:26:40.0 +0100
+++ new/B-Utils-0.15/META.yml   2011-04-19 04:26:16.0 +0200
@@ -3,7 +3,11 @@
 author:
   - 'Josh Jore jj...@cpan.org'
 build_requires:
+  ExtUtils::CBuilder: 0
   Test::More: 0
+configure_requires:
+  ExtUtils::CBuilder: 0
+  ExtUtils::Depends: 0.301
 dynamic_config: 0
 generated_by: 'Dist::Zilla version 4.20, CPAN::Meta::Converter version 
2.102400'
 license: perl
@@ -12,17 +16,12 @@
   version: 1.4
 name: B-Utils
 requires:
-  B: 0
-  Carp: 0
-  DynaLoader: 0
   Exporter: 0
-  List::Util: 0
   Scalar::Util: 0
-  perl: 5.006
-  subs: 0
-  vars: 0
+  Task::Weaken: 0
+  perl: 5.6.0
 resources:
   bugtracker: https://rt.cpan.org/Public/Dist/Display.html?Name=B-Utils
   homepage: http://search.cpan.org/dist/B-Utils
   repository: git://github.com/jbenjore/b-utils.git
-version: 0.14
+version: 0.15
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/B-Utils-0.14/README new/B-Utils-0.15/README
--- old/B-Utils-0.14/README 2011-03-19 07:26:40.0 +0100
+++ new/B-Utils-0.15/README 2011-04-19 04:26:16.0 +0200
@@ -1,7 +1,7 @@
 
 
 This archive contains the distribution B-Utils,
-version 0.14:
+version 0.15:
 
   Helper functions for op tree manipulation
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/B-Utils-0.14/dist.ini new/B-Utils-0.15/dist.ini
--- old/B-Utils-0.14/dist.ini   2011-03-19 07:26:39.0 +0100
+++ new/B-Utils-0.15/dist.ini   

commit nagios-nrpe for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package nagios-nrpe for openSUSE:Factory
checked in at Tue May 31 17:17:04 CEST 2011.




--- nagios-nrpe/nagios-nrpe.changes 2011-02-10 01:03:54.0 +0100
+++ /mounts/work_src_done/STABLE/nagios-nrpe/nagios-nrpe.changes
2011-05-30 17:38:06.0 +0200
@@ -1,0 +2,5 @@
+Mon May 30 14:43:59 UTC 2011 - lr...@suse.de
+
+- specfile cleanup using spec-cleaner (add comments to patches)
+
+---

calling whatdependson for head-i586




Other differences:
--
++ nagios-nrpe.spec ++
--- /var/tmp/diff_new_pack.Kk4W0o/_old  2011-05-31 17:12:41.0 +0200
+++ /var/tmp/diff_new_pack.Kk4W0o/_new  2011-05-31 17:12:41.0 +0200
@@ -15,7 +15,6 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
 
 #   default
 %define nagios3only 0
@@ -27,38 +26,56 @@
 %define _libexecdir %{_prefix}/lib/nagios/plugins
 
 Name:   nagios-nrpe
-Summary:Nagios Remote Plug-In Executor
 Version:2.12
-Release:18
+Release:25
 License:GPLv2+
-Group:  System/Monitoring
+Summary:Nagios Remote Plug-In Executor
 Url:http://www.nagios.org/
-Source0:nrpe-%version.tar.bz2
+Group:  System/Monitoring
+Source0:nrpe-%{version}.tar.bz2
 Source1:nrpe.init
 Source2:nagios-nrpe-rpmlintrc
 Source3:nagios-nrpe-SuSEfirewall2
 Source4:nrpe.8
 Source10:   README.SuSE
+# PATCH-FIX-openSUSE change the installation order
 Patch0: nrpe-2.12-Makefile.patch
+# PATCH-FIX-openSUSE place the service disabled in the directory
 Patch1: nrpe-2.12-xinetd.patch
+# PATCH-FIX-openSUSE adapts NRPE to support the standard buffersize of Nagios 
3.x
 Patch2: nagios-nrpe-buffersize.patch
+# PATCH-FIX-UPSTREAM produce more randomness and do not reduce entropy on 
Linux kernels
 Patch3: nrpe-more_random.patch
+# PATCH-FIX-UPSTREAM improve help output of nrpe and check_nrpe
 Patch4: nrpe-improved_help.patch
+# PATCH-FIX-UPSTREAM null buffer before using it
 Patch5: nrpe-weird_output.patch
+# PATCH-FIX-UPSTREAM drop privileges before writing the pidfile for more safety
 Patch6: nrpe-drop_privileges_before_writing_pidfile.patch
+# PATCH-FIX-UPSTREAM compiler complains about this unused variable
 Patch7: nrpe-unused_variable.patch
+# PATCH-FIX-UPSTREAM fix compiler warnings
 Patch8: nrpe-return_value.patch
+# PATCH-FIX-UPSTREAM fix compiler warnings
 Patch9: nrpe-uninitialized_variable.patch
+# PATCH-FIX-openSUSE fix pathnames for nrpe_check_control command
 Patch10:nrpe_check_control.diff
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-PreReq: %insserv_prereq %fillup_prereq
-PreReq: coreutils grep pwdutils sed netcfg
+PreReq: %fillup_prereq
+PreReq: %insserv_prereq
 PreReq: /bin/logger
+PreReq: coreutils
+PreReq: grep
+PreReq: netcfg
+PreReq: pwdutils
+PreReq: sed
+BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %if 0%{?suse_version}  1130
-PreReq: sysvinit(network) sysvinit(syslog)
+PreReq: sysvinit(network)
+PreReq: sysvinit(syslog)
 %endif
 #
-BuildRequires:  nagios-plugins tcpd-devel
+BuildRequires:  nagios-plugins
+BuildRequires:  tcpd-devel
 #
 %if 0%{?suse_version}  1000
 BuildRequires:  krb5-devel
@@ -67,7 +84,8 @@
 %endif
 #
 %if 0%{?suse_version}  1020
-BuildRequires:  libopenssl-devel openssl
+BuildRequires:  libopenssl-devel
+BuildRequires:  openssl
 %else
 BuildRequires:  openssl-devel
 %endif
@@ -89,12 +107,6 @@
 This package contains the software for NRPE server.
 It could be run by inet-daemon or as stand-alone daemon
 
-
-
-Authors:
-
-Ethan Galstad nag...@nagios.org
-
 %package doc
 License:GPLv2+
 Summary:Nagios Remote Plug-In Executor documentation
@@ -104,12 +116,6 @@
 This package contains the README files, OpenOffice and PDF
 documentation for the remote plugin executor (NRPE) for nagios.
 
-
-
-Authors:
-
-Ethan Galstad nag...@nagios.org
-
 %package -n nagios-plugins-nrpe
 License:GPLv2+
 Summary:Nagios NRPE plugin 
@@ -131,14 +137,8 @@
 The plugin then uses the output and return code from the plugin
 execution on the remote host for its own output and return code.
 
-
-
-Authors:
-
-Ethan Galstad nag...@nagios.org
-
 %prep
-%setup -n nrpe-%version
+%setup -n nrpe-%{version}
 %patch0 -p1
 %patch1 -p1
 %if %{nagios3only}
@@ -152,20 +152,20 @@
 %patch8 -p0
 %patch9 -p0
 %patch10 -p0
-%{__cp} -a %{S:10} .
+cp -a %{SOURCE10} .
 
 %build
-%configure CFLAGS=$RPM_OPT_FLAGS -fno-strict-aliasing -D_GNU_SOURCE \
-   --sbindir=%_prefix/lib/nagios/cgi \
-   

commit mx for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package mx for openSUSE:Factory
checked in at Tue May 31 17:17:33 CEST 2011.




--- mx/mx.changes   2011-04-28 08:42:21.0 +0200
+++ /mounts/work_src_done/STABLE/mx/mx.changes  2011-05-26 21:59:26.0 
+0200
@@ -1,0 +2,17 @@
+Wed May 18 07:50:24 CEST 2011 - dims...@opensuse.org
+
+- Update to version 1.1.12:
+  + Apply the paint opacity to both textures correctly in MxImage
+  + Draw rectangles around actors when using the layout debug flag
+  + MxBin:
+- don't request space for the child when it is not visible
+- hide the label when it is empty or no text has been set
+  + Don't animate MxToggle if it is not mapped
+  + Remove the hover state from MxToggle if the pointer left during
+a drag
+  + Add a function to MxImage to animate changing the scale mode
+  + Update documentation
+  + Bugs fixed: bco#2470, bco#2609, bco#2613, bco#2618, bco#2635,
+bco#2636, bco#2641, bco#2642.
+
+---

calling whatdependson for head-i586


Old:

  mx-1.1.11.tar.bz2

New:

  mx-1.1.12.tar.bz2



Other differences:
--
++ mx.spec ++
--- /var/tmp/diff_new_pack.jNCcwR/_old  2011-05-31 17:17:14.0 +0200
+++ /var/tmp/diff_new_pack.jNCcwR/_new  2011-05-31 17:17:14.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   mx
-Version:1.1.11
+Version:1.1.12
 Release:1
 License:LGPLv2.1
 Summary:Clutter-based Toolkit

++ mx-1.1.11.tar.bz2 - mx-1.1.12.tar.bz2 ++
 69960 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit lyx for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package lyx for openSUSE:Factory
checked in at Tue May 31 17:18:36 CEST 2011.




--- lyx/lyx.changes 2011-04-22 10:25:54.0 +0200
+++ /mounts/work_src_done/STABLE/lyx/lyx.changes2011-05-05 
21:11:57.0 +0200
@@ -1,0 +2,26 @@
+Thu May  5 19:12:11 UTC 2011 - corne...@solcon.nl
+
+- Name URL as source and do not recompress to bz2
+
+---
+Tue May  3 11:07:08 UTC 2011 - corne...@solcon.nl
+
+- Update to 2.0.0:
+  * Advanced Search Facility
+  * Spell-checking on the Fly
+  * Compare Documents Feature
+  * XHTML Output
+  * Multilingual Thesaurus
+  * XeTeX Backend
+  * Multiple Indices Support
+  * Progress View and Debugging Pane
+  * Enhanced Instant Preview
+  * Forward Search for DVI/PDF Files
+  * Enhanced Version Control Features
+  * for detauls see http://wiki.lyx.org/LyX/NewInLyX20
+- Removed ispell-devel from BuildRequires: no longer supported
+- Added hunspell-devel
+- Added texlive-xetex als Recommends since it is now supported by LyX
+- Added lyx.dist with distro defaults to get hunspell, thesaurus and lyxpipe 
working out of the box
+
+---

calling whatdependson for head-i586


Old:

  gcc46.patch
  lyx-1.6.9.tar.bz2
  minmem

New:

  lyx-2.0.0.tar.gz
  lyxrc.dist



Other differences:
--
++ lyx.spec ++
--- /var/tmp/diff_new_pack.2LUHor/_old  2011-05-31 17:17:40.0 +0200
+++ /var/tmp/diff_new_pack.2LUHor/_new  2011-05-31 17:17:40.0 +0200
@@ -20,29 +20,22 @@
 
 Name:   lyx
 #!BuildIgnore: lyx
-BuildRequires:  ImageMagick aspell-devel boost-devel fdupes gv ispell 
libdrm-devel libjpeg-devel libqt4-devel python sgmltool update-desktop-files
-%if %suse_version  1020
-BuildRequires:  texlive-devel texlive-latex
-%else
-BuildRequires:  te_latex tetex
-%endif
+BuildRequires:  ImageMagick aspell-devel boost-devel fdupes gv hunspell-devel 
libdrm-devel libjpeg-devel libqt4-devel python sgmltool texlive-devel 
texlive-latex update-desktop-files
 License:LGPLv2.1+
 Group:  Productivity/Publishing/TeX/Frontends
 Requires:   texlive-latex ImageMagick
 AutoReqProv:on
-Version:1.6.9
-Release:6
-%define rversion 1.6.9
+Version:2.0.0
+Release:1
 Summary:LaTeX-Based WYSIWYG Editor
 Url:http://www.lyx.org/
-Source: lyx-%{rversion}.tar.bz2
+Source: ftp://ftp.lyx.org/pub/lyx/stable/2.0.x/lyx-2.0.0.tar.gz
 Source1:lyx.desktop
 Source2:lyx.png
-# PATCH-FIX-UPSTREAM gcc46.patch -- Add missing include to fix compilation 
with gcc 4.6
-Patch:  gcc46.patch
+Source3:lyxrc.dist
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
-Recommends: xindy
+Recommends: texlive-xetex xindy
 
 %description
 LyX is a front-end for LaTeX under X11. It combines the comfortable use
@@ -52,8 +45,7 @@
 each paragraph. Of course, low level formatting is still possible.
 
 %prep
-%setup -q -n %{name}-%{rversion}
-%patch
+%setup -q -n %{name}-%{version}
 
 %build
 #%{?suse_update_config:%{suse_update_config -f config}}
@@ -73,7 +65,7 @@
 %if %suse_version  1020
 --with-extra-inc=/usr/X11R6/include/X11 \
 %endif
---with-aspell \
+--with-aspell --with-hunspell \
 --with-frontend=qt4 
 make %{?jobs:-j%jobs}
 
@@ -86,6 +78,10 @@
 %endif
 %endif
 make install DESTDIR=$RPM_BUILD_ROOT TEXMF=$TEXMF
+
+# some defaults
+install -p -m644 -D %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/lyx/lyxrc.dist
+
 mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
 pushd $RPM_BUILD_ROOT%{_datadir}/lyx/doc/
 for i in *


++ lyxrc.dist ++
### This file is part of
### 
###  LyX, The Document Processor
###
###  Copyright 1995 Matthias Ettrich
###  Copyright 1995-2011 The LyX Team.
###
### 

# The file lyxrc.dist gives initial global options for all LyX users.
# Almost all settings here can be overridden through the preferences in LyX.

# Some default settings for things stuff that otherwise would not work out of 
the box

#
# MISC SECTION ##
#

\serverpipe ~/.lyx/lyxpipe

#
# FILE SECTION ##
#

\thesaurusdir_path /usr/share/mythes
\hunspelldir_path /usr/share/myspell





Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libsocialweb for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package libsocialweb for openSUSE:Factory
checked in at Tue May 31 17:21:37 CEST 2011.




--- libsocialweb/libsocialweb.changes   2011-04-28 23:09:18.0 +0200
+++ /mounts/work_src_done/STABLE/libsocialweb/libsocialweb.changes  
2011-05-27 19:09:53.0 +0200
@@ -1,0 +2,16 @@
+Fri May 27 19:09:15 CEST 2011 - vu...@opensuse.org
+
+- Build vala bindings: add vala BuildRequires and pass
+  --enable-vala-bindings to configure.
+
+---
+Wed May 18 03:32:52 CEST 2011 - dims...@opensuse.org
+
+- Update to version 0.25.17:
+  + facebook/lastfm: Use larger avatar picture.
+  + myspace: Fix potential corruption bug.
+  + youtube: Correct capitalization of YouTube Name.
+  + Code cleanups and build fixes.
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  libsocialweb-0.25.16.tar.bz2

New:

  libsocialweb-0.25.17.tar.bz2



Other differences:
--
++ libsocialweb.spec ++
--- /var/tmp/diff_new_pack.f7ve0W/_old  2011-05-31 17:21:18.0 +0200
+++ /var/tmp/diff_new_pack.f7ve0W/_new  2011-05-31 17:21:18.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   libsocialweb
-Version:0.25.16
+Version:0.25.17
 Release:1
 License:LGPLv2.1
 Summary:A personal social data server
@@ -29,6 +29,7 @@
 BuildRequires:  gobject-introspection-devel
 BuildRequires:  intltool
 BuildRequires:  libxslt
+BuildRequires:  vala
 BuildRequires:  pkgconfig(dbus-glib-1)
 BuildRequires:  pkgconfig(gconf-2.0)
 BuildRequires:  pkgconfig(glib-2.0)
@@ -87,7 +88,8 @@
 %configure --disable-static \
 --with-gnome \
 --with-online=networkmanager \
---enable-all-services
+--enable-all-services \
+--enable-vala-bindings
 make %{?jobs:-j %jobs} V=1
 
 %install
@@ -166,6 +168,10 @@
 %{_libdir}/pkgconfig/libsocialweb-keystore.pc
 %{_libdir}/pkgconfig/libsocialweb-module.pc
 %{_datadir}/gir-1.0/SocialWebClient-0.25.gir
+%dir %{_datadir}/vala
+%dir %{_datadir}/vala/vapi
+%{_datadir}/vala/vapi/*.deps
+%{_datadir}/vala/vapi/*.vapi
 %doc %{_datadir}/gtk-doc/html/libsocialweb/
 %doc %{_datadir}/gtk-doc/html/libsocialweb-dbus/
 %doc %{_datadir}/gtk-doc/html/libsocialweb-client/

++ libsocialweb-0.25.16.tar.bz2 - libsocialweb-0.25.17.tar.bz2 ++
 2322 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libhugetlbfs for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package libhugetlbfs for openSUSE:Factory
checked in at Tue May 31 17:23:20 CEST 2011.




--- libhugetlbfs/libhugetlbfs.changes   2010-12-17 12:47:56.0 +0100
+++ /mounts/work_src_done/STABLE/libhugetlbfs/libhugetlbfs.changes  
2011-05-29 23:43:39.0 +0200
@@ -1,0 +2,5 @@
+Sun May 29 21:42:52 UTC 2011 - meiss...@novell.com
+
+- Do not include the 268MB testcase 
/usr/lib/libhugetlbfs/tests/obj32/linkhuge_rw.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ libhugetlbfs.spec ++
--- /var/tmp/diff_new_pack.C3V2oY/_old  2011-05-31 17:22:44.0 +0200
+++ /var/tmp/diff_new_pack.C3V2oY/_new  2011-05-31 17:22:44.0 +0200
@@ -29,7 +29,7 @@
 %endif
 #
 Version:2.11
-Release:1
+Release:3
 Url:http://libhugetlbfs.sourceforge.net/
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %define my_make_flags V=1 CFLAGS=$RPM_OPT_FLAGS -fPIC BUILDTYPE=NATIVEONLY 
PREFIX=/usr LIBDIR32=%{_libdir} DESTDIR=$RPM_BUILD_ROOT
@@ -80,6 +80,8 @@
 for file in $RPM_BUILD_ROOT/%_libdir/libhugetlbfs/tests/*/*; do
   strip $file || :
 done
+# Do not pack in a 268MB file..
+rm $RPM_BUILD_ROOT/%_libdir/libhugetlbfs/tests/obj32/linkhuge_rw || :
 
 %clean
 rm -rf $RPM_BUILD_ROOT






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit installation-images for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package installation-images for 
openSUSE:Factory
checked in at Tue May 31 17:26:33 CEST 2011.




--- installation-images/installation-images.changes 2011-05-30 
11:05:54.0 +0200
+++ 
/mounts/work_src_done/STABLE/installation-images/installation-images.changes
2011-05-30 14:15:40.0 +0200
@@ -1,0 +2,5 @@
+Mon May 30 13:26:19 CEST 2011 - snw...@suse.de
+
+- fix lib dependencies
+
+---

calling whatdependson for head-i586


Old:

  installation-images-12.80.tar.bz2
  needed_space_in_mb
  new.patch

New:

  installation-images-12.81.tar.bz2



Other differences:
--
++ installation-images.spec ++
--- /var/tmp/diff_new_pack.TSt08o/_old  2011-05-31 17:25:26.0 +0200
+++ /var/tmp/diff_new_pack.TSt08o/_new  2011-05-31 17:25:26.0 +0200
@@ -106,10 +106,9 @@
 Obsoletes:  y2image
 AutoReqProv:off
 Summary:Installation Image Files
-Version:12.80
-Release:5
-Source: installation-images-12.80.tar.bz2
-Patch0: new.patch
+Version:12.81
+Release:1
+Source: installation-images-12.81.tar.bz2
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %define _binary_payload w.ufdio
 
@@ -179,7 +178,6 @@
 
 %prep
 %setup
-%patch0 -p1
 rm -f /usr/lib/build/checks/04-check-filelist
 
 %build

++ installation-images-12.80.tar.bz2 - installation-images-12.81.tar.bz2 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/installation-images-12.80/VERSION 
new/installation-images-12.81/VERSION
--- old/installation-images-12.80/VERSION   2011-03-25 12:01:39.0 
+0100
+++ new/installation-images-12.81/VERSION   2011-05-30 13:26:13.0 
+0200
@@ -1 +1 @@
-12.80
+12.81
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/installation-images-12.80/changelog 
new/installation-images-12.81/changelog
--- old/installation-images-12.80/changelog 2011-03-25 12:01:50.0 
+0100
+++ new/installation-images-12.81/changelog 2011-05-30 13:26:16.0 
+0200
@@ -1,4 +1,8 @@
-2011-03-25:HEAD
+2011-05-30:HEAD
+   - fix build with kernel 2.6.39  and lib dependencies
+   - fixtypo
+
+2011-03-25:12.80
- adjust module config
 
 2011-03-24:12.79
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/installation-images-12.80/data/initrd/initrd.file_list 
new/installation-images-12.81/data/initrd/initrd.file_list
--- old/installation-images-12.80/data/initrd/initrd.file_list  2011-02-21 
15:47:04.0 +0100
+++ new/installation-images-12.81/data/initrd/initrd.file_list  2011-05-30 
13:25:50.0 +0200
@@ -194,30 +194,29 @@
   /lib*/libssl.so.*
 
 curl:
-  /usr/bin/curl
+  /
 
-libcurl4:
-  /usr/lib*/libcurl.so.*
+libcurl*:
+  /
 
-libssh2-1:
+libssh2-*:
   /
 
 libcares2:
-  /usr/lib*/libcares.so.*
+  /
 
 libidn:
-  /usr/lib*/libidn.so.*
+  /usr/lib*
 
-libldap-2_4-2:
+libldap-*-*:
   /usr/lib*/liblber-*.so.*
   /usr/lib*/libldap-*.so.*
 
 cyrus-sasl:
   /usr/lib*/libsasl2.so.*
 
-libcom_err2:
-  /lib*/libcom_err.so.*
-  /lib*/libss.so.*
+libcom_err*:
+  /
 
 krb5:
   /etc
@@ -227,10 +226,10 @@
   /usr/lib*/libk5crypto.so.*
 
 keyutils-libs:
-  /lib*/libkeyutils{.,-}*
+  /
 
 zlib:
-  /lib*/libz.so.1*
+  /
 
 coreutils:
   /bin/rm
@@ -336,28 +335,23 @@
 m /usr/lib/rpm/gnupg/suse-build-key.gpg /installkey.gpg
 endif
 
-libblkid1:
-  /lib*
+libblkid*:
+  /
 
-libuuid1:
-  /lib*
+libuuid*:
+  /
 
 libacl:
-  /lib*
+  /
 
 libattr:
-  /lib*
+  /
 
 libglib-*-*:
   /
 
-libudev0:
-  /lib*
-
-sysconfig:
-  # for ipw3945d
-  /etc/udev/rules.d/*-network.rules 
-  e perl -ni -e print if /^SUBSYSTEM.*ipw3945/ 
etc/udev/rules.d/*-network.rules
+libudev*:
+  /
 
 ntfs-3g:
   /sbin
@@ -416,15 +410,15 @@
 s y2base /etc/sbl/profile/default
 endif
 
-libgcc45:
-  /lib*
+libgcc*:
+  /
 
 gzip:
   /bin/gzip
   /bin/gunzip
 
-libpcre0:
-  /lib*
+libpcre*:
+  /
 
 unscd:
   # remaining files are in root image
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/installation-images-12.80/data/rescue/rescue.file_list 
new/installation-images-12.81/data/rescue/rescue.file_list
--- old/installation-images-12.80/data/rescue/rescue.file_list  2011-03-25 
11:02:27.0 +0100
+++ new/installation-images-12.81/data/rescue/rescue.file_list  2011-05-30 
13:25:50.0 +0200
@@ -133,7 +133,7 @@
 libacl:
   /lib*
 
-libpopt0:
+libpopt*:
   /lib*
 
 unscd:
@@ -143,8 +143,8 @@
 tcpd:
   /lib*/libwrap.so*
 
-libgcc45:
-  /lib*
+libgcc*:
+  /
 
 glibc:
   /etc/ld.so.conf
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 

commit gutenprint for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package gutenprint for openSUSE:Factory
checked in at Tue May 31 17:26:53 CEST 2011.




--- gutenprint/gutenprint.changes   2011-05-17 16:01:55.0 +0200
+++ /mounts/work_src_done/STABLE/gutenprint/gutenprint.changes  2011-05-27 
16:27:59.0 +0200
@@ -1,0 +2,6 @@
+Fri May 27 16:27:18 CEST 2011 - vu...@opensuse.org
+
+- Add python-cups BuildRequires to have postscriptdriver() Provides
+  for the drivers in gutenprint.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ gutenprint.spec ++
--- /var/tmp/diff_new_pack.53lA0C/_old  2011-05-31 17:26:42.0 +0200
+++ /var/tmp/diff_new_pack.53lA0C/_new  2011-05-31 17:26:42.0 +0200
@@ -21,12 +21,12 @@
 Name:   gutenprint
 Url:http://gutenprint.sourceforge.net
 Version:5.2.7
-Release:1
+Release:10
 %define gutenprintmajor 5.2
 BuildRequires:  cairo-devel cups-ddk cups-devel
 BuildRequires:  gimp-devel glib2-devel gtk2-devel
 BuildRequires:  libpng-devel libtiff-devel
-BuildRequires:  pango-devel
+BuildRequires:  pango-devel python-cups
 License:GPLv2+
 Group:  Hardware/Printing
 Summary:Printer drivers for CUPS from the Gutenprint project






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gpick for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package gpick for openSUSE:Factory
checked in at Tue May 31 17:27:44 CEST 2011.




--- gpick/gpick.changes 2011-05-16 21:38:10.0 +0200
+++ /mounts/work_src_done/STABLE/gpick/gpick.changes2011-05-28 
00:26:33.0 +0200
@@ -1,0 +2,8 @@
+Sat May 28 00:25:35 CEST 2011 - vu...@opensuse.org
+
+- Correctly use %suse_update_desktop_file by not re-installing
+  .desktop file, and not replacing categories while we just need to
+  add one category.
+- Minor improvement to description.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ gpick.spec ++
--- /var/tmp/diff_new_pack.QiUfTh/_old  2011-05-31 17:27:03.0 +0200
+++ /var/tmp/diff_new_pack.QiUfTh/_new  2011-05-31 17:27:03.0 +0200
@@ -19,7 +19,7 @@
 
 Name:   gpick
 Version:0.2.4
-Release:1
+Release:4
 License:BSD-3 ; Expat License ; LUA License ; Others (BSD like)
 Summary:Advanced color picker writen in GTK+
 Url:http://code.google.com/p/gpick/
@@ -34,17 +34,17 @@
 BuildRequires:  hicolor-icon-theme
 BuildRequires:  scons
 BuildRequires:  pkgconfig
-BuildRequires:  pkgconfig(dbus-glib-1)
-BuildRequires:  pkgconfig(gtk+-2.0)
-BuildRequires:  pkgconfig(lua) = 5.1
 %if 0%{?suse_version}
 BuildRequires:  update-desktop-files
 %endif
+BuildRequires:  pkgconfig(dbus-glib-1)
+BuildRequires:  pkgconfig(gtk+-2.0)
+BuildRequires:  pkgconfig(lua) = 5.1
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
-Gpick is a featured color picker with palette creation and modification tools.
-It is written in C++ and uses GTK+ toolkit for user interface.
+Gpick is a featured color picker with palette creation and modification
+tools. It is written in C++ and uses GTK+ toolkit for user interface.
 
 %prep
 %setup -q -n %{name}_%{version}
@@ -55,7 +55,7 @@
 %install
 scons install DESTDIR=%{buildroot}%{_prefix}
 %if 0%{?suse_version}
-%suse_update_desktop_file -i -r %{name} GNOME Graphics Viewer
+%suse_update_desktop_file %{name} Viewer
 %endif
 # Install copyright file. This file was given to me by the author/upstream.
 cp %{SOURCE1} COPYRIGHT






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-tweak-tool for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package gnome-tweak-tool for openSUSE:Factory
checked in at Tue May 31 17:28:30 CEST 2011.




--- GNOME/gnome-tweak-tool/gnome-tweak-tool.changes 2011-04-28 
13:16:46.0 +0200
+++ /mounts/work_src_done/STABLE/gnome-tweak-tool/gnome-tweak-tool.changes  
2011-05-26 22:42:11.0 +0200
@@ -1,0 +2,11 @@
+Sun May 22 13:36:07 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.0.4:
+  + bgo#648751: Support system wide themes
+  + bgo#649687: Fix duplicate themes
+  + A theming specification for shell themes has been developed and
+agreed upon by a number of theme authors. If installing a theme
+matching this specification, show the appropriate name.
+  + Support management of Shell extensions (in home directory)
+
+---

calling whatdependson for head-i586


Old:

  gnome-tweak-tool-3.0.3.tar.bz2

New:

  gnome-tweak-tool-3.0.4.tar.bz2



Other differences:
--
++ gnome-tweak-tool.spec ++
--- /var/tmp/diff_new_pack.CCFM5T/_old  2011-05-31 17:27:51.0 +0200
+++ /var/tmp/diff_new_pack.CCFM5T/_new  2011-05-31 17:27:51.0 +0200
@@ -19,7 +19,7 @@
 
 
 Name:   gnome-tweak-tool
-Version:3.0.3
+Version:3.0.4
 Release:1
 License:GPLv3+
 Summary:A tool to customize advanced GNOME 3 options

++ gnome-tweak-tool-3.0.3.tar.bz2 - gnome-tweak-tool-3.0.4.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/gnome-tweak-tool-3.0.3/NEWS 
new/gnome-tweak-tool-3.0.4/NEWS
--- old/gnome-tweak-tool-3.0.3/NEWS 2011-04-27 14:03:55.0 +0200
+++ new/gnome-tweak-tool-3.0.4/NEWS 2011-05-22 11:27:40.0 +0200
@@ -1,3 +1,12 @@
+3.0.4
+   * Support system wide themes (bug 648751)
+   * Fix duplicate themes (bug 649687)
+   * A theming specification for shell themes has been developed and agreed 
upon
+ by a number of theme authors. If installing a theme matching this 
specification
+ show the appropriate name
+ http://www.fpmurphy.com/public/gnome_theme_packaging_spec_d2.txt
+   * Support management of Shell extensions (in home directory)
+
 3.0.3
* Autostart nautilus at login if it is configured to show
  desktop icons (bug 648087)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/gnome-tweak-tool-3.0.3/configure 
new/gnome-tweak-tool-3.0.4/configure
--- old/gnome-tweak-tool-3.0.3/configure2011-04-27 21:52:38.0 
+0200
+++ new/gnome-tweak-tool-3.0.4/configure2011-05-22 11:24:04.0 
+0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.67 for gnome-tweak-tool 3.0.3.
+# Generated by GNU Autoconf 2.67 for gnome-tweak-tool 3.0.4.
 #
 # Report bugs to john.stow...@gmail.com.
 #
@@ -552,8 +552,8 @@
 # Identity of this package.
 PACKAGE_NAME='gnome-tweak-tool'
 PACKAGE_TARNAME='gnome-tweak-tool'
-PACKAGE_VERSION='3.0.3'
-PACKAGE_STRING='gnome-tweak-tool 3.0.3'
+PACKAGE_VERSION='3.0.4'
+PACKAGE_STRING='gnome-tweak-tool 3.0.4'
 PACKAGE_BUGREPORT='john.stow...@gmail.com'
 PACKAGE_URL=''
 
@@ -1287,7 +1287,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat _ACEOF
-\`configure' configures gnome-tweak-tool 3.0.3 to adapt to many kinds of 
systems.
+\`configure' configures gnome-tweak-tool 3.0.4 to adapt to many kinds of 
systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1358,7 +1358,7 @@
 
 if test -n $ac_init_help; then
   case $ac_init_help in
- short | recursive ) echo Configuration of gnome-tweak-tool 3.0.3:;;
+ short | recursive ) echo Configuration of gnome-tweak-tool 3.0.4:;;
esac
   cat \_ACEOF
 
@@ -1473,7 +1473,7 @@
 test -n $ac_init_help  exit $ac_status
 if $ac_init_version; then
   cat \_ACEOF
-gnome-tweak-tool configure 3.0.3
+gnome-tweak-tool configure 3.0.4
 generated by GNU Autoconf 2.67
 
 Copyright (C) 2010 Free Software Foundation, Inc.
@@ -1720,7 +1720,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by gnome-tweak-tool $as_me 3.0.3, which was
+It was created by gnome-tweak-tool $as_me 3.0.4, which was
 generated by GNU Autoconf 2.67.  Invocation command line was
 
   $ $0 $@
@@ -2537,7 +2537,7 @@
 
 # Define the identity of the package.
  PACKAGE='gnome-tweak-tool'
- VERSION='3.0.3'
+ VERSION='3.0.4'
 
 
 cat confdefs.h _ACEOF
@@ -7828,7 +7828,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log=
-This file was extended by gnome-tweak-tool $as_me 3.0.3, which was
+This file was extended 

commit gnome-shell-extensions for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package gnome-shell-extensions for 
openSUSE:Factory
checked in at Tue May 31 17:33:03 CEST 2011.




--- gnome-shell-extensions/gnome-shell-extensions.changes   2011-04-30 
18:03:47.0 +0200
+++ 
/mounts/work_src_done/STABLE/gnome-shell-extensions/gnome-shell-extensions.changes
  2011-05-27 00:21:08.0 +0200
@@ -1,0 +2,11 @@
+Tue May 24 11:36:07 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.0.2:
+  + bgo#647386: reverting of user-theme to default
+  + bgo#647599: support globally installed themes
+  + Added license and README
+  + Updated translations.
+- Disable drive menu extension for now, with a %build_drive_menu
+  macro. It was in git, but is not part of the 3.0.x tarballs.
+
+---

calling whatdependson for head-i586


Old:

  gnome-shell-extensions.tar.bz2

New:

  gnome-shell-extensions-3.0.2.tar.bz2



Other differences:
--
++ gnome-shell-extensions.spec ++
--- /var/tmp/diff_new_pack.4linse/_old  2011-05-31 17:28:41.0 +0200
+++ /var/tmp/diff_new_pack.4linse/_new  2011-05-31 17:28:41.0 +0200
@@ -17,17 +17,17 @@
 #
 
 
+# Drive Menu does not exist in the 3.0.x tree. It's supposedly comming with 
3.1.x
+%define build_drive_menu 0
 
 Name:   gnome-shell-extensions
-Version:3.0.1
+Version:3.0.2
 Release:1
-# git show-ref HEAD
-# f016b95f772f7ca3947ecee7dc2cea55a15e5138 refs/remotes/origin/HEAD
 License:GPLv2+
 Summary:A collection of extensions for GNOME Shell
 Url:http://live.gnome.org/GnomeShell/Extensions
 Group:  System/GUI/GNOME
-Source: %{name}.tar.bz2
+Source: %{name}-%{version}.tar.bz2
 Source1:README.SUSE
 # Needed because we build from a git checkout
 BuildRequires:  gnome-common
@@ -39,7 +39,9 @@
 Recommends: gnome-shell-extension-alternate-tab
 Recommends: gnome-shell-extension-auto-move-windows
 Recommends: gnome-shell-extension-dock
+%if 0%{?build_drive_menu}
 Recommends: gnome-shell-extension-drive-menu
+%endif
 Recommends: gnome-shell-extension-gajim
 Recommends: gnome-shell-extension-user-theme
 Recommends: gnome-shell-extension-windows-navigator
@@ -155,7 +157,7 @@
 
 %lang_package
 %prep
-%setup -q -n %{name}
+%setup -q
 cp %{S:1} .
 
 %build
@@ -187,44 +189,56 @@
 
 %files
 %defattr(-,root,root)
-%doc README README.SUSE
+%doc COPYING README README.SUSE
 
 %files -n gnome-shell-extension-alt-status-menu
 %defattr(-,root,root)
+%doc COPYING
 
%{_datadir}/gnome-shell/extensions/alternative-status-m...@gnome-shell-extensions.gnome.org/
 
 %files -n gnome-shell-extension-alternate-tab
 %defattr(-,root,root)
+%doc COPYING
 
%{_datadir}/gnome-shell/extensions/alternate-...@gnome-shell-extensions.gnome.org/
 
 %files -n gnome-shell-extension-auto-move-windows
 %defattr(-,root,root)
+%doc COPYING
 
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.auto-move-windows.gschema.xml
 
%{_datadir}/gnome-shell/extensions/auto-move-wind...@gnome-shell-extensions.gnome.org/
 
 %files -n gnome-shell-extension-dock
 %defattr(-,root,root)
+%doc COPYING
 %{_datadir}/gnome-shell/extensions/d...@gnome-shell-extensions.gnome.org/
 
+%if 0%{?build_drive_menu}
+
 %files -n gnome-shell-extension-drive-menu
 %defattr(-,root,root)
+%doc COPYING
 %{_datadir}/gnome-shell/extensions/drive-m...@gnome-shell-extensions.gnome.org/
+%endif
 
 %files -n gnome-shell-extension-gajim
 %defattr(-,root,root)
+%doc COPYING
 %{_datadir}/gnome-shell/extensions/ga...@gnome-shell-extensions.gnome.org/
 
 %files -n gnome-shell-extension-user-theme
 %defattr(-,root,root)
+%doc COPYING
 %{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.user-theme.gschema.xml
 %{_datadir}/gnome-shell/extensions/user-th...@gnome-shell-extensions.gnome.org/
 
 %files -n gnome-shell-extension-windows-navigator
 %defattr(-,root,root)
+%doc COPYING
 
%{_datadir}/gnome-shell/extensions/windowsnaviga...@gnome-shell-extensions.gnome.org/
 
 %files -n gnome-shell-extension-xrandr-indicator
 %defattr(-,root,root)
+%doc COPYING
 
%{_datadir}/gnome-shell/extensions/xrandr-indica...@gnome-shell-extensions.gnome.org/
 
 %files lang -f %{name}.lang






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-backgrounds for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package gnome-backgrounds for 
openSUSE:Factory
checked in at Tue May 31 17:33:43 CEST 2011.




--- GNOME/gnome-backgrounds/gnome-backgrounds.changes   2010-09-27 
20:31:16.0 +0200
+++ /mounts/work_src_done/STABLE/gnome-backgrounds/gnome-backgrounds.changes
2011-05-23 23:24:27.0 +0200
@@ -1,0 +2,29 @@
+Mon May 23 23:22:57 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.0.2:
+  + Updated translations.
+
+---
+Wed Apr 27 16:13:03 UTC 2011 - fcro...@novell.com
+
+- Update to version 3.0.1:
+  + Updated translations.
+
+---
+Tue Apr  5 15:28:03 UTC 2011 - fcro...@novell.com
+
+- Update to version 3.0.0:
+  + Updated translations.
+
+---
+Wed Mar 30 13:10:36 UTC 2011 - fcro...@novell.com
+
+- Remove dependency on gnome-themes, not needed.
+
+---
+Tue Mar 22 16:45:21 UTC 2011 - fcro...@novell.com
+
+- Update to version 2.91.92:
+  + New backgrounds
+
+---

calling whatdependson for head-i586


Old:

  gnome-backgrounds-2.32.0.tar.bz2

New:

  gnome-backgrounds-3.0.2.tar.bz2



Other differences:
--
++ gnome-backgrounds.spec ++
--- /var/tmp/diff_new_pack.Ceqvlx/_old  2011-05-31 17:33:14.0 +0200
+++ /var/tmp/diff_new_pack.Ceqvlx/_new  2011-05-31 17:33:14.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package gnome-backgrounds (Version 2.32.0)
+# spec file for package gnome-backgrounds
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -26,11 +26,10 @@
 License:GPLv2+
 Group:  System/GUI/GNOME
 AutoReqProv:off
-Requires:   gnome-themes
 BuildArch:  noarch
-Version:2.32.0
+Version:3.0.2
 Release:1
-Source: 
ftp://ftp.gnome.org/pub/gnome/sources/gnome-backgrounds/2.22/%{name}-%{version}.tar.bz2
+Source: 
http://ftp.gnome.org/pub/gnome/sources/gnome-backgrounds/3.0/%{name}-%{version}.tar.bz2
 Url:http://www.gnome.org/
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Summary:GNOME Backgrounds
@@ -38,12 +37,6 @@
 %description
 Background images from the GNOME project.
 
-
-
-Authors:
-
-Gnome Team
-
 %prep
 %setup -q
 translation-update-upstream
@@ -70,6 +63,6 @@
 %defattr(-, root, root)
 %doc AUTHORS COPYING ChangeLog NEWS README
 %{_datadir}/gnome-background-properties/
-%{_datadir}/pixmaps/backgrounds/
+%{_datadir}/backgrounds/
 
 %changelog

++ gnome-backgrounds-2.32.0.tar.bz2 - gnome-backgrounds-3.0.2.tar.bz2 
++
GNOME/gnome-backgrounds/gnome-backgrounds-2.32.0.tar.bz2 
/mounts/work_src_done/STABLE/gnome-backgrounds/gnome-backgrounds-3.0.2.tar.bz2 
differ: char 11, line 1






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gcstar for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package gcstar for openSUSE:Factory
checked in at Tue May 31 17:34:21 CEST 2011.




--- GNOME/gcstar/gcstar.changes 2011-02-12 20:24:12.0 +0100
+++ /mounts/work_src_done/STABLE/gcstar/gcstar.changes  2011-05-31 
09:46:40.0 +0200
@@ -1,0 +2,6 @@
+Tue May 31 09:46:02 CEST 2011 - vu...@opensuse.org
+
+- Add perl(Switch) BuildRequires and Requires, as the Switch module
+  got split out of the main perl package.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ gcstar.spec ++
--- /var/tmp/diff_new_pack.mKD66m/_old  2011-05-31 17:33:50.0 +0200
+++ /var/tmp/diff_new_pack.mKD66m/_new  2011-05-31 17:33:50.0 +0200
@@ -19,7 +19,7 @@
 
 Name:   gcstar
 Version:1.6.1
-Release:2
+Release:7
 License:GPLv2
 Summary:Application to manage collections
 Url:http://www.gcstar.org/
@@ -32,6 +32,7 @@
 BuildRequires:  perl(Crypt::SSLeay)
 BuildRequires:  perl(Gtk2) = 1.054
 BuildRequires:  perl(HTML::Parser)
+BuildRequires:  perl(Switch)
 BuildRequires:  perl(XML::Parser)
 BuildRequires:  perl(XML::Simple)
 BuildRequires:  perl-libwww-perl
@@ -40,6 +41,7 @@
 Requires:   perl(Crypt::SSLeay)
 Requires:   perl(Gtk2) = 1.054
 Requires:   perl(HTML::Parser)
+Requires:   perl(Switch)
 Requires:   perl(XML::Parser)
 Requires:   perl(XML::Simple)
 Requires:   perl-libwww-perl






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit ModemManager for openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package ModemManager for openSUSE:Factory
checked in at Tue May 31 17:39:16 CEST 2011.




--- ModemManager/ModemManager.changes   2011-02-13 17:59:33.0 +0100
+++ /mounts/work_src_done/STABLE/ModemManager/ModemManager.changes  
2011-05-05 11:06:54.0 +0200
@@ -1,0 +2,33 @@
+Thu May  5 10:42:27 CEST 2011 - vu...@opensuse.org
+
+- Update to version 0.4.996:
+  - Add a mechanism to get remaining incorrect PIN attempts
+  - Add a mechanism to retrieve the equipment identifier
+(MEID/ESN, IMEI)
+  - Added support for returning devices to factory settings
+  - Better compatibility with Blackberry GSM devices
+  - Added a Location Services API with support for GSM devices
+  - Fixes for Novatel CDMA devices (home/roaming status, better
+signal quality reporting)
+  - Better detection of EVDO registration when device is in 1X mode
+  - Add support for newer Alcatel devices like X220D
+  - Support for more ZTE devices
+  - Fix modem detection failures with some Sierra devices
+  - Add support for newer Ericsson devices
+  - Add an SIM identifier for use when auto-unlocking modems
+  - Add an device identifier for use when MEID/IMEI is not yet
+available
+  - Handle signal quality reporting for GSM modems that don't
+support AT+CSQ
+  - Add preliminary USSD support
+  - Fix reconnection attempts with some Sierra devices
+  - Add support for pseudo-ethernet interface on newer Sierra
+devices
+  + Fixed bugs: rh#597296, rh#583691, rh#597088, bgo#626421,
+rh#585394, bgo#628105, bgo#627935, bgo#621815, rh#632516,
+lp#682282, bgo#590798
+- Drop ModemManager-fix-new-glib.patch: fixed upstream.
+- Drop ModemManager-polkit-deprecated.patch: fixed upstream.
+- Create a devel subpackage for new development files.
+
+---

calling whatdependson for head-i586


Old:

  ModemManager-0.4.tar.bz2
  ModemManager-fix-new-glib.patch
  ModemManager-polkit-deprecated.patch

New:

  ModemManager-0.4.996.tar.bz2



Other differences:
--
++ ModemManager.spec ++
--- /var/tmp/diff_new_pack.cz7v0r/_old  2011-05-31 17:38:21.0 +0200
+++ /var/tmp/diff_new_pack.cz7v0r/_new  2011-05-31 17:38:21.0 +0200
@@ -18,17 +18,13 @@
 
 
 Name:   ModemManager
-Version:0.4
-Release:4
+Version:0.4.996
+Release:1
 License:LGPLv2.1+
 Summary:DBus interface for modem handling
 Url:http://cgit.freedesktop.org/ModemManager/ModemManager
 Group:  Productivity/Networking/System
 Source0:ModemManager-%{version}.tar.bz2
-# PATCH-FIX-UPSTREAM ModemManager-fix-new-glib.patch bgo626421 
vu...@opensuse.org -- Fix build with recent glib
-Patch0: ModemManager-fix-new-glib.patch
-# PATCH-FIX-UPSTREAM ModemManager-polkit-deprecated.patch bgo#628105 
vu...@opensuse.org -- Fix build with polkit = 0.97
-Patch1: ModemManager-polkit-deprecated.patch
 BuildRequires:  dbus-1-glib-devel
 BuildRequires:  hicolor-icon-theme
 BuildRequires:  intltool
@@ -46,12 +42,19 @@
 (over DBus) to communicate with all sorts of modems (landline, GSM,
 CDMA).
 
+%package devel
+License:LGPLv2.1+
+Summary:DBus interface for modem handling -- Development Files
+Group:  Development/Libraries/C and C++
+Requires:   %{name} = %{version}
+
+%description devel
+DBus interface for modem handling. Provides a standard abstracted API
+(over DBus) to communicate with all sorts of modems (landline, GSM,
+CDMA).
+
 %prep
 %setup -q
-%patch0 -p1
-%if 0%{?suse_version} = 1140
-%patch1 -p1
-%endif
 
 %build
 pppddir=`ls -1d %{_libdir}/pppd/2*`
@@ -89,4 +92,9 @@
 %dir %{_libdir}/pppd/2.4.5
 %{_libdir}/pppd/2.4.5/mm-test-pppd-plugin.so
 
+%files devel
+%defattr(-,root,root)
+%{_includedir}/mm/
+%{_datadir}/dbus-1/interfaces/*.xml
+
 %changelog

++ ModemManager-0.4.tar.bz2 - ModemManager-0.4.996.tar.bz2 ++
 53348 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



drop ipod-sharp from openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

FYI: Package ipod-sharp was dropped from openSUSE:Factory at Tue May 31 
17:40:19 CEST 2011.

You can find the latest sources of the package in the
   openSUSE:Dropped
repository:

https://build.opensuse.org/package/show?project=openSUSE:Droppedpackage=ipod-sharp

Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



drop thunar-vfs from openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

FYI: Package thunar-vfs was dropped from openSUSE:Factory at Tue May 31 
17:40:45 CEST 2011.

You can find the latest sources of the package in the
   openSUSE:Dropped
repository:

https://build.opensuse.org/package/show?project=openSUSE:Droppedpackage=thunar-vfs

Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



drop farsight from openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

FYI: Package farsight was dropped from openSUSE:Factory at Tue May 31 17:42:13 
CEST 2011.

You can find the latest sources of the package in the
   openSUSE:Dropped
repository:

https://build.opensuse.org/package/show?project=openSUSE:Droppedpackage=farsight

Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



drop libjingle from openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

FYI: Package libjingle was dropped from openSUSE:Factory at Tue May 31 17:42:40 
CEST 2011.

You can find the latest sources of the package in the
   openSUSE:Dropped
repository:

https://build.opensuse.org/package/show?project=openSUSE:Droppedpackage=libjingle

Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



drop swfdec from openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

FYI: Package swfdec was dropped from openSUSE:Factory at Tue May 31 17:44:05 
CEST 2011.

You can find the latest sources of the package in the
   openSUSE:Dropped
repository:

https://build.opensuse.org/package/show?project=openSUSE:Droppedpackage=swfdec

Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



drop python-clutter-gtk from openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

FYI: Package python-clutter-gtk was dropped from openSUSE:Factory at Tue May 31 
17:44:44 CEST 2011.

You can find the latest sources of the package in the
   openSUSE:Dropped
repository:

https://build.opensuse.org/package/show?project=openSUSE:Droppedpackage=python-clutter-gtk

Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



drop python-clutter-gst from openSUSE:Factory

2011-05-31 Thread h_root

Hello community,

FYI: Package python-clutter-gst was dropped from openSUSE:Factory at Tue May 31 
17:45:12 CEST 2011.

You can find the latest sources of the package in the
   openSUSE:Dropped
repository:

https://build.opensuse.org/package/show?project=openSUSE:Droppedpackage=python-clutter-gst

Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-bluetooth for openSUSE:11.3

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package gnome-bluetooth for openSUSE:11.3
checked in at Tue May 31 17:55:26 CEST 2011.




--- old-versions/11.3/all/gnome-bluetooth/gnome-bluetooth.changes   
2010-07-01 14:05:40.0 +0200
+++ 11.3/gnome-bluetooth/gnome-bluetooth.changes2011-05-20 
11:49:28.0 +0200
@@ -1,0 +2,6 @@
+Fri May 20 09:09:06 UTC 2011 - fcro...@suse.com
+
+- bnc#622946: Add missing dependency on bluez
+- bnc#557678: Add missing dependency on obexd (fix sending files).
+
+---

Package does not exist at destination yet. Using Fallback 
old-versions/11.3/all/gnome-bluetooth
Destination is old-versions/11.3/UPDATES/all/gnome-bluetooth
calling whatdependson for 11.3-i586




Other differences:
--
++ gnome-bluetooth.spec ++
--- /var/tmp/diff_new_pack.D1dtlF/_old  2011-05-31 17:54:56.0 +0200
+++ /var/tmp/diff_new_pack.D1dtlF/_new  2011-05-31 17:54:56.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package gnome-bluetooth (Version 2.30.0)
+# spec file for package gnome-bluetooth
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -33,12 +33,16 @@
 License:GPLv2+
 Group:  System/GUI/GNOME
 Version:2.30.0
-Release:3
+Release:4.RELEASE2
 Summary:GNOME Bluetooth graphical utilities
 Url:http://usefulinc.com/software/gnome-bluetooth/
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Source: 
http://download.gnome.org/sources/gnome-bluetooth/2.27/gnome-bluetooth-%{version}.tar.bz2
 Patch0: lxde-support.patch
+# Require bluez (mandatory, as per readme, bnc#622946)
+Requires:   bluez = 4.36
+# Require obexd-client for bluetooth-sendto to work (bnc#557678)
+Requires:   obexd
 Provides:   bluez-gnome = 1.8
 Obsoletes:  bluez-gnome  1.8
 Requires:   %{name}-lang = %{version}






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit pan for openSUSE:11.4

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package pan for openSUSE:11.4
checked in at Tue May 31 17:56:50 CEST 2011.




--- old-versions/11.4/all/pan/pan.changes   2011-02-12 20:26:40.0 
+0100
+++ 11.4/pan/pan.changes2011-05-30 20:30:04.0 +0200
@@ -1,0 +2,67 @@
+Mon May 30 19:52:12 CEST 2011 - sbra...@suse.cz
+
+- Merged changes from Daniel Rahn and openSUSE:Factory.
+
+---
+Mon May 30 09:48:24 UTC 2011 - daniel.r...@novell.com
+
+- fix nzb handling of multipart messages
+  (pan-0.134-handle-nzb-multipart.patch, bnc#685759)
+
+---
+Sun Feb 20 10:55:05 CET 2011 - vu...@opensuse.org
+
+- Update to version 0.134:
+  + No window icon when running in NZB-mode. (bgo#574419)
+  + Use GRegex instead of PCRE. (bgo#596653)
+  + Tooltips missing from two 'Post Article' toolbar buttons.
+(bgo#548860)
+  + Infinite loop with server that doesn't support LIST NEWSGROUPS.
+(bgo#545220)
+  + Add port to server dialog. (bgo#527313)
+  + Support 64 bit article numbers. (bgo#549655)
+  + Don't queue xover for 0 connections. (bgo#596682)
+  + Make wrapping honor changes in compose-wrap pref. (bgo#596680)
+  + Change nzb task saving delay  add pref. (bgo#596683)
+  + Port to GMime 2.4  2.5. (bgo#541676, bnc#683008)
+  + Spawn editor asynchronously. (bgo#465763)
+  + Change allocation buffer for article tree.
+  + Save some more memory by re-ordering a few variables.
+  + Don't save files as executable.
+  + Fix handling of multibyte spaces in text-massager.
+  + Re-write multipart handling for viewing.
+  + Change default mime-type for incoming attachments. (bgo#135734)
+  + Add some additional mime types.
+  + Fix bug in multipart article mids.
+  + Add console support for windows.
+  + Update filter-info and scorefile-test to support non-overview
+headers.
+  + Skip non-overview test if not cached.
+  + Allow scoring article on all headers.
+  + Promote rescore_articles to data interface.
+  + Update score when article is cached.
+  + Add regex support to search. (bgo#351196)
+  + Additional info for about  User-Agent. (bgo#424083)
+  + Allow subject line use in save path. (bgo#403797)
+  + Improve regexes used for squashing subject line.
+  + Reduce memory allocation for multiparts.
+  + Allow newsrc paths relative to PAN_HOME.
+  + Save tasks on exit. (bgo#609355)
+  + Always show full revision info in UA hdr.
+  + Remember size of post window.
+  + Add tests for subject line.
+  + Make separator user configurable.
+  + Add support for Face header.
+  + Fix various crashes.
+  + Stop using deprecated API and behaviors (including bgo#579753,
+bgo#596648).
+  + Build fixes (including bgo#573722).
+  + Updated translations.
+- Update fix-desktop-file-11.0.diff to apply without fuzz.
+- Drop pan-0.133-gcc44.patch: fixed upstream.
+- Drop pan-gmime24.patch: fixed upstream.
+- Remove pcre-devel BuildRequires as pan now uses GRegex.
+- Remove xf86tools Requires: this is now provided by x11-tools, and
+  there is nothing useful for pan there.
+
+---

Package does not exist at destination yet. Using Fallback 
old-versions/11.4/all/pan
Destination is old-versions/11.4/UPDATES/all/pan
calling whatdependson for 11.4-i586


Old:

  pan-0.133-gcc44.patch
  pan-0.133.tar.bz2
  pan-gmime24.patch

New:

  pan-0.134-handle-nzb-multipart.patch
  pan-0.134.tar.bz2



Other differences:
--
++ pan.spec ++
--- /var/tmp/diff_new_pack.wE0h5a/_old  2011-05-31 17:56:06.0 +0200
+++ /var/tmp/diff_new_pack.wE0h5a/_new  2011-05-31 17:56:06.0 +0200
@@ -18,30 +18,26 @@
 
 
 Name:   pan
-Version:0.133
-Release:12
+Version:0.134
+Release:3.RELEASE2
 License:GPLv2+
 Summary:A Powerful Newsreader for GNOME
 Url:http://pan.rebelbase.com/
 Group:  Productivity/Networking/News/Clients
-Source0:ftp://source.rebelbase.com/pub/pan/pan-%{version}.tar.bz2
+Source: 
http://pan.rebelbase.com/download/releases/0.134/source/%{name}-%{version}.tar.bz2
 # PATCH-FIX-UPSTREAM fix-desktop-file-11.0.diff -- validate desktop file
 Patch0: fix-desktop-file-11.0.diff
-# PATCH-FIX-UPSTREAM pan-0.133-gcc44.patch -- Fix build with gcc = 4.4
-Patch1: pan-0.133-gcc44.patch
-# PATCH-FIX-UPSTREAM pan-gmime24.patch bgo#541676 dims...@opensuse.org -- 
Build with gmime 2.4. Taken from de-facto upstream 
http://github.com/lostcoder/pan2/commit/eb4a0e36
-Patch2: pan-gmime24.patch
+# PATCH-FIX-UPSTREAM pan-0.134-handle-nzb-multipart.patch -- fix nzb handling 
of multipart messages
+Patch1: pan-0.134-handle-nzb-multipart.patch
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
 BuildRequires:  intltool

commit NetworkManager for openSUSE:11.4

2011-05-31 Thread h_root

Hello community,

here is the log from the commit of package NetworkManager for openSUSE:11.4
checked in at Tue May 31 17:57:17 CEST 2011.




--- old-versions/11.4/UPDATES/all/NetworkManager/NetworkManager.changes 
2011-04-29 08:02:07.0 +0200
+++ 11.4/NetworkManager/NetworkManager.changes  2011-05-27 06:12:58.0 
+0200
@@ -1,0 +2,6 @@
+Fri May 27 04:11:55 UTC 2011 - b...@novell.com
+
+- Add the NetworkManager-dhcp-hostname-true.patch, which send the
+  dhcp-hostname to server by default(bnc#557720,swampid#41130).
+
+---

calling whatdependson for 11.4-i586


New:

  NetworkManager-dhcp-hostname-true.patch



Other differences:
--
++ NetworkManager.spec ++
--- /var/tmp/diff_new_pack.VuELBt/_old  2011-05-31 17:56:54.0 +0200
+++ /var/tmp/diff_new_pack.VuELBt/_new  2011-05-31 17:56:54.0 +0200
@@ -20,7 +20,7 @@
 Name:   NetworkManager
 Url:http://www.gnome.org/projects/NetworkManager/
 Version:0.8.2
-Release:15.RELEASE22
+Release:15.RELEASE24
 License:GPLv2+
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  dbus-1-devel dbus-1-glib-devel gtk-doc intltool iptables 
libgcrypt-devel libgudev-1_0-devel libiw-devel libnl-devel libtool 
libuuid-devel mozilla-nss-devel polkit-devel ppp-devel 
translation-update-upstream wireless-tools
@@ -49,6 +49,8 @@
 Patch6: nm-suppress-user-proxy-error-msg.patch
 # PATCH-FIX-UPSTREAM nm-dismiss-keyfile-spam.patch bnc#681072 
bi...@opensuse.org -- Dismiss the keyfile's spam log.
 Patch7: nm-dismiss-keyfile-spam.patch
+# PATCH-FIX-UPSTREAM NetworkManager-dhcp-hostname-true.patch bnc#557720 
bi...@opensuse.org -- Set the dhcp-hostname to true.
+Patch8: %{name}-dhcp-hostname-true.patch
 Requires:   %{name}-glib = %{version}
 Requires:   dhcp-client
 Requires:   iproute2
@@ -125,6 +127,7 @@
 %patch5 -p1
 %patch6 -p1
 %patch7 -p1
+%patch8 -p1
 translation-update-upstream
 
 %build

++ NetworkManager-dhcp-hostname-true.patch ++
Index: NetworkManager-0.8.2/libnm-util/nm-setting-ip4-config.c
===
--- NetworkManager-0.8.2.orig/libnm-util/nm-setting-ip4-config.c
+++ NetworkManager-0.8.2/libnm-util/nm-setting-ip4-config.c
@@ -950,7 +950,7 @@ nm_setting_ip4_config_class_init (NMSett
   the 'dhcp-hostname' 
property is empty and this 
   property is TRUE, the 
current persistent hostname 
   of the computer is sent.,
-  FALSE,
+  TRUE,
   G_PARAM_READWRITE | 
G_PARAM_CONSTRUCT | NM_SETTING_PARAM_SERIALIZE));
 
/**





Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org